using System;

namespace SpectralNet
{
	/// <summary>
	/// Represents the spectral information that a vertex holds in relation to its connected component.
	/// Every Vertex holds this class in .ComponentInfo
	/// </summary>
	public class EigenInformation 
	{
		/// <summary>
		/// The x-value of the vertex's graph coordinates for this eigenset (adj, lap, normlap).
		/// </summary>
		public double[] x;

		/// <summary>
		/// The y-value of the vertex's graph coordinates for this eigenset (adj, lap, normlap).
		/// </summary>
		public double[] y;

		/// <summary>
		/// Constructs an EigenInformation and allocates enough space for 4 graph (0-3rd eigenvector).
		/// </summary>
		/// <param name="n">Unused.</param>
		public EigenInformation(int n)
		{
			x = new double[4];
			y = new double[4];
		}
	}
}
