namespace SpectralNet
{
	/// <summary>
	/// Enumration of different types of eigenvalue/vector pairs
	/// </summary>
	public enum EigenType 
	{
		/// <summary>
		/// The adjacency eigentype (0 means i,j unconnected, 1 means connected).
		/// </summary>
		Adjacency, 

		/// <summary>
		/// The laplacian eigentype (degree along the diagonal, -1*weight for connected i,j).
		/// </summary>
		Laplacian, 

		/// <summary>
		/// The normalized laplacian eigentype.  1 along the diagonal and -1/sqrt(di*dj) for connected i,j).
		/// </summary>
		NormalizedLaplacian
	}
}
