using System;

namespace SpectralNet
{
	/// <summary>
	/// Stores user options such as whether to calculate Fruchterman-Reingold (or just show random graph), etc.
	/// </summary>
	public class UserOptions
	{
		public bool doFR;
		public bool doDijkstra;
		public bool doClusterCoeff;

		public UserOptions(bool fr, bool dijkstra, bool docc)
		{
			doFR = fr;
			doDijkstra = dijkstra;
			doClusterCoeff = docc;
		}

		public UserOptions()
		{
			doFR = false;
			doDijkstra = false;
			doClusterCoeff = false;
		}
	}
}
