﻿using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.IO;
using CenterSpace.NMath.Core;
using CenterSpace.NMath.Stats;
using System.Text;
using System.Text.RegularExpressions;

namespace SpectralNet
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class MainForm : System.Windows.Forms.Form
	{
		protected ChemGraph graph;

		private System.Windows.Forms.Label lblWelcome;
		private System.Windows.Forms.Label lblChooseInput;
		private System.Windows.Forms.TextBox inputRawDataUpload;
		private System.Windows.Forms.Button btnChooseFileRaw;
		private System.Windows.Forms.OpenFileDialog openFileRaw;
		private System.Windows.Forms.RadioButton rawCorrelate;
		private System.Windows.Forms.CheckBox cbTransposeRawData;
		private System.Windows.Forms.TextBox tbRelevanceThresholdRawData;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.CheckBox cbNearestNeighborsRawData;
		private System.Windows.Forms.TextBox tbNearestNeighborsRawData;
		private System.Windows.Forms.CheckBox cbPCARawData;
		private System.Windows.Forms.Panel panel2;
		private System.Windows.Forms.RadioButton rbEigenmap;
		private System.Windows.Forms.CheckBox cbTransposeEigenmap;
		private System.Windows.Forms.TextBox tbKEigenmap;
		private System.Windows.Forms.Label lblKNearest;
		private System.Windows.Forms.TextBox tbTEigenmap;
		private System.Windows.Forms.CheckBox cbPCAEigenmap;
		private System.Windows.Forms.RadioButton rawBipartite;
		private System.Windows.Forms.TextBox tbRelevanceThresholdRawDataBipartite;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Button btnChooseFileAdjacency;
		private System.Windows.Forms.TextBox inputCorrelationMatrixUpload;
		private System.Windows.Forms.OpenFileDialog openFileAdjacency;
		private System.Windows.Forms.TextBox tbRelevanceThreshold;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.CheckBox cbSquareAdjacencyMatrix;
		private System.Windows.Forms.RadioButton inputRawData;
		private System.Windows.Forms.RadioButton inputCorrelationMatrix;
		private System.Windows.Forms.RadioButton inputFile;
		private System.Windows.Forms.Button btnChooseFilePajek;
		private System.Windows.Forms.Button btnChooseFileNodeNodeWeight;
		private System.Windows.Forms.TextBox inputNodeEdgesUpload;
		private System.Windows.Forms.RadioButton inputNodeEdges;
		private System.Windows.Forms.OpenFileDialog openFilePajek;
		private System.Windows.Forms.OpenFileDialog openFileNodeNodeWeight;
		private System.Windows.Forms.TextBox inputFileUpload;
		private System.Windows.Forms.Panel pnlStepOne;
		private System.Windows.Forms.RadioButton inputRandomER;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.TextBox erNumNodes;
		private System.Windows.Forms.TextBox erProbability;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.TextBox sfNumNodes;
		private System.Windows.Forms.RadioButton inputRandomScaleFree;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.TextBox sfM;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.TextBox sfrwT;
		private System.Windows.Forms.RadioButton inputRandomScaleFreeRewiring;
		private System.Windows.Forms.TextBox sfrwM;
		private System.Windows.Forms.TextBox sfrwNewEdges;
		private System.Windows.Forms.TextBox sfrwRewire;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.Label label16;
		private System.Windows.Forms.Label label17;
		private System.Windows.Forms.Label label18;
		private System.Windows.Forms.Label label19;
		private System.Windows.Forms.Label label20;
		private System.Windows.Forms.Label label22;
		private System.Windows.Forms.Label label23;
		private System.Windows.Forms.TextBox hierCS;
		private System.Windows.Forms.RadioButton inputRandomHierarchical;
		private System.Windows.Forms.TextBox hierN;
		private System.Windows.Forms.TextBox swP;
		private System.Windows.Forms.TextBox swK;
		private System.Windows.Forms.RadioButton inputRandomSmallWorld;
		private System.Windows.Forms.TextBox swN;
		private System.Windows.Forms.Button btnNextStep1;
		private System.Windows.Forms.Panel pnlStepTwo;
		private System.Windows.Forms.Label label21;
		private System.Windows.Forms.CheckBox doFR;
		private System.Windows.Forms.CheckBox cbDoDijkstra;
		private System.Windows.Forms.CheckBox cbDoClusterCoefficient;
		private System.Windows.Forms.CheckBox chemchem;
		private System.Windows.Forms.NumericUpDown numSimilarities;
		private System.Windows.Forms.TextBox chemRegex;
		private System.Windows.Forms.Button btnSubmit;
		private System.Windows.Forms.ProgressBar pbMain;
		private System.Windows.Forms.Panel pnlMain;
		private System.Windows.Forms.PictureBox graphDisplay;
		private System.Windows.Forms.Label label24;
		private System.Windows.Forms.Label label25;
		private System.Windows.Forms.ListBox verticesLB;
		private System.Windows.Forms.ListBox edgesLB;
		private System.Windows.Forms.RadioButton rbDisplayMain;
		private System.Windows.Forms.RadioButton rbDisplayLaplacian;
		private System.Windows.Forms.RadioButton rbDisplayPCA;
		private System.Windows.Forms.RadioButton rbSelectNode;
		private System.Windows.Forms.RadioButton rbZoom;
		private System.Windows.Forms.PictureBox laplacianDisplay;
		private System.Windows.Forms.PictureBox pcaDisplay;
		private System.Windows.Forms.Panel pnlOps;
		private System.Windows.Forms.Label label26;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Label vName;
		private System.Windows.Forms.Label label27;
		private System.Windows.Forms.Button btnCollapsePanel;
		private System.Windows.Forms.Button btnTextOutput;
		private System.Windows.Forms.Button btnExportVRML;
		private System.Windows.Forms.Label label28;
		private System.Windows.Forms.Label label29;
		private System.Windows.Forms.Panel pnlProgress;
		private System.Windows.Forms.Label lblProgress;
		private System.Windows.Forms.Label label30;
		private System.Windows.Forms.CheckBox cbDrawConnectedEdges;
		private System.Windows.Forms.CheckBox cbDrawOtherEdges;
		private System.Windows.Forms.NumericUpDown ddlZoomFactor;
		private System.Windows.Forms.Label connInfo;
		private System.Windows.Forms.Label vDegree;
		private System.Windows.Forms.Panel pnlShowComponent;
		private System.Windows.Forms.Label lblShowComponent;
		private System.Windows.Forms.Panel pnlVertexComponentInfo;
		private System.Windows.Forms.Label vCC;
		private System.Windows.Forms.Label vDist;
		private System.Windows.Forms.Label label31;
		private System.Windows.Forms.Label label32;
		private System.Windows.Forms.Label label33;
		private System.Windows.Forms.Label label34;
		private System.Windows.Forms.Label label35;
		private System.Windows.Forms.Label label36;
		private System.Windows.Forms.Label label37;
		private System.Windows.Forms.Label vAdjE0;
		private System.Windows.Forms.Label vAdjE1;
		private System.Windows.Forms.Label vAdjE2;
		private System.Windows.Forms.Label vAdjE3;
		private System.Windows.Forms.Label vLapE3;
		private System.Windows.Forms.Label vLapE0;
		private System.Windows.Forms.Label vLapE2;
		private System.Windows.Forms.Label vLapE1;
		private System.Windows.Forms.Label vNormLapE3;
		private System.Windows.Forms.Label vNormLapE0;
		private System.Windows.Forms.Label vNormLapE2;
		private System.Windows.Forms.Label vNormLapE1;
		private System.Windows.Forms.Panel pnlComponent;
		private System.Windows.Forms.Label label38;
		private System.Windows.Forms.PictureBox graphDegreeDistribution;
		private System.Windows.Forms.Label label39;
		private System.Windows.Forms.PictureBox graphClusterCoefficient;
		private System.Windows.Forms.Label label40;
		private System.Windows.Forms.PictureBox graphPathLength;

		Pen whitePen = new Pen(Color.White, 1);
		Pen grayPen = new Pen(Color.Gray, 1);
		Pen blackPen = new Pen(Color.Black, 1);
		Pen bigBlackPen = new Pen(Color.Black, 2);
		Pen dgPen = new Pen(Color.DarkGray, 1);
		Pen pinkPen = new Pen(Color.Pink, 1);
		Pen orangePen = new Pen(Color.Orange, 2);
		Pen redPen = new Pen(Color.Red, 1);
		Brush whiteBrush = new SolidBrush(Color.White);
		Brush grayBrush = new SolidBrush(Color.Gray);
		Brush redBrush = new SolidBrush(Color.FromArgb(255, 51, 0));
		Brush greenBrush = new SolidBrush(Color.Green);
		Brush blackBrush = new SolidBrush(Color.Black);
		Brush orangeBrush = new SolidBrush(Color.Orange);
		Brush pinkBrush = new SolidBrush(Color.Pink);
		Brush darkGreenBrush = new SolidBrush(Color.DarkGreen);
		Brush siennaBrush = new SolidBrush(Color.FromArgb(0, 51, 153));
		private System.Windows.Forms.Label label41;
		private System.Windows.Forms.Label label42;
		private System.Windows.Forms.Label label43;
		private System.Windows.Forms.Label label44;
		private System.Windows.Forms.Label label45;
		private System.Windows.Forms.Label label46;
		private System.Windows.Forms.Label label47;
		private System.Windows.Forms.Label label48;
		private System.Windows.Forms.Label label49;
		private System.Windows.Forms.PictureBox adjacencyEigenvalues;
		private System.Windows.Forms.PictureBox adjIVP;
		private System.Windows.Forms.PictureBox adjSpec;
		private System.Windows.Forms.PictureBox adjacencyEigenvectorZero;
		private System.Windows.Forms.PictureBox adjacencyEigenvectorTwo;
		private System.Windows.Forms.PictureBox adjacencyEigenvectorOne;
		private System.Windows.Forms.PictureBox adjacencyEigenvectorThree;
		private System.Windows.Forms.Label label50;
		private System.Windows.Forms.RadioButton rbAdjE0Eigenvector;
		private System.Windows.Forms.RadioButton rbAdjE0Degree;
		private System.Windows.Forms.Panel panel3;
		private System.Windows.Forms.RadioButton rbAdjE1Eigenvector;
		private System.Windows.Forms.Label label51;
		private System.Windows.Forms.RadioButton rbAdjE1Degree;
		private System.Windows.Forms.Panel panel4;
		private System.Windows.Forms.Panel panel5;
		private System.Windows.Forms.Panel panel6;
		private System.Windows.Forms.RadioButton rbAdjE2Degree;
		private System.Windows.Forms.RadioButton rbAdjE2Eigenvector;
		private System.Windows.Forms.Label label52;
		private System.Windows.Forms.Panel panel7;
		private System.Windows.Forms.RadioButton rbAdjE3Degree;
		private System.Windows.Forms.RadioButton rbAdjE3Eigenvector;
		private System.Windows.Forms.Label label53;
		private System.Windows.Forms.Label label54;
		private System.Windows.Forms.PictureBox laplacianEigenvectorThree;
		private System.Windows.Forms.Panel panel8;
		private System.Windows.Forms.Label label55;
		private System.Windows.Forms.Panel panel9;
		private System.Windows.Forms.Label label56;
		private System.Windows.Forms.Panel panel10;
		private System.Windows.Forms.Label label57;
		private System.Windows.Forms.Panel panel11;
		private System.Windows.Forms.Label label58;
		private System.Windows.Forms.PictureBox laplacianEigenvalues;
		private System.Windows.Forms.Label label59;
		private System.Windows.Forms.Label label60;
		private System.Windows.Forms.PictureBox lapIVP;
		private System.Windows.Forms.Label label61;
		private System.Windows.Forms.Label label62;
		private System.Windows.Forms.PictureBox lapSpec;
		private System.Windows.Forms.PictureBox laplacianEigenvectorZero;
		private System.Windows.Forms.PictureBox laplacianEigenvectorTwo;
		private System.Windows.Forms.PictureBox laplacianEigenvectorOne;
		private System.Windows.Forms.Label label63;
		private System.Windows.Forms.Label label64;
		private System.Windows.Forms.Label label65;
		private System.Windows.Forms.RadioButton rbLapE0Eigenvector;
		private System.Windows.Forms.RadioButton rbLapE0Degree;
		private System.Windows.Forms.RadioButton rbLapE1Degree;
		private System.Windows.Forms.RadioButton rbLapE1Eigenvector;
		private System.Windows.Forms.RadioButton rbLapE2Degree;
		private System.Windows.Forms.RadioButton rbLapE2Eigenvector;
		private System.Windows.Forms.RadioButton rbLapE3Degree;
		private System.Windows.Forms.RadioButton rbLapE3Eigenvector;
		private System.Windows.Forms.Label label66;
		private System.Windows.Forms.Label label67;
		private System.Windows.Forms.Panel panel12;
		private System.Windows.Forms.Label label68;
		private System.Windows.Forms.Label label69;
		private System.Windows.Forms.Label label70;
		private System.Windows.Forms.Panel panel13;
		private System.Windows.Forms.Label label71;
		private System.Windows.Forms.Label label72;
		private System.Windows.Forms.Panel panel14;
		private System.Windows.Forms.Label label73;
		private System.Windows.Forms.Label label74;
		private System.Windows.Forms.Label label75;
		private System.Windows.Forms.Panel panel15;
		private System.Windows.Forms.Label label76;
		private System.Windows.Forms.Label label77;
		private System.Windows.Forms.PictureBox normLaplacianEigenvalues;
		private System.Windows.Forms.PictureBox normLapSpec;
		private System.Windows.Forms.PictureBox normLapIVP;
		private System.Windows.Forms.PictureBox normLaplacianEigenvectorZero;
		private System.Windows.Forms.PictureBox normLaplacianEigenvectorTwo;
		private System.Windows.Forms.PictureBox normLaplacianEigenvectorThree;
		private System.Windows.Forms.PictureBox normLaplacianEigenvectorOne;
		private System.Windows.Forms.RadioButton rbNormLapE2Degree;
		private System.Windows.Forms.RadioButton rbNormLapE2Eigenvector;
		private System.Windows.Forms.RadioButton rbNormLapE3Degree;
		private System.Windows.Forms.RadioButton rbNormLapE3Eigenvector;
		private System.Windows.Forms.RadioButton rbNormLapE0Eigenvector;
		private System.Windows.Forms.RadioButton rbNormLapE0Degree;
		private System.Windows.Forms.RadioButton rbNormLapE1Degree;
		private System.Windows.Forms.RadioButton rbNormLapE1Eigenvector;
		private System.Windows.Forms.Panel pnlCollapseNodes;
		private System.Windows.Forms.Label label78;
		private System.Windows.Forms.Label label79;
		private System.Windows.Forms.TextBox tbCollapseLabel;
		private System.Windows.Forms.Button btnCollapse;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.ListBox collapseLB;
		private System.Windows.Forms.Button button2;
		private System.Windows.Forms.SaveFileDialog saveFileVRML;
		private System.Windows.Forms.Label label80;
		private System.Windows.Forms.Button button3;
		private System.Windows.Forms.Panel pnlExport;
		private System.Windows.Forms.Button btnExportAdjacency;
		private System.Windows.Forms.Button btnExportLaplacian;
		private System.Windows.Forms.Button btnExportNormLaplacian;
		private System.Windows.Forms.Label label81;
		private System.Windows.Forms.Button btnExportAdjacencyEigenInformation;
		private System.Windows.Forms.CheckBox outAdjEigenvalue;
		private System.Windows.Forms.CheckBox outAdjIVP;
		private System.Windows.Forms.CheckBox outAdjSpec;
		private System.Windows.Forms.CheckBox outAdjEigenvector;
		private System.Windows.Forms.CheckBox outLapIVP;
		private System.Windows.Forms.CheckBox outLapEigenvector;
		private System.Windows.Forms.CheckBox outLapEigenvalue;
		private System.Windows.Forms.CheckBox outLapSpec;
		private System.Windows.Forms.Button btnExportLaplacianEigenInformation;
		private System.Windows.Forms.Button btnExportNormalizedLaplacianEigenInformation;
		private System.Windows.Forms.CheckBox outNormLapIVP;
		private System.Windows.Forms.CheckBox outNormLapEigenvector;
		private System.Windows.Forms.CheckBox outNormLapEigenvalue;
		private System.Windows.Forms.CheckBox outNormLapSpec;
		private System.Windows.Forms.Button btnExportNodeInformation;
		private System.Windows.Forms.CheckBox outNodeLabel;
		private System.Windows.Forms.CheckBox outNodeID;
		private System.Windows.Forms.CheckBox outNodeDegree;
		private System.Windows.Forms.CheckBox outNodeCK;
		private System.Windows.Forms.CheckBox outNodeAvgDist;
		private System.Windows.Forms.CheckBox outNodeMaxDist;
		private System.Windows.Forms.CheckBox outNodeAdjEig;
		private System.Windows.Forms.CheckBox outNodeLapEig;
		private System.Windows.Forms.CheckBox outNodeNormLapEig;
		private System.Windows.Forms.SaveFileDialog saveExportFile;
		private System.Windows.Forms.RadioButton rbEdgeWeightsSimple;
		private System.Windows.Forms.RadioButton rbEdgeWeightsHeatKernel;
		private System.Windows.Forms.Label label82;
		private System.Windows.Forms.Panel panel16;
		private System.Windows.Forms.Button btnExportNodeNodeWeight;
		private System.Windows.Forms.Button btnResetDisplay;

		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public MainForm(string[] args)
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
			pbMain.Visible = false;

			this.graphPathLength.MouseDown += new System.Windows.Forms.MouseEventHandler(this.PathLength_Clicked);

			this.graphClusterCoefficient.MouseDown += new System.Windows.Forms.MouseEventHandler(this.ClusterCoefficient_Clicked);
	
			//this.adjacencyEigenvalues.MouseMove += new MouseEventHandler(EigenvalueGraph_Move);
			//this.laplacianEigenvalues.MouseMove += new MouseEventHandler(EigenvalueGraph_Move);
			//this.normLaplacianEigenvalues.MouseMove += new MouseEventHandler(EigenvalueGraph_Move);

			this.graphDisplay.MouseDown += new System.Windows.Forms.MouseEventHandler(this.Image_Clicked);
			this.laplacianDisplay.MouseDown += new System.Windows.Forms.MouseEventHandler(this.Image_Clicked);
			this.pcaDisplay.MouseDown += new System.Windows.Forms.MouseEventHandler(this.Image_Clicked);

			this.adjacencyEigenvectorZero.MouseDown += new System.Windows.Forms.MouseEventHandler(this.eigenGraph_Clicked);
			this.adjacencyEigenvectorOne.MouseDown += new System.Windows.Forms.MouseEventHandler(this.eigenGraph_Clicked);
			this.adjacencyEigenvectorTwo.MouseDown += new System.Windows.Forms.MouseEventHandler(this.eigenGraph_Clicked);
			this.adjacencyEigenvectorThree.MouseDown += new System.Windows.Forms.MouseEventHandler(this.eigenGraph_Clicked);

			this.laplacianEigenvectorZero.MouseDown += new System.Windows.Forms.MouseEventHandler(this.eigenGraph_Clicked);
			this.laplacianEigenvectorOne.MouseDown += new System.Windows.Forms.MouseEventHandler(this.eigenGraph_Clicked);
			this.laplacianEigenvectorTwo.MouseDown += new System.Windows.Forms.MouseEventHandler(this.eigenGraph_Clicked);
			this.laplacianEigenvectorThree.MouseDown += new System.Windows.Forms.MouseEventHandler(this.eigenGraph_Clicked);

			this.normLaplacianEigenvectorZero.MouseDown += new System.Windows.Forms.MouseEventHandler(this.eigenGraph_Clicked);
			this.normLaplacianEigenvectorOne.MouseDown += new System.Windows.Forms.MouseEventHandler(this.eigenGraph_Clicked);
			this.normLaplacianEigenvectorTwo.MouseDown += new System.Windows.Forms.MouseEventHandler(this.eigenGraph_Clicked);
			this.normLaplacianEigenvectorThree.MouseDown += new System.Windows.Forms.MouseEventHandler(this.eigenGraph_Clicked);
		
			if (args != null && args.Length > 0)
			{
				skipToDisplayScreen(args[0]);
			}
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.pnlStepOne = new System.Windows.Forms.Panel();
			this.btnNextStep1 = new System.Windows.Forms.Button();
			this.label18 = new System.Windows.Forms.Label();
			this.inputRandomER = new System.Windows.Forms.RadioButton();
			this.btnChooseFileNodeNodeWeight = new System.Windows.Forms.Button();
			this.inputNodeEdgesUpload = new System.Windows.Forms.TextBox();
			this.inputNodeEdges = new System.Windows.Forms.RadioButton();
			this.btnChooseFilePajek = new System.Windows.Forms.Button();
			this.inputFileUpload = new System.Windows.Forms.TextBox();
			this.inputFile = new System.Windows.Forms.RadioButton();
			this.tbRelevanceThreshold = new System.Windows.Forms.TextBox();
			this.label3 = new System.Windows.Forms.Label();
			this.cbSquareAdjacencyMatrix = new System.Windows.Forms.CheckBox();
			this.btnChooseFileAdjacency = new System.Windows.Forms.Button();
			this.inputCorrelationMatrixUpload = new System.Windows.Forms.TextBox();
			this.inputCorrelationMatrix = new System.Windows.Forms.RadioButton();
			this.panel2 = new System.Windows.Forms.Panel();
			this.panel16 = new System.Windows.Forms.Panel();
			this.tbTEigenmap = new System.Windows.Forms.TextBox();
			this.rbEdgeWeightsHeatKernel = new System.Windows.Forms.RadioButton();
			this.rbEdgeWeightsSimple = new System.Windows.Forms.RadioButton();
			this.tbRelevanceThresholdRawDataBipartite = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.rawBipartite = new System.Windows.Forms.RadioButton();
			this.tbNearestNeighborsRawData = new System.Windows.Forms.TextBox();
			this.tbKEigenmap = new System.Windows.Forms.TextBox();
			this.cbPCAEigenmap = new System.Windows.Forms.CheckBox();
			this.lblKNearest = new System.Windows.Forms.Label();
			this.cbTransposeEigenmap = new System.Windows.Forms.CheckBox();
			this.rbEigenmap = new System.Windows.Forms.RadioButton();
			this.tbRelevanceThresholdRawData = new System.Windows.Forms.TextBox();
			this.cbNearestNeighborsRawData = new System.Windows.Forms.CheckBox();
			this.cbPCARawData = new System.Windows.Forms.CheckBox();
			this.rawCorrelate = new System.Windows.Forms.RadioButton();
			this.label1 = new System.Windows.Forms.Label();
			this.cbTransposeRawData = new System.Windows.Forms.CheckBox();
			this.label82 = new System.Windows.Forms.Label();
			this.btnChooseFileRaw = new System.Windows.Forms.Button();
			this.inputRawDataUpload = new System.Windows.Forms.TextBox();
			this.inputRawData = new System.Windows.Forms.RadioButton();
			this.lblChooseInput = new System.Windows.Forms.Label();
			this.lblWelcome = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.erNumNodes = new System.Windows.Forms.TextBox();
			this.erProbability = new System.Windows.Forms.TextBox();
			this.label7 = new System.Windows.Forms.Label();
			this.label8 = new System.Windows.Forms.Label();
			this.sfNumNodes = new System.Windows.Forms.TextBox();
			this.inputRandomScaleFree = new System.Windows.Forms.RadioButton();
			this.label9 = new System.Windows.Forms.Label();
			this.sfM = new System.Windows.Forms.TextBox();
			this.label10 = new System.Windows.Forms.Label();
			this.label11 = new System.Windows.Forms.Label();
			this.sfrwT = new System.Windows.Forms.TextBox();
			this.inputRandomScaleFreeRewiring = new System.Windows.Forms.RadioButton();
			this.label12 = new System.Windows.Forms.Label();
			this.sfrwM = new System.Windows.Forms.TextBox();
			this.label13 = new System.Windows.Forms.Label();
			this.sfrwNewEdges = new System.Windows.Forms.TextBox();
			this.sfrwRewire = new System.Windows.Forms.TextBox();
			this.label14 = new System.Windows.Forms.Label();
			this.label15 = new System.Windows.Forms.Label();
			this.label16 = new System.Windows.Forms.Label();
			this.hierCS = new System.Windows.Forms.TextBox();
			this.inputRandomHierarchical = new System.Windows.Forms.RadioButton();
			this.label17 = new System.Windows.Forms.Label();
			this.hierN = new System.Windows.Forms.TextBox();
			this.swP = new System.Windows.Forms.TextBox();
			this.label19 = new System.Windows.Forms.Label();
			this.swK = new System.Windows.Forms.TextBox();
			this.label20 = new System.Windows.Forms.Label();
			this.inputRandomSmallWorld = new System.Windows.Forms.RadioButton();
			this.swN = new System.Windows.Forms.TextBox();
			this.label22 = new System.Windows.Forms.Label();
			this.label23 = new System.Windows.Forms.Label();
			this.openFileRaw = new System.Windows.Forms.OpenFileDialog();
			this.openFileAdjacency = new System.Windows.Forms.OpenFileDialog();
			this.openFilePajek = new System.Windows.Forms.OpenFileDialog();
			this.openFileNodeNodeWeight = new System.Windows.Forms.OpenFileDialog();
			this.pnlStepTwo = new System.Windows.Forms.Panel();
			this.pnlProgress = new System.Windows.Forms.Panel();
			this.lblProgress = new System.Windows.Forms.Label();
			this.pbMain = new System.Windows.Forms.ProgressBar();
			this.btnSubmit = new System.Windows.Forms.Button();
			this.chemRegex = new System.Windows.Forms.TextBox();
			this.numSimilarities = new System.Windows.Forms.NumericUpDown();
			this.doFR = new System.Windows.Forms.CheckBox();
			this.label21 = new System.Windows.Forms.Label();
			this.cbDoDijkstra = new System.Windows.Forms.CheckBox();
			this.cbDoClusterCoefficient = new System.Windows.Forms.CheckBox();
			this.chemchem = new System.Windows.Forms.CheckBox();
			this.pnlMain = new System.Windows.Forms.Panel();
			this.button2 = new System.Windows.Forms.Button();
			this.pnlComponent = new System.Windows.Forms.Panel();
			this.adjacencyEigenvalues = new System.Windows.Forms.PictureBox();
			this.label43 = new System.Windows.Forms.Label();
			this.graphDegreeDistribution = new System.Windows.Forms.PictureBox();
			this.label27 = new System.Windows.Forms.Label();
			this.label38 = new System.Windows.Forms.Label();
			this.label39 = new System.Windows.Forms.Label();
			this.graphClusterCoefficient = new System.Windows.Forms.PictureBox();
			this.graphPathLength = new System.Windows.Forms.PictureBox();
			this.label40 = new System.Windows.Forms.Label();
			this.label41 = new System.Windows.Forms.Label();
			this.label42 = new System.Windows.Forms.Label();
			this.adjIVP = new System.Windows.Forms.PictureBox();
			this.label44 = new System.Windows.Forms.Label();
			this.label45 = new System.Windows.Forms.Label();
			this.adjSpec = new System.Windows.Forms.PictureBox();
			this.adjacencyEigenvectorZero = new System.Windows.Forms.PictureBox();
			this.adjacencyEigenvectorTwo = new System.Windows.Forms.PictureBox();
			this.adjacencyEigenvectorOne = new System.Windows.Forms.PictureBox();
			this.label46 = new System.Windows.Forms.Label();
			this.label47 = new System.Windows.Forms.Label();
			this.label48 = new System.Windows.Forms.Label();
			this.label49 = new System.Windows.Forms.Label();
			this.adjacencyEigenvectorThree = new System.Windows.Forms.PictureBox();
			this.panel4 = new System.Windows.Forms.Panel();
			this.rbAdjE0Eigenvector = new System.Windows.Forms.RadioButton();
			this.label50 = new System.Windows.Forms.Label();
			this.rbAdjE0Degree = new System.Windows.Forms.RadioButton();
			this.panel5 = new System.Windows.Forms.Panel();
			this.rbAdjE1Degree = new System.Windows.Forms.RadioButton();
			this.rbAdjE1Eigenvector = new System.Windows.Forms.RadioButton();
			this.label51 = new System.Windows.Forms.Label();
			this.panel6 = new System.Windows.Forms.Panel();
			this.rbAdjE2Degree = new System.Windows.Forms.RadioButton();
			this.rbAdjE2Eigenvector = new System.Windows.Forms.RadioButton();
			this.label52 = new System.Windows.Forms.Label();
			this.panel7 = new System.Windows.Forms.Panel();
			this.rbAdjE3Degree = new System.Windows.Forms.RadioButton();
			this.rbAdjE3Eigenvector = new System.Windows.Forms.RadioButton();
			this.label53 = new System.Windows.Forms.Label();
			this.label54 = new System.Windows.Forms.Label();
			this.laplacianEigenvectorThree = new System.Windows.Forms.PictureBox();
			this.panel8 = new System.Windows.Forms.Panel();
			this.rbLapE0Eigenvector = new System.Windows.Forms.RadioButton();
			this.label55 = new System.Windows.Forms.Label();
			this.rbLapE0Degree = new System.Windows.Forms.RadioButton();
			this.panel9 = new System.Windows.Forms.Panel();
			this.rbLapE1Degree = new System.Windows.Forms.RadioButton();
			this.rbLapE1Eigenvector = new System.Windows.Forms.RadioButton();
			this.label56 = new System.Windows.Forms.Label();
			this.panel10 = new System.Windows.Forms.Panel();
			this.rbLapE2Degree = new System.Windows.Forms.RadioButton();
			this.rbLapE2Eigenvector = new System.Windows.Forms.RadioButton();
			this.label57 = new System.Windows.Forms.Label();
			this.panel11 = new System.Windows.Forms.Panel();
			this.rbLapE3Degree = new System.Windows.Forms.RadioButton();
			this.rbLapE3Eigenvector = new System.Windows.Forms.RadioButton();
			this.label58 = new System.Windows.Forms.Label();
			this.laplacianEigenvalues = new System.Windows.Forms.PictureBox();
			this.label59 = new System.Windows.Forms.Label();
			this.label60 = new System.Windows.Forms.Label();
			this.lapIVP = new System.Windows.Forms.PictureBox();
			this.label61 = new System.Windows.Forms.Label();
			this.label62 = new System.Windows.Forms.Label();
			this.lapSpec = new System.Windows.Forms.PictureBox();
			this.laplacianEigenvectorZero = new System.Windows.Forms.PictureBox();
			this.laplacianEigenvectorTwo = new System.Windows.Forms.PictureBox();
			this.laplacianEigenvectorOne = new System.Windows.Forms.PictureBox();
			this.label63 = new System.Windows.Forms.Label();
			this.label64 = new System.Windows.Forms.Label();
			this.label65 = new System.Windows.Forms.Label();
			this.label66 = new System.Windows.Forms.Label();
			this.label67 = new System.Windows.Forms.Label();
			this.normLapSpec = new System.Windows.Forms.PictureBox();
			this.normLaplacianEigenvectorZero = new System.Windows.Forms.PictureBox();
			this.normLaplacianEigenvectorTwo = new System.Windows.Forms.PictureBox();
			this.panel12 = new System.Windows.Forms.Panel();
			this.rbNormLapE2Degree = new System.Windows.Forms.RadioButton();
			this.rbNormLapE2Eigenvector = new System.Windows.Forms.RadioButton();
			this.label68 = new System.Windows.Forms.Label();
			this.label69 = new System.Windows.Forms.Label();
			this.label70 = new System.Windows.Forms.Label();
			this.panel13 = new System.Windows.Forms.Panel();
			this.rbNormLapE3Degree = new System.Windows.Forms.RadioButton();
			this.rbNormLapE3Eigenvector = new System.Windows.Forms.RadioButton();
			this.label71 = new System.Windows.Forms.Label();
			this.label72 = new System.Windows.Forms.Label();
			this.normLaplacianEigenvectorThree = new System.Windows.Forms.PictureBox();
			this.panel14 = new System.Windows.Forms.Panel();
			this.rbNormLapE0Eigenvector = new System.Windows.Forms.RadioButton();
			this.label73 = new System.Windows.Forms.Label();
			this.rbNormLapE0Degree = new System.Windows.Forms.RadioButton();
			this.normLaplacianEigenvalues = new System.Windows.Forms.PictureBox();
			this.label74 = new System.Windows.Forms.Label();
			this.label75 = new System.Windows.Forms.Label();
			this.normLapIVP = new System.Windows.Forms.PictureBox();
			this.panel15 = new System.Windows.Forms.Panel();
			this.rbNormLapE1Degree = new System.Windows.Forms.RadioButton();
			this.rbNormLapE1Eigenvector = new System.Windows.Forms.RadioButton();
			this.label76 = new System.Windows.Forms.Label();
			this.normLaplacianEigenvectorOne = new System.Windows.Forms.PictureBox();
			this.label77 = new System.Windows.Forms.Label();
			this.pnlOps = new System.Windows.Forms.Panel();
			this.btnResetDisplay = new System.Windows.Forms.Button();
			this.cbDrawConnectedEdges = new System.Windows.Forms.CheckBox();
			this.ddlZoomFactor = new System.Windows.Forms.NumericUpDown();
			this.rbSelectNode = new System.Windows.Forms.RadioButton();
			this.btnCollapsePanel = new System.Windows.Forms.Button();
			this.btnTextOutput = new System.Windows.Forms.Button();
			this.btnExportVRML = new System.Windows.Forms.Button();
			this.label26 = new System.Windows.Forms.Label();
			this.label28 = new System.Windows.Forms.Label();
			this.rbZoom = new System.Windows.Forms.RadioButton();
			this.label29 = new System.Windows.Forms.Label();
			this.label30 = new System.Windows.Forms.Label();
			this.cbDrawOtherEdges = new System.Windows.Forms.CheckBox();
			this.rbDisplayMain = new System.Windows.Forms.RadioButton();
			this.verticesLB = new System.Windows.Forms.ListBox();
			this.label24 = new System.Windows.Forms.Label();
			this.edgesLB = new System.Windows.Forms.ListBox();
			this.label25 = new System.Windows.Forms.Label();
			this.rbDisplayLaplacian = new System.Windows.Forms.RadioButton();
			this.rbDisplayPCA = new System.Windows.Forms.RadioButton();
			this.panel1 = new System.Windows.Forms.Panel();
			this.vName = new System.Windows.Forms.Label();
			this.connInfo = new System.Windows.Forms.Label();
			this.vDegree = new System.Windows.Forms.Label();
			this.pnlVertexComponentInfo = new System.Windows.Forms.Panel();
			this.vCC = new System.Windows.Forms.Label();
			this.vDist = new System.Windows.Forms.Label();
			this.label31 = new System.Windows.Forms.Label();
			this.label32 = new System.Windows.Forms.Label();
			this.label33 = new System.Windows.Forms.Label();
			this.label34 = new System.Windows.Forms.Label();
			this.label35 = new System.Windows.Forms.Label();
			this.label36 = new System.Windows.Forms.Label();
			this.label37 = new System.Windows.Forms.Label();
			this.vAdjE0 = new System.Windows.Forms.Label();
			this.vAdjE1 = new System.Windows.Forms.Label();
			this.vAdjE2 = new System.Windows.Forms.Label();
			this.vAdjE3 = new System.Windows.Forms.Label();
			this.vLapE3 = new System.Windows.Forms.Label();
			this.vLapE0 = new System.Windows.Forms.Label();
			this.vLapE2 = new System.Windows.Forms.Label();
			this.vLapE1 = new System.Windows.Forms.Label();
			this.vNormLapE3 = new System.Windows.Forms.Label();
			this.vNormLapE0 = new System.Windows.Forms.Label();
			this.vNormLapE2 = new System.Windows.Forms.Label();
			this.vNormLapE1 = new System.Windows.Forms.Label();
			this.pnlShowComponent = new System.Windows.Forms.Panel();
			this.lblShowComponent = new System.Windows.Forms.Label();
			this.panel3 = new System.Windows.Forms.Panel();
			this.laplacianDisplay = new System.Windows.Forms.PictureBox();
			this.graphDisplay = new System.Windows.Forms.PictureBox();
			this.pcaDisplay = new System.Windows.Forms.PictureBox();
			this.pnlCollapseNodes = new System.Windows.Forms.Panel();
			this.btnCollapse = new System.Windows.Forms.Button();
			this.tbCollapseLabel = new System.Windows.Forms.TextBox();
			this.label78 = new System.Windows.Forms.Label();
			this.collapseLB = new System.Windows.Forms.ListBox();
			this.label79 = new System.Windows.Forms.Label();
			this.button1 = new System.Windows.Forms.Button();
			this.saveFileVRML = new System.Windows.Forms.SaveFileDialog();
			this.pnlExport = new System.Windows.Forms.Panel();
			this.outAdjEigenvalue = new System.Windows.Forms.CheckBox();
			this.label81 = new System.Windows.Forms.Label();
			this.btnExportAdjacency = new System.Windows.Forms.Button();
			this.button3 = new System.Windows.Forms.Button();
			this.label80 = new System.Windows.Forms.Label();
			this.btnExportLaplacian = new System.Windows.Forms.Button();
			this.btnExportNormLaplacian = new System.Windows.Forms.Button();
			this.btnExportAdjacencyEigenInformation = new System.Windows.Forms.Button();
			this.outAdjIVP = new System.Windows.Forms.CheckBox();
			this.outAdjSpec = new System.Windows.Forms.CheckBox();
			this.outAdjEigenvector = new System.Windows.Forms.CheckBox();
			this.outLapIVP = new System.Windows.Forms.CheckBox();
			this.outLapEigenvector = new System.Windows.Forms.CheckBox();
			this.outLapEigenvalue = new System.Windows.Forms.CheckBox();
			this.outLapSpec = new System.Windows.Forms.CheckBox();
			this.btnExportLaplacianEigenInformation = new System.Windows.Forms.Button();
			this.btnExportNormalizedLaplacianEigenInformation = new System.Windows.Forms.Button();
			this.outNormLapIVP = new System.Windows.Forms.CheckBox();
			this.outNormLapEigenvector = new System.Windows.Forms.CheckBox();
			this.outNormLapEigenvalue = new System.Windows.Forms.CheckBox();
			this.outNormLapSpec = new System.Windows.Forms.CheckBox();
			this.btnExportNodeInformation = new System.Windows.Forms.Button();
			this.outNodeLabel = new System.Windows.Forms.CheckBox();
			this.outNodeID = new System.Windows.Forms.CheckBox();
			this.outNodeDegree = new System.Windows.Forms.CheckBox();
			this.outNodeCK = new System.Windows.Forms.CheckBox();
			this.outNodeAvgDist = new System.Windows.Forms.CheckBox();
			this.outNodeMaxDist = new System.Windows.Forms.CheckBox();
			this.outNodeAdjEig = new System.Windows.Forms.CheckBox();
			this.outNodeLapEig = new System.Windows.Forms.CheckBox();
			this.outNodeNormLapEig = new System.Windows.Forms.CheckBox();
			this.btnExportNodeNodeWeight = new System.Windows.Forms.Button();
			this.saveExportFile = new System.Windows.Forms.SaveFileDialog();
			this.pnlStepOne.SuspendLayout();
			this.panel2.SuspendLayout();
			this.panel16.SuspendLayout();
			this.pnlStepTwo.SuspendLayout();
			this.pnlProgress.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.numSimilarities)).BeginInit();
			this.pnlMain.SuspendLayout();
			this.pnlComponent.SuspendLayout();
			this.panel4.SuspendLayout();
			this.panel5.SuspendLayout();
			this.panel6.SuspendLayout();
			this.panel7.SuspendLayout();
			this.panel8.SuspendLayout();
			this.panel9.SuspendLayout();
			this.panel10.SuspendLayout();
			this.panel11.SuspendLayout();
			this.panel12.SuspendLayout();
			this.panel13.SuspendLayout();
			this.panel14.SuspendLayout();
			this.panel15.SuspendLayout();
			this.pnlOps.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.ddlZoomFactor)).BeginInit();
			this.panel1.SuspendLayout();
			this.pnlVertexComponentInfo.SuspendLayout();
			this.pnlShowComponent.SuspendLayout();
			this.panel3.SuspendLayout();
			this.pnlCollapseNodes.SuspendLayout();
			this.pnlExport.SuspendLayout();
			this.SuspendLayout();
			// 
			// pnlStepOne
			// 
			this.pnlStepOne.Controls.Add(this.btnNextStep1);
			this.pnlStepOne.Controls.Add(this.label18);
			this.pnlStepOne.Controls.Add(this.inputRandomER);
			this.pnlStepOne.Controls.Add(this.btnChooseFileNodeNodeWeight);
			this.pnlStepOne.Controls.Add(this.inputNodeEdgesUpload);
			this.pnlStepOne.Controls.Add(this.inputNodeEdges);
			this.pnlStepOne.Controls.Add(this.btnChooseFilePajek);
			this.pnlStepOne.Controls.Add(this.inputFileUpload);
			this.pnlStepOne.Controls.Add(this.inputFile);
			this.pnlStepOne.Controls.Add(this.tbRelevanceThreshold);
			this.pnlStepOne.Controls.Add(this.label3);
			this.pnlStepOne.Controls.Add(this.cbSquareAdjacencyMatrix);
			this.pnlStepOne.Controls.Add(this.btnChooseFileAdjacency);
			this.pnlStepOne.Controls.Add(this.inputCorrelationMatrixUpload);
			this.pnlStepOne.Controls.Add(this.inputCorrelationMatrix);
			this.pnlStepOne.Controls.Add(this.panel2);
			this.pnlStepOne.Controls.Add(this.btnChooseFileRaw);
			this.pnlStepOne.Controls.Add(this.inputRawDataUpload);
			this.pnlStepOne.Controls.Add(this.inputRawData);
			this.pnlStepOne.Controls.Add(this.lblChooseInput);
			this.pnlStepOne.Controls.Add(this.lblWelcome);
			this.pnlStepOne.Controls.Add(this.label4);
			this.pnlStepOne.Controls.Add(this.label5);
			this.pnlStepOne.Controls.Add(this.label6);
			this.pnlStepOne.Controls.Add(this.erNumNodes);
			this.pnlStepOne.Controls.Add(this.erProbability);
			this.pnlStepOne.Controls.Add(this.label7);
			this.pnlStepOne.Controls.Add(this.label8);
			this.pnlStepOne.Controls.Add(this.sfNumNodes);
			this.pnlStepOne.Controls.Add(this.inputRandomScaleFree);
			this.pnlStepOne.Controls.Add(this.label9);
			this.pnlStepOne.Controls.Add(this.sfM);
			this.pnlStepOne.Controls.Add(this.label10);
			this.pnlStepOne.Controls.Add(this.label11);
			this.pnlStepOne.Controls.Add(this.sfrwT);
			this.pnlStepOne.Controls.Add(this.inputRandomScaleFreeRewiring);
			this.pnlStepOne.Controls.Add(this.label12);
			this.pnlStepOne.Controls.Add(this.sfrwM);
			this.pnlStepOne.Controls.Add(this.label13);
			this.pnlStepOne.Controls.Add(this.sfrwNewEdges);
			this.pnlStepOne.Controls.Add(this.sfrwRewire);
			this.pnlStepOne.Controls.Add(this.label14);
			this.pnlStepOne.Controls.Add(this.label15);
			this.pnlStepOne.Controls.Add(this.label16);
			this.pnlStepOne.Controls.Add(this.hierCS);
			this.pnlStepOne.Controls.Add(this.inputRandomHierarchical);
			this.pnlStepOne.Controls.Add(this.label17);
			this.pnlStepOne.Controls.Add(this.hierN);
			this.pnlStepOne.Controls.Add(this.swP);
			this.pnlStepOne.Controls.Add(this.label19);
			this.pnlStepOne.Controls.Add(this.swK);
			this.pnlStepOne.Controls.Add(this.label20);
			this.pnlStepOne.Controls.Add(this.inputRandomSmallWorld);
			this.pnlStepOne.Controls.Add(this.swN);
			this.pnlStepOne.Controls.Add(this.label22);
			this.pnlStepOne.Controls.Add(this.label23);
			this.pnlStepOne.Location = new System.Drawing.Point(0, 0);
			this.pnlStepOne.Name = "pnlStepOne";
			this.pnlStepOne.Size = new System.Drawing.Size(992, 664);
			this.pnlStepOne.TabIndex = 0;
			// 
			// btnNextStep1
			// 
			this.btnNextStep1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.btnNextStep1.Location = new System.Drawing.Point(440, 600);
			this.btnNextStep1.Name = "btnNextStep1";
			this.btnNextStep1.Size = new System.Drawing.Size(112, 23);
			this.btnNextStep1.TabIndex = 30;
			this.btnNextStep1.Text = "Continue...";
			this.btnNextStep1.Click += new System.EventHandler(this.btnNextStep1_Click);
			// 
			// label18
			// 
			this.label18.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label18.Location = new System.Drawing.Point(416, 504);
			this.label18.Name = "label18";
			this.label18.Size = new System.Drawing.Size(288, 23);
			this.label18.TabIndex = 29;
			this.label18.Text = "Warning: creates cs^(n+1) nodes, choose low n.";
			this.label18.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// inputRandomER
			// 
			this.inputRandomER.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.inputRandomER.Location = new System.Drawing.Point(32, 408);
			this.inputRandomER.Name = "inputRandomER";
			this.inputRandomER.Size = new System.Drawing.Size(240, 24);
			this.inputRandomER.TabIndex = 28;
			this.inputRandomER.Text = "Generate a random Erdös-Rényi graph ";
			// 
			// btnChooseFileNodeNodeWeight
			// 
			this.btnChooseFileNodeNodeWeight.Location = new System.Drawing.Point(664, 376);
			this.btnChooseFileNodeNodeWeight.Name = "btnChooseFileNodeNodeWeight";
			this.btnChooseFileNodeNodeWeight.TabIndex = 27;
			this.btnChooseFileNodeNodeWeight.Text = "Browse...";
			this.btnChooseFileNodeNodeWeight.Click += new System.EventHandler(this.btnChooseFileNodeNodeWeight_Click);
			// 
			// inputNodeEdgesUpload
			// 
			this.inputNodeEdgesUpload.BackColor = System.Drawing.Color.White;
			this.inputNodeEdgesUpload.Location = new System.Drawing.Point(224, 376);
			this.inputNodeEdgesUpload.Name = "inputNodeEdgesUpload";
			this.inputNodeEdgesUpload.ReadOnly = true;
			this.inputNodeEdgesUpload.Size = new System.Drawing.Size(432, 20);
			this.inputNodeEdgesUpload.TabIndex = 26;
			this.inputNodeEdgesUpload.Text = "";
			this.inputNodeEdgesUpload.WordWrap = false;
			// 
			// inputNodeEdges
			// 
			this.inputNodeEdges.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.inputNodeEdges.Location = new System.Drawing.Point(32, 376);
			this.inputNodeEdges.Name = "inputNodeEdges";
			this.inputNodeEdges.Size = new System.Drawing.Size(192, 24);
			this.inputNodeEdges.TabIndex = 25;
			this.inputNodeEdges.Text = "Upload node-node-weight file:";
			// 
			// btnChooseFilePajek
			// 
			this.btnChooseFilePajek.Location = new System.Drawing.Point(592, 344);
			this.btnChooseFilePajek.Name = "btnChooseFilePajek";
			this.btnChooseFilePajek.TabIndex = 24;
			this.btnChooseFilePajek.Text = "Browse...";
			this.btnChooseFilePajek.Click += new System.EventHandler(this.btnChooseFilePajek_Click);
			// 
			// inputFileUpload
			// 
			this.inputFileUpload.BackColor = System.Drawing.Color.White;
			this.inputFileUpload.Location = new System.Drawing.Point(152, 344);
			this.inputFileUpload.Name = "inputFileUpload";
			this.inputFileUpload.ReadOnly = true;
			this.inputFileUpload.Size = new System.Drawing.Size(432, 20);
			this.inputFileUpload.TabIndex = 23;
			this.inputFileUpload.Text = "";
			this.inputFileUpload.WordWrap = false;
			// 
			// inputFile
			// 
			this.inputFile.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.inputFile.Location = new System.Drawing.Point(32, 344);
			this.inputFile.Name = "inputFile";
			this.inputFile.Size = new System.Drawing.Size(120, 24);
			this.inputFile.TabIndex = 22;
			this.inputFile.Text = "Upload Pajek file:";
			// 
			// tbRelevanceThreshold
			// 
			this.tbRelevanceThreshold.Location = new System.Drawing.Point(256, 312);
			this.tbRelevanceThreshold.Name = "tbRelevanceThreshold";
			this.tbRelevanceThreshold.Size = new System.Drawing.Size(40, 20);
			this.tbRelevanceThreshold.TabIndex = 20;
			this.tbRelevanceThreshold.Text = "0.0";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(168, 312);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(88, 24);
			this.label3.TabIndex = 21;
			this.label3.Text = "Relev. Thresh.:";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// cbSquareAdjacencyMatrix
			// 
			this.cbSquareAdjacencyMatrix.Location = new System.Drawing.Point(56, 312);
			this.cbSquareAdjacencyMatrix.Name = "cbSquareAdjacencyMatrix";
			this.cbSquareAdjacencyMatrix.TabIndex = 19;
			this.cbSquareAdjacencyMatrix.Text = "Transpose Data";
			// 
			// btnChooseFileAdjacency
			// 
			this.btnChooseFileAdjacency.Location = new System.Drawing.Point(648, 288);
			this.btnChooseFileAdjacency.Name = "btnChooseFileAdjacency";
			this.btnChooseFileAdjacency.TabIndex = 18;
			this.btnChooseFileAdjacency.Text = "Browse...";
			this.btnChooseFileAdjacency.Click += new System.EventHandler(this.btnChooseFileAdjacency_Click);
			// 
			// inputCorrelationMatrixUpload
			// 
			this.inputCorrelationMatrixUpload.BackColor = System.Drawing.Color.White;
			this.inputCorrelationMatrixUpload.Location = new System.Drawing.Point(208, 288);
			this.inputCorrelationMatrixUpload.Name = "inputCorrelationMatrixUpload";
			this.inputCorrelationMatrixUpload.ReadOnly = true;
			this.inputCorrelationMatrixUpload.Size = new System.Drawing.Size(432, 20);
			this.inputCorrelationMatrixUpload.TabIndex = 17;
			this.inputCorrelationMatrixUpload.Text = "";
			this.inputCorrelationMatrixUpload.WordWrap = false;
			// 
			// inputCorrelationMatrix
			// 
			this.inputCorrelationMatrix.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.inputCorrelationMatrix.Location = new System.Drawing.Point(32, 288);
			this.inputCorrelationMatrix.Name = "inputCorrelationMatrix";
			this.inputCorrelationMatrix.Size = new System.Drawing.Size(184, 24);
			this.inputCorrelationMatrix.TabIndex = 16;
			this.inputCorrelationMatrix.Text = "Upload adjacency matrix file:";
			// 
			// panel2
			// 
			this.panel2.Controls.Add(this.panel16);
			this.panel2.Controls.Add(this.tbRelevanceThresholdRawDataBipartite);
			this.panel2.Controls.Add(this.label2);
			this.panel2.Controls.Add(this.rawBipartite);
			this.panel2.Controls.Add(this.tbNearestNeighborsRawData);
			this.panel2.Controls.Add(this.tbKEigenmap);
			this.panel2.Controls.Add(this.cbPCAEigenmap);
			this.panel2.Controls.Add(this.lblKNearest);
			this.panel2.Controls.Add(this.cbTransposeEigenmap);
			this.panel2.Controls.Add(this.rbEigenmap);
			this.panel2.Controls.Add(this.tbRelevanceThresholdRawData);
			this.panel2.Controls.Add(this.cbNearestNeighborsRawData);
			this.panel2.Controls.Add(this.cbPCARawData);
			this.panel2.Controls.Add(this.rawCorrelate);
			this.panel2.Controls.Add(this.label1);
			this.panel2.Controls.Add(this.cbTransposeRawData);
			this.panel2.Controls.Add(this.label82);
			this.panel2.Location = new System.Drawing.Point(48, 88);
			this.panel2.Name = "panel2";
			this.panel2.Size = new System.Drawing.Size(888, 192);
			this.panel2.TabIndex = 15;
			// 
			// panel16
			// 
			this.panel16.Controls.Add(this.tbTEigenmap);
			this.panel16.Controls.Add(this.rbEdgeWeightsHeatKernel);
			this.panel16.Controls.Add(this.rbEdgeWeightsSimple);
			this.panel16.Location = new System.Drawing.Point(400, 88);
			this.panel16.Name = "panel16";
			this.panel16.Size = new System.Drawing.Size(280, 32);
			this.panel16.TabIndex = 24;
			// 
			// tbTEigenmap
			// 
			this.tbTEigenmap.Location = new System.Drawing.Point(224, 8);
			this.tbTEigenmap.Name = "tbTEigenmap";
			this.tbTEigenmap.Size = new System.Drawing.Size(40, 20);
			this.tbTEigenmap.TabIndex = 19;
			this.tbTEigenmap.Text = "100";
			// 
			// rbEdgeWeightsHeatKernel
			// 
			this.rbEdgeWeightsHeatKernel.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbEdgeWeightsHeatKernel.Location = new System.Drawing.Point(120, 8);
			this.rbEdgeWeightsHeatKernel.Name = "rbEdgeWeightsHeatKernel";
			this.rbEdgeWeightsHeatKernel.TabIndex = 14;
			this.rbEdgeWeightsHeatKernel.Text = "Heat kernel t =";
			// 
			// rbEdgeWeightsSimple
			// 
			this.rbEdgeWeightsSimple.Checked = true;
			this.rbEdgeWeightsSimple.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbEdgeWeightsSimple.Location = new System.Drawing.Point(8, 8);
			this.rbEdgeWeightsSimple.Name = "rbEdgeWeightsSimple";
			this.rbEdgeWeightsSimple.Size = new System.Drawing.Size(112, 24);
			this.rbEdgeWeightsSimple.TabIndex = 14;
			this.rbEdgeWeightsSimple.TabStop = true;
			this.rbEdgeWeightsSimple.Text = "Simple (all = 1)";
			// 
			// tbRelevanceThresholdRawDataBipartite
			// 
			this.tbRelevanceThresholdRawDataBipartite.Location = new System.Drawing.Point(120, 168);
			this.tbRelevanceThresholdRawDataBipartite.Name = "tbRelevanceThresholdRawDataBipartite";
			this.tbRelevanceThresholdRawDataBipartite.Size = new System.Drawing.Size(40, 20);
			this.tbRelevanceThresholdRawDataBipartite.TabIndex = 22;
			this.tbRelevanceThresholdRawDataBipartite.Text = "0.0";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(32, 168);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(88, 24);
			this.label2.TabIndex = 23;
			this.label2.Text = "Relev. Thresh.:";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// rawBipartite
			// 
			this.rawBipartite.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rawBipartite.Location = new System.Drawing.Point(8, 144);
			this.rawBipartite.Name = "rawBipartite";
			this.rawBipartite.Size = new System.Drawing.Size(712, 24);
			this.rawBipartite.TabIndex = 21;
			this.rawBipartite.Text = "Create a bipartite graph with row elements connected to column elements (edge wei" +
				"ght is raw cell value and must be positive)";
			// 
			// tbNearestNeighborsRawData
			// 
			this.tbNearestNeighborsRawData.Location = new System.Drawing.Point(504, 24);
			this.tbNearestNeighborsRawData.Name = "tbNearestNeighborsRawData";
			this.tbNearestNeighborsRawData.Size = new System.Drawing.Size(40, 20);
			this.tbNearestNeighborsRawData.TabIndex = 12;
			this.tbNearestNeighborsRawData.Text = "7";
			// 
			// tbKEigenmap
			// 
			this.tbKEigenmap.Location = new System.Drawing.Point(256, 96);
			this.tbKEigenmap.Name = "tbKEigenmap";
			this.tbKEigenmap.Size = new System.Drawing.Size(32, 20);
			this.tbKEigenmap.TabIndex = 16;
			this.tbKEigenmap.Text = "7";
			// 
			// cbPCAEigenmap
			// 
			this.cbPCAEigenmap.Checked = true;
			this.cbPCAEigenmap.CheckState = System.Windows.Forms.CheckState.Checked;
			this.cbPCAEigenmap.Location = new System.Drawing.Point(32, 120);
			this.cbPCAEigenmap.Name = "cbPCAEigenmap";
			this.cbPCAEigenmap.Size = new System.Drawing.Size(416, 24);
			this.cbPCAEigenmap.TabIndex = 20;
			this.cbPCAEigenmap.Text = "Perform PCA on raw data first (automatically normalizes and re-centers data) ";
			// 
			// lblKNearest
			// 
			this.lblKNearest.Location = new System.Drawing.Point(152, 96);
			this.lblKNearest.Name = "lblKNearest";
			this.lblKNearest.Size = new System.Drawing.Size(112, 23);
			this.lblKNearest.TabIndex = 17;
			this.lblKNearest.Text = "K-nearest neighbors:";
			this.lblKNearest.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// cbTransposeEigenmap
			// 
			this.cbTransposeEigenmap.Location = new System.Drawing.Point(32, 96);
			this.cbTransposeEigenmap.Name = "cbTransposeEigenmap";
			this.cbTransposeEigenmap.TabIndex = 15;
			this.cbTransposeEigenmap.Text = "Transpose Data";
			// 
			// rbEigenmap
			// 
			this.rbEigenmap.Checked = true;
			this.rbEigenmap.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbEigenmap.Location = new System.Drawing.Point(8, 72);
			this.rbEigenmap.Name = "rbEigenmap";
			this.rbEigenmap.Size = new System.Drawing.Size(544, 24);
			this.rbEigenmap.TabIndex = 14;
			this.rbEigenmap.TabStop = true;
			this.rbEigenmap.Text = "Connect nodes (one per row) to each other based on Euclidean distance (Eigenmap a" +
				"lgorithm)";
			// 
			// tbRelevanceThresholdRawData
			// 
			this.tbRelevanceThresholdRawData.Location = new System.Drawing.Point(232, 24);
			this.tbRelevanceThresholdRawData.Name = "tbRelevanceThresholdRawData";
			this.tbRelevanceThresholdRawData.Size = new System.Drawing.Size(40, 20);
			this.tbRelevanceThresholdRawData.TabIndex = 9;
			this.tbRelevanceThresholdRawData.Text = "0.0";
			// 
			// cbNearestNeighborsRawData
			// 
			this.cbNearestNeighborsRawData.Location = new System.Drawing.Point(312, 24);
			this.cbNearestNeighborsRawData.Name = "cbNearestNeighborsRawData";
			this.cbNearestNeighborsRawData.Size = new System.Drawing.Size(200, 24);
			this.cbNearestNeighborsRawData.TabIndex = 11;
			this.cbNearestNeighborsRawData.Text = "Keep K-nearest neighbors only: K=";
			// 
			// cbPCARawData
			// 
			this.cbPCARawData.Checked = true;
			this.cbPCARawData.CheckState = System.Windows.Forms.CheckState.Checked;
			this.cbPCARawData.Location = new System.Drawing.Point(32, 48);
			this.cbPCARawData.Name = "cbPCARawData";
			this.cbPCARawData.Size = new System.Drawing.Size(416, 24);
			this.cbPCARawData.TabIndex = 13;
			this.cbPCARawData.Text = "Perform PCA on raw data first (automatically normalizes and re-centers data) ";
			// 
			// rawCorrelate
			// 
			this.rawCorrelate.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rawCorrelate.Location = new System.Drawing.Point(8, 0);
			this.rawCorrelate.Name = "rawCorrelate";
			this.rawCorrelate.Size = new System.Drawing.Size(464, 24);
			this.rawCorrelate.TabIndex = 7;
			this.rawCorrelate.Text = "Correlate rows to each other based on column values (edge weight is r squared)";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(144, 24);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(88, 24);
			this.label1.TabIndex = 10;
			this.label1.Text = "Relev. Thresh.:";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// cbTransposeRawData
			// 
			this.cbTransposeRawData.Location = new System.Drawing.Point(32, 24);
			this.cbTransposeRawData.Name = "cbTransposeRawData";
			this.cbTransposeRawData.TabIndex = 8;
			this.cbTransposeRawData.Text = "Transpose Data";
			// 
			// label82
			// 
			this.label82.Location = new System.Drawing.Point(320, 96);
			this.label82.Name = "label82";
			this.label82.Size = new System.Drawing.Size(88, 24);
			this.label82.TabIndex = 21;
			this.label82.Text = "Edge weights:";
			this.label82.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// btnChooseFileRaw
			// 
			this.btnChooseFileRaw.Location = new System.Drawing.Point(592, 64);
			this.btnChooseFileRaw.Name = "btnChooseFileRaw";
			this.btnChooseFileRaw.TabIndex = 6;
			this.btnChooseFileRaw.Text = "Browse...";
			this.btnChooseFileRaw.Click += new System.EventHandler(this.btnChooseFileRaw_Click);
			// 
			// inputRawDataUpload
			// 
			this.inputRawDataUpload.BackColor = System.Drawing.Color.White;
			this.inputRawDataUpload.Location = new System.Drawing.Point(152, 64);
			this.inputRawDataUpload.Name = "inputRawDataUpload";
			this.inputRawDataUpload.ReadOnly = true;
			this.inputRawDataUpload.Size = new System.Drawing.Size(432, 20);
			this.inputRawDataUpload.TabIndex = 5;
			this.inputRawDataUpload.Text = "";
			this.inputRawDataUpload.WordWrap = false;
			// 
			// inputRawData
			// 
			this.inputRawData.Checked = true;
			this.inputRawData.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.inputRawData.Location = new System.Drawing.Point(32, 64);
			this.inputRawData.Name = "inputRawData";
			this.inputRawData.Size = new System.Drawing.Size(120, 24);
			this.inputRawData.TabIndex = 4;
			this.inputRawData.TabStop = true;
			this.inputRawData.Text = "Upload raw data:";
			// 
			// lblChooseInput
			// 
			this.lblChooseInput.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblChooseInput.ForeColor = System.Drawing.Color.DarkBlue;
			this.lblChooseInput.Location = new System.Drawing.Point(16, 40);
			this.lblChooseInput.Name = "lblChooseInput";
			this.lblChooseInput.Size = new System.Drawing.Size(176, 23);
			this.lblChooseInput.TabIndex = 3;
			this.lblChooseInput.Text = "Step 1: Choose your input";
			// 
			// lblWelcome
			// 
			this.lblWelcome.Font = new System.Drawing.Font("Arial", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblWelcome.ForeColor = System.Drawing.Color.DarkBlue;
			this.lblWelcome.Location = new System.Drawing.Point(8, 8);
			this.lblWelcome.Name = "lblWelcome";
			this.lblWelcome.Size = new System.Drawing.Size(264, 32);
			this.lblWelcome.TabIndex = 2;
			this.lblWelcome.Text = "Welcome to SpectralNet";
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(280, 408);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(24, 23);
			this.label4.TabIndex = 24;
			this.label4.Text = "(N=";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(336, 408);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(24, 23);
			this.label5.TabIndex = 24;
			this.label5.Text = ", p=";
			this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(392, 408);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(24, 23);
			this.label6.TabIndex = 24;
			this.label6.Text = ")";
			this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// erNumNodes
			// 
			this.erNumNodes.Location = new System.Drawing.Point(304, 408);
			this.erNumNodes.Name = "erNumNodes";
			this.erNumNodes.Size = new System.Drawing.Size(32, 20);
			this.erNumNodes.TabIndex = 19;
			this.erNumNodes.Text = "50";
			// 
			// erProbability
			// 
			this.erProbability.Location = new System.Drawing.Point(360, 408);
			this.erProbability.Name = "erProbability";
			this.erProbability.Size = new System.Drawing.Size(32, 20);
			this.erProbability.TabIndex = 19;
			this.erProbability.Text = ".08";
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(360, 440);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(24, 23);
			this.label7.TabIndex = 24;
			this.label7.Text = "(N=";
			this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label8
			// 
			this.label8.Location = new System.Drawing.Point(416, 440);
			this.label8.Name = "label8";
			this.label8.Size = new System.Drawing.Size(32, 23);
			this.label8.TabIndex = 24;
			this.label8.Text = ", m=";
			this.label8.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// sfNumNodes
			// 
			this.sfNumNodes.Location = new System.Drawing.Point(384, 440);
			this.sfNumNodes.Name = "sfNumNodes";
			this.sfNumNodes.Size = new System.Drawing.Size(32, 20);
			this.sfNumNodes.TabIndex = 19;
			this.sfNumNodes.Text = "300";
			// 
			// inputRandomScaleFree
			// 
			this.inputRandomScaleFree.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.inputRandomScaleFree.Location = new System.Drawing.Point(32, 440);
			this.inputRandomScaleFree.Name = "inputRandomScaleFree";
			this.inputRandomScaleFree.Size = new System.Drawing.Size(320, 24);
			this.inputRandomScaleFree.TabIndex = 28;
			this.inputRandomScaleFree.Text = "Generate a random (Barabási-Albert) scale-free graph";
			// 
			// label9
			// 
			this.label9.Location = new System.Drawing.Point(472, 440);
			this.label9.Name = "label9";
			this.label9.Size = new System.Drawing.Size(24, 23);
			this.label9.TabIndex = 24;
			this.label9.Text = ")";
			this.label9.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// sfM
			// 
			this.sfM.Location = new System.Drawing.Point(448, 440);
			this.sfM.Name = "sfM";
			this.sfM.Size = new System.Drawing.Size(24, 20);
			this.sfM.TabIndex = 19;
			this.sfM.Text = "1";
			// 
			// label10
			// 
			this.label10.Location = new System.Drawing.Point(320, 472);
			this.label10.Name = "label10";
			this.label10.Size = new System.Drawing.Size(24, 23);
			this.label10.TabIndex = 24;
			this.label10.Text = "(t=";
			this.label10.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label11
			// 
			this.label11.Location = new System.Drawing.Point(376, 472);
			this.label11.Name = "label11";
			this.label11.Size = new System.Drawing.Size(32, 23);
			this.label11.TabIndex = 24;
			this.label11.Text = ", m=";
			this.label11.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// sfrwT
			// 
			this.sfrwT.Location = new System.Drawing.Point(344, 472);
			this.sfrwT.Name = "sfrwT";
			this.sfrwT.Size = new System.Drawing.Size(32, 20);
			this.sfrwT.TabIndex = 19;
			this.sfrwT.Text = "350";
			// 
			// inputRandomScaleFreeRewiring
			// 
			this.inputRandomScaleFreeRewiring.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.inputRandomScaleFreeRewiring.Location = new System.Drawing.Point(32, 472);
			this.inputRandomScaleFreeRewiring.Name = "inputRandomScaleFreeRewiring";
			this.inputRandomScaleFreeRewiring.Size = new System.Drawing.Size(280, 24);
			this.inputRandomScaleFreeRewiring.TabIndex = 28;
			this.inputRandomScaleFreeRewiring.Text = "Generate a random, re-wiring, scale-free graph";
			// 
			// label12
			// 
			this.label12.Location = new System.Drawing.Point(648, 472);
			this.label12.Name = "label12";
			this.label12.Size = new System.Drawing.Size(24, 23);
			this.label12.TabIndex = 24;
			this.label12.Text = ")";
			this.label12.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// sfrwM
			// 
			this.sfrwM.Location = new System.Drawing.Point(408, 472);
			this.sfrwM.Name = "sfrwM";
			this.sfrwM.Size = new System.Drawing.Size(24, 20);
			this.sfrwM.TabIndex = 19;
			this.sfrwM.Text = "1";
			// 
			// label13
			// 
			this.label13.Location = new System.Drawing.Point(432, 472);
			this.label13.Name = "label13";
			this.label13.Size = new System.Drawing.Size(88, 23);
			this.label13.TabIndex = 24;
			this.label13.Text = ", p[newedges]=";
			this.label13.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// sfrwNewEdges
			// 
			this.sfrwNewEdges.Location = new System.Drawing.Point(520, 472);
			this.sfrwNewEdges.Name = "sfrwNewEdges";
			this.sfrwNewEdges.Size = new System.Drawing.Size(32, 20);
			this.sfrwNewEdges.TabIndex = 19;
			this.sfrwNewEdges.Text = ".05";
			// 
			// sfrwRewire
			// 
			this.sfrwRewire.Location = new System.Drawing.Point(616, 472);
			this.sfrwRewire.Name = "sfrwRewire";
			this.sfrwRewire.Size = new System.Drawing.Size(32, 20);
			this.sfrwRewire.TabIndex = 19;
			this.sfrwRewire.Text = ".05";
			// 
			// label14
			// 
			this.label14.Location = new System.Drawing.Point(552, 472);
			this.label14.Name = "label14";
			this.label14.Size = new System.Drawing.Size(64, 23);
			this.label14.TabIndex = 24;
			this.label14.Text = ", p[rewire]=";
			this.label14.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label15
			// 
			this.label15.Location = new System.Drawing.Point(232, 504);
			this.label15.Name = "label15";
			this.label15.Size = new System.Drawing.Size(80, 23);
			this.label15.TabIndex = 24;
			this.label15.Text = "(Clique size =";
			this.label15.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label16
			// 
			this.label16.Location = new System.Drawing.Point(344, 504);
			this.label16.Name = "label16";
			this.label16.Size = new System.Drawing.Size(32, 23);
			this.label16.TabIndex = 24;
			this.label16.Text = ", n=";
			this.label16.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// hierCS
			// 
			this.hierCS.Location = new System.Drawing.Point(312, 504);
			this.hierCS.Name = "hierCS";
			this.hierCS.Size = new System.Drawing.Size(32, 20);
			this.hierCS.TabIndex = 19;
			this.hierCS.Text = "5";
			// 
			// inputRandomHierarchical
			// 
			this.inputRandomHierarchical.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.inputRandomHierarchical.Location = new System.Drawing.Point(32, 504);
			this.inputRandomHierarchical.Name = "inputRandomHierarchical";
			this.inputRandomHierarchical.Size = new System.Drawing.Size(192, 24);
			this.inputRandomHierarchical.TabIndex = 28;
			this.inputRandomHierarchical.Text = "Generate a hierarchical graph";
			// 
			// label17
			// 
			this.label17.Location = new System.Drawing.Point(400, 504);
			this.label17.Name = "label17";
			this.label17.Size = new System.Drawing.Size(24, 23);
			this.label17.TabIndex = 24;
			this.label17.Text = ")";
			this.label17.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// hierN
			// 
			this.hierN.Location = new System.Drawing.Point(376, 504);
			this.hierN.Name = "hierN";
			this.hierN.Size = new System.Drawing.Size(24, 20);
			this.hierN.TabIndex = 19;
			this.hierN.Text = "2";
			// 
			// swP
			// 
			this.swP.Location = new System.Drawing.Point(512, 536);
			this.swP.Name = "swP";
			this.swP.Size = new System.Drawing.Size(32, 20);
			this.swP.TabIndex = 19;
			this.swP.Text = "0.2";
			// 
			// label19
			// 
			this.label19.Location = new System.Drawing.Point(488, 536);
			this.label19.Name = "label19";
			this.label19.Size = new System.Drawing.Size(24, 23);
			this.label19.TabIndex = 24;
			this.label19.Text = ",p=";
			this.label19.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// swK
			// 
			this.swK.Location = new System.Drawing.Point(456, 536);
			this.swK.Name = "swK";
			this.swK.Size = new System.Drawing.Size(32, 20);
			this.swK.TabIndex = 19;
			this.swK.Text = "4";
			// 
			// label20
			// 
			this.label20.Location = new System.Drawing.Point(544, 536);
			this.label20.Name = "label20";
			this.label20.Size = new System.Drawing.Size(24, 23);
			this.label20.TabIndex = 24;
			this.label20.Text = ")";
			this.label20.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// inputRandomSmallWorld
			// 
			this.inputRandomSmallWorld.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.inputRandomSmallWorld.Location = new System.Drawing.Point(32, 536);
			this.inputRandomSmallWorld.Name = "inputRandomSmallWorld";
			this.inputRandomSmallWorld.Size = new System.Drawing.Size(328, 24);
			this.inputRandomSmallWorld.TabIndex = 28;
			this.inputRandomSmallWorld.Text = "Generate a random (Watts-Strogatz) small-world graph";
			// 
			// swN
			// 
			this.swN.Location = new System.Drawing.Point(392, 536);
			this.swN.Name = "swN";
			this.swN.Size = new System.Drawing.Size(32, 20);
			this.swN.TabIndex = 19;
			this.swN.Text = "300";
			// 
			// label22
			// 
			this.label22.Location = new System.Drawing.Point(424, 536);
			this.label22.Name = "label22";
			this.label22.Size = new System.Drawing.Size(32, 23);
			this.label22.TabIndex = 24;
			this.label22.Text = ", k=";
			this.label22.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label23
			// 
			this.label23.Location = new System.Drawing.Point(368, 536);
			this.label23.Name = "label23";
			this.label23.Size = new System.Drawing.Size(24, 23);
			this.label23.TabIndex = 24;
			this.label23.Text = "(n=";
			this.label23.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pnlStepTwo
			// 
			this.pnlStepTwo.Controls.Add(this.pnlProgress);
			this.pnlStepTwo.Controls.Add(this.btnSubmit);
			this.pnlStepTwo.Controls.Add(this.chemRegex);
			this.pnlStepTwo.Controls.Add(this.numSimilarities);
			this.pnlStepTwo.Controls.Add(this.doFR);
			this.pnlStepTwo.Controls.Add(this.label21);
			this.pnlStepTwo.Controls.Add(this.cbDoDijkstra);
			this.pnlStepTwo.Controls.Add(this.cbDoClusterCoefficient);
			this.pnlStepTwo.Controls.Add(this.chemchem);
			this.pnlStepTwo.Location = new System.Drawing.Point(0, 0);
			this.pnlStepTwo.Name = "pnlStepTwo";
			this.pnlStepTwo.Size = new System.Drawing.Size(992, 664);
			this.pnlStepTwo.TabIndex = 2;
			this.pnlStepTwo.Visible = false;
			// 
			// pnlProgress
			// 
			this.pnlProgress.Controls.Add(this.lblProgress);
			this.pnlProgress.Controls.Add(this.pbMain);
			this.pnlProgress.Location = new System.Drawing.Point(216, 272);
			this.pnlProgress.Name = "pnlProgress";
			this.pnlProgress.Size = new System.Drawing.Size(560, 100);
			this.pnlProgress.TabIndex = 39;
			this.pnlProgress.Visible = false;
			// 
			// lblProgress
			// 
			this.lblProgress.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblProgress.ForeColor = System.Drawing.SystemColors.ControlText;
			this.lblProgress.Location = new System.Drawing.Point(88, 24);
			this.lblProgress.Name = "lblProgress";
			this.lblProgress.TabIndex = 38;
			this.lblProgress.Text = "Progress...";
			this.lblProgress.Visible = false;
			// 
			// pbMain
			// 
			this.pbMain.Location = new System.Drawing.Point(88, 48);
			this.pbMain.Name = "pbMain";
			this.pbMain.Size = new System.Drawing.Size(384, 23);
			this.pbMain.TabIndex = 37;
			// 
			// btnSubmit
			// 
			this.btnSubmit.Location = new System.Drawing.Point(72, 192);
			this.btnSubmit.Name = "btnSubmit";
			this.btnSubmit.Size = new System.Drawing.Size(160, 23);
			this.btnSubmit.TabIndex = 36;
			this.btnSubmit.Text = "Begin graph analysis...";
			this.btnSubmit.Click += new System.EventHandler(this.btnSubmit_Click);
			// 
			// chemRegex
			// 
			this.chemRegex.Location = new System.Drawing.Point(600, 156);
			this.chemRegex.Name = "chemRegex";
			this.chemRegex.Size = new System.Drawing.Size(128, 20);
			this.chemRegex.TabIndex = 35;
			this.chemRegex.Text = "^[0-9][A-Z][0-9]+$";
			// 
			// numSimilarities
			// 
			this.numSimilarities.Location = new System.Drawing.Point(488, 142);
			this.numSimilarities.Minimum = new System.Decimal(new int[] {
																			1,
																			0,
																			0,
																			0});
			this.numSimilarities.Name = "numSimilarities";
			this.numSimilarities.Size = new System.Drawing.Size(48, 20);
			this.numSimilarities.TabIndex = 33;
			this.numSimilarities.Value = new System.Decimal(new int[] {
																		  1,
																		  0,
																		  0,
																		  0});
			// 
			// doFR
			// 
			this.doFR.Checked = true;
			this.doFR.CheckState = System.Windows.Forms.CheckState.Checked;
			this.doFR.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.doFR.Location = new System.Drawing.Point(48, 48);
			this.doFR.Name = "doFR";
			this.doFR.Size = new System.Drawing.Size(240, 24);
			this.doFR.TabIndex = 32;
			this.doFR.Text = "Apply Fruchterman-Reingold algorithm";
			// 
			// label21
			// 
			this.label21.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label21.ForeColor = System.Drawing.Color.DarkBlue;
			this.label21.Location = new System.Drawing.Point(16, 16);
			this.label21.Name = "label21";
			this.label21.Size = new System.Drawing.Size(192, 23);
			this.label21.TabIndex = 4;
			this.label21.Text = "Step 2: Choose your options";
			// 
			// cbDoDijkstra
			// 
			this.cbDoDijkstra.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.cbDoDijkstra.Location = new System.Drawing.Point(48, 80);
			this.cbDoDijkstra.Name = "cbDoDijkstra";
			this.cbDoDijkstra.Size = new System.Drawing.Size(504, 24);
			this.cbDoDijkstra.TabIndex = 32;
			this.cbDoDijkstra.Text = "Calculate shortest path lengths using Floyd\'s algorithm (warning: slow on large g" +
				"raphs)";
			// 
			// cbDoClusterCoefficient
			// 
			this.cbDoClusterCoefficient.Checked = true;
			this.cbDoClusterCoefficient.CheckState = System.Windows.Forms.CheckState.Checked;
			this.cbDoClusterCoefficient.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.cbDoClusterCoefficient.Location = new System.Drawing.Point(48, 112);
			this.cbDoClusterCoefficient.Name = "cbDoClusterCoefficient";
			this.cbDoClusterCoefficient.Size = new System.Drawing.Size(184, 24);
			this.cbDoClusterCoefficient.TabIndex = 32;
			this.cbDoClusterCoefficient.Text = "Calculate cluster coefficients";
			// 
			// chemchem
			// 
			this.chemchem.CheckAlign = System.Drawing.ContentAlignment.TopLeft;
			this.chemchem.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.chemchem.Location = new System.Drawing.Point(48, 144);
			this.chemchem.Name = "chemchem";
			this.chemchem.Size = new System.Drawing.Size(608, 32);
			this.chemchem.TabIndex = 32;
			this.chemchem.Text = "Produce the n-mode projection of the graph where each nodes has at least         " +
				"             edges in common.  Use the following regular expression to choose wh" +
				"ich nodes to keep in the projection:";
			// 
			// pnlMain
			// 
			this.pnlMain.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.pnlMain.AutoScroll = true;
			this.pnlMain.Controls.Add(this.button2);
			this.pnlMain.Controls.Add(this.pnlComponent);
			this.pnlMain.Controls.Add(this.pnlOps);
			this.pnlMain.Controls.Add(this.rbDisplayMain);
			this.pnlMain.Controls.Add(this.verticesLB);
			this.pnlMain.Controls.Add(this.label24);
			this.pnlMain.Controls.Add(this.edgesLB);
			this.pnlMain.Controls.Add(this.label25);
			this.pnlMain.Controls.Add(this.rbDisplayLaplacian);
			this.pnlMain.Controls.Add(this.rbDisplayPCA);
			this.pnlMain.Controls.Add(this.panel1);
			this.pnlMain.Controls.Add(this.panel3);
			this.pnlMain.Location = new System.Drawing.Point(0, 0);
			this.pnlMain.Name = "pnlMain";
			this.pnlMain.Size = new System.Drawing.Size(992, 664);
			this.pnlMain.TabIndex = 3;
			this.pnlMain.Visible = false;
			// 
			// button2
			// 
			this.button2.Location = new System.Drawing.Point(880, 624);
			this.button2.Name = "button2";
			this.button2.Size = new System.Drawing.Size(88, 23);
			this.button2.TabIndex = 9;
			this.button2.Text = "Return to start";
			this.button2.Click += new System.EventHandler(this.button2_Click);
			// 
			// pnlComponent
			// 
			this.pnlComponent.Controls.Add(this.adjacencyEigenvalues);
			this.pnlComponent.Controls.Add(this.label43);
			this.pnlComponent.Controls.Add(this.graphDegreeDistribution);
			this.pnlComponent.Controls.Add(this.label27);
			this.pnlComponent.Controls.Add(this.label38);
			this.pnlComponent.Controls.Add(this.label39);
			this.pnlComponent.Controls.Add(this.graphClusterCoefficient);
			this.pnlComponent.Controls.Add(this.graphPathLength);
			this.pnlComponent.Controls.Add(this.label40);
			this.pnlComponent.Controls.Add(this.label41);
			this.pnlComponent.Controls.Add(this.label42);
			this.pnlComponent.Controls.Add(this.adjIVP);
			this.pnlComponent.Controls.Add(this.label44);
			this.pnlComponent.Controls.Add(this.label45);
			this.pnlComponent.Controls.Add(this.adjSpec);
			this.pnlComponent.Controls.Add(this.adjacencyEigenvectorZero);
			this.pnlComponent.Controls.Add(this.adjacencyEigenvectorTwo);
			this.pnlComponent.Controls.Add(this.adjacencyEigenvectorOne);
			this.pnlComponent.Controls.Add(this.label46);
			this.pnlComponent.Controls.Add(this.label47);
			this.pnlComponent.Controls.Add(this.label48);
			this.pnlComponent.Controls.Add(this.label49);
			this.pnlComponent.Controls.Add(this.adjacencyEigenvectorThree);
			this.pnlComponent.Controls.Add(this.panel4);
			this.pnlComponent.Controls.Add(this.panel5);
			this.pnlComponent.Controls.Add(this.panel6);
			this.pnlComponent.Controls.Add(this.panel7);
			this.pnlComponent.Controls.Add(this.label54);
			this.pnlComponent.Controls.Add(this.laplacianEigenvectorThree);
			this.pnlComponent.Controls.Add(this.panel8);
			this.pnlComponent.Controls.Add(this.panel9);
			this.pnlComponent.Controls.Add(this.panel10);
			this.pnlComponent.Controls.Add(this.panel11);
			this.pnlComponent.Controls.Add(this.laplacianEigenvalues);
			this.pnlComponent.Controls.Add(this.label59);
			this.pnlComponent.Controls.Add(this.label60);
			this.pnlComponent.Controls.Add(this.lapIVP);
			this.pnlComponent.Controls.Add(this.label61);
			this.pnlComponent.Controls.Add(this.label62);
			this.pnlComponent.Controls.Add(this.lapSpec);
			this.pnlComponent.Controls.Add(this.laplacianEigenvectorZero);
			this.pnlComponent.Controls.Add(this.laplacianEigenvectorTwo);
			this.pnlComponent.Controls.Add(this.laplacianEigenvectorOne);
			this.pnlComponent.Controls.Add(this.label63);
			this.pnlComponent.Controls.Add(this.label64);
			this.pnlComponent.Controls.Add(this.label65);
			this.pnlComponent.Controls.Add(this.label66);
			this.pnlComponent.Controls.Add(this.label67);
			this.pnlComponent.Controls.Add(this.normLapSpec);
			this.pnlComponent.Controls.Add(this.normLaplacianEigenvectorZero);
			this.pnlComponent.Controls.Add(this.normLaplacianEigenvectorTwo);
			this.pnlComponent.Controls.Add(this.panel12);
			this.pnlComponent.Controls.Add(this.label69);
			this.pnlComponent.Controls.Add(this.label70);
			this.pnlComponent.Controls.Add(this.panel13);
			this.pnlComponent.Controls.Add(this.label72);
			this.pnlComponent.Controls.Add(this.normLaplacianEigenvectorThree);
			this.pnlComponent.Controls.Add(this.panel14);
			this.pnlComponent.Controls.Add(this.normLaplacianEigenvalues);
			this.pnlComponent.Controls.Add(this.label74);
			this.pnlComponent.Controls.Add(this.label75);
			this.pnlComponent.Controls.Add(this.normLapIVP);
			this.pnlComponent.Controls.Add(this.panel15);
			this.pnlComponent.Controls.Add(this.normLaplacianEigenvectorOne);
			this.pnlComponent.Controls.Add(this.label77);
			this.pnlComponent.Location = new System.Drawing.Point(8, 672);
			this.pnlComponent.Name = "pnlComponent";
			this.pnlComponent.Size = new System.Drawing.Size(960, 5008);
			this.pnlComponent.TabIndex = 7;
			// 
			// adjacencyEigenvalues
			// 
			this.adjacencyEigenvalues.BackColor = System.Drawing.Color.White;
			this.adjacencyEigenvalues.Location = new System.Drawing.Point(8, 784);
			this.adjacencyEigenvalues.Name = "adjacencyEigenvalues";
			this.adjacencyEigenvalues.Size = new System.Drawing.Size(450, 280);
			this.adjacencyEigenvalues.TabIndex = 3;
			this.adjacencyEigenvalues.TabStop = false;
			// 
			// label43
			// 
			this.label43.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label43.Location = new System.Drawing.Point(153, 1072);
			this.label43.Name = "label43";
			this.label43.Size = new System.Drawing.Size(160, 23);
			this.label43.TabIndex = 4;
			this.label43.Text = "Adjacency Eigenvalues";
			// 
			// graphDegreeDistribution
			// 
			this.graphDegreeDistribution.BackColor = System.Drawing.Color.White;
			this.graphDegreeDistribution.Location = new System.Drawing.Point(8, 48);
			this.graphDegreeDistribution.Name = "graphDegreeDistribution";
			this.graphDegreeDistribution.Size = new System.Drawing.Size(450, 280);
			this.graphDegreeDistribution.TabIndex = 1;
			this.graphDegreeDistribution.TabStop = false;
			// 
			// label27
			// 
			this.label27.Font = new System.Drawing.Font("Arial", 18F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label27.Location = new System.Drawing.Point(8, 8);
			this.label27.Name = "label27";
			this.label27.Size = new System.Drawing.Size(424, 32);
			this.label27.TabIndex = 0;
			this.label27.Text = "Connected Component Information";
			// 
			// label38
			// 
			this.label38.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label38.Location = new System.Drawing.Point(109, 329);
			this.label38.Name = "label38";
			this.label38.Size = new System.Drawing.Size(248, 23);
			this.label38.TabIndex = 2;
			this.label38.Text = "Degree k vs. Degree Distribution P(k)";
			// 
			// label39
			// 
			this.label39.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label39.Location = new System.Drawing.Point(605, 329);
			this.label39.Name = "label39";
			this.label39.Size = new System.Drawing.Size(243, 23);
			this.label39.TabIndex = 2;
			this.label39.Text = "Degree k vs. Cluster Coefficient C(k)";
			// 
			// graphClusterCoefficient
			// 
			this.graphClusterCoefficient.BackColor = System.Drawing.Color.White;
			this.graphClusterCoefficient.Location = new System.Drawing.Point(504, 48);
			this.graphClusterCoefficient.Name = "graphClusterCoefficient";
			this.graphClusterCoefficient.Size = new System.Drawing.Size(450, 280);
			this.graphClusterCoefficient.TabIndex = 1;
			this.graphClusterCoefficient.TabStop = false;
			// 
			// graphPathLength
			// 
			this.graphPathLength.BackColor = System.Drawing.Color.White;
			this.graphPathLength.Location = new System.Drawing.Point(8, 368);
			this.graphPathLength.Name = "graphPathLength";
			this.graphPathLength.Size = new System.Drawing.Size(450, 280);
			this.graphPathLength.TabIndex = 1;
			this.graphPathLength.TabStop = false;
			// 
			// label40
			// 
			this.label40.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label40.Location = new System.Drawing.Point(121, 649);
			this.label40.Name = "label40";
			this.label40.Size = new System.Drawing.Size(224, 23);
			this.label40.TabIndex = 2;
			this.label40.Text = "Degree k vs. Average Path Length";
			// 
			// label41
			// 
			this.label41.Font = new System.Drawing.Font("Arial", 18F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label41.Location = new System.Drawing.Point(8, 704);
			this.label41.Name = "label41";
			this.label41.Size = new System.Drawing.Size(600, 32);
			this.label41.TabIndex = 0;
			this.label41.Text = "Connected Component Eigenvalues/Eigenvectors ";
			// 
			// label42
			// 
			this.label42.Font = new System.Drawing.Font("Arial", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label42.Location = new System.Drawing.Point(8, 752);
			this.label42.Name = "label42";
			this.label42.Size = new System.Drawing.Size(168, 32);
			this.label42.TabIndex = 0;
			this.label42.Text = "Adjacency Matrix";
			// 
			// adjIVP
			// 
			this.adjIVP.BackColor = System.Drawing.Color.White;
			this.adjIVP.Location = new System.Drawing.Point(8, 1112);
			this.adjIVP.Name = "adjIVP";
			this.adjIVP.Size = new System.Drawing.Size(450, 280);
			this.adjIVP.TabIndex = 3;
			this.adjIVP.TabStop = false;
			// 
			// label44
			// 
			this.label44.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label44.Location = new System.Drawing.Point(89, 1400);
			this.label44.Name = "label44";
			this.label44.Size = new System.Drawing.Size(288, 23);
			this.label44.TabIndex = 4;
			this.label44.Text = "Inverse Participation Ratio (λ vs. log(ivp(λ)))";
			// 
			// label45
			// 
			this.label45.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label45.Location = new System.Drawing.Point(141, 1728);
			this.label45.Name = "label45";
			this.label45.Size = new System.Drawing.Size(184, 23);
			this.label45.TabIndex = 4;
			this.label45.Text = "Adjacency Spectral Density";
			// 
			// adjSpec
			// 
			this.adjSpec.BackColor = System.Drawing.Color.White;
			this.adjSpec.Location = new System.Drawing.Point(8, 1440);
			this.adjSpec.Name = "adjSpec";
			this.adjSpec.Size = new System.Drawing.Size(450, 280);
			this.adjSpec.TabIndex = 3;
			this.adjSpec.TabStop = false;
			// 
			// adjacencyEigenvectorZero
			// 
			this.adjacencyEigenvectorZero.BackColor = System.Drawing.Color.White;
			this.adjacencyEigenvectorZero.Location = new System.Drawing.Point(504, 784);
			this.adjacencyEigenvectorZero.Name = "adjacencyEigenvectorZero";
			this.adjacencyEigenvectorZero.Size = new System.Drawing.Size(450, 280);
			this.adjacencyEigenvectorZero.TabIndex = 3;
			this.adjacencyEigenvectorZero.TabStop = false;
			this.adjacencyEigenvectorZero.Tag = "value";
			// 
			// adjacencyEigenvectorTwo
			// 
			this.adjacencyEigenvectorTwo.BackColor = System.Drawing.Color.White;
			this.adjacencyEigenvectorTwo.Location = new System.Drawing.Point(504, 1472);
			this.adjacencyEigenvectorTwo.Name = "adjacencyEigenvectorTwo";
			this.adjacencyEigenvectorTwo.Size = new System.Drawing.Size(450, 280);
			this.adjacencyEigenvectorTwo.TabIndex = 3;
			this.adjacencyEigenvectorTwo.TabStop = false;
			this.adjacencyEigenvectorTwo.Tag = "value";
			// 
			// adjacencyEigenvectorOne
			// 
			this.adjacencyEigenvectorOne.BackColor = System.Drawing.Color.White;
			this.adjacencyEigenvectorOne.Location = new System.Drawing.Point(504, 1128);
			this.adjacencyEigenvectorOne.Name = "adjacencyEigenvectorOne";
			this.adjacencyEigenvectorOne.Size = new System.Drawing.Size(450, 280);
			this.adjacencyEigenvectorOne.TabIndex = 3;
			this.adjacencyEigenvectorOne.TabStop = false;
			this.adjacencyEigenvectorOne.Tag = "value";
			// 
			// label46
			// 
			this.label46.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label46.Location = new System.Drawing.Point(633, 1088);
			this.label46.Name = "label46";
			this.label46.Size = new System.Drawing.Size(192, 23);
			this.label46.TabIndex = 4;
			this.label46.Text = "Adjacency Eigenvector Zero";
			// 
			// label47
			// 
			this.label47.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label47.Location = new System.Drawing.Point(637, 1432);
			this.label47.Name = "label47";
			this.label47.Size = new System.Drawing.Size(184, 23);
			this.label47.TabIndex = 4;
			this.label47.Text = "Adjacency Eigenvector One";
			// 
			// label48
			// 
			this.label48.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label48.Location = new System.Drawing.Point(637, 1776);
			this.label48.Name = "label48";
			this.label48.Size = new System.Drawing.Size(184, 23);
			this.label48.TabIndex = 4;
			this.label48.Text = "Adjacency Eigenvector Two";
			// 
			// label49
			// 
			this.label49.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label49.Location = new System.Drawing.Point(633, 2120);
			this.label49.Name = "label49";
			this.label49.Size = new System.Drawing.Size(192, 23);
			this.label49.TabIndex = 4;
			this.label49.Text = "Adjacency Eigenvector Three";
			// 
			// adjacencyEigenvectorThree
			// 
			this.adjacencyEigenvectorThree.BackColor = System.Drawing.Color.White;
			this.adjacencyEigenvectorThree.Location = new System.Drawing.Point(504, 1816);
			this.adjacencyEigenvectorThree.Name = "adjacencyEigenvectorThree";
			this.adjacencyEigenvectorThree.Size = new System.Drawing.Size(450, 280);
			this.adjacencyEigenvectorThree.TabIndex = 3;
			this.adjacencyEigenvectorThree.TabStop = false;
			this.adjacencyEigenvectorThree.Tag = "value";
			// 
			// panel4
			// 
			this.panel4.Controls.Add(this.rbAdjE0Eigenvector);
			this.panel4.Controls.Add(this.label50);
			this.panel4.Controls.Add(this.rbAdjE0Degree);
			this.panel4.Location = new System.Drawing.Point(504, 1064);
			this.panel4.Name = "panel4";
			this.panel4.Size = new System.Drawing.Size(448, 24);
			this.panel4.TabIndex = 6;
			// 
			// rbAdjE0Eigenvector
			// 
			this.rbAdjE0Eigenvector.Checked = true;
			this.rbAdjE0Eigenvector.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbAdjE0Eigenvector.Location = new System.Drawing.Point(72, 0);
			this.rbAdjE0Eigenvector.Name = "rbAdjE0Eigenvector";
			this.rbAdjE0Eigenvector.TabIndex = 5;
			this.rbAdjE0Eigenvector.TabStop = true;
			this.rbAdjE0Eigenvector.Text = "Eigenvector";
			this.rbAdjE0Eigenvector.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// label50
			// 
			this.label50.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label50.Location = new System.Drawing.Point(0, 0);
			this.label50.Name = "label50";
			this.label50.Size = new System.Drawing.Size(56, 23);
			this.label50.TabIndex = 4;
			this.label50.Text = "Sort by:";
			// 
			// rbAdjE0Degree
			// 
			this.rbAdjE0Degree.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbAdjE0Degree.Location = new System.Drawing.Point(192, 0);
			this.rbAdjE0Degree.Name = "rbAdjE0Degree";
			this.rbAdjE0Degree.Size = new System.Drawing.Size(112, 24);
			this.rbAdjE0Degree.TabIndex = 5;
			this.rbAdjE0Degree.Text = "Node Degree";
			this.rbAdjE0Degree.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// panel5
			// 
			this.panel5.Controls.Add(this.rbAdjE1Degree);
			this.panel5.Controls.Add(this.rbAdjE1Eigenvector);
			this.panel5.Controls.Add(this.label51);
			this.panel5.Location = new System.Drawing.Point(504, 1408);
			this.panel5.Name = "panel5";
			this.panel5.Size = new System.Drawing.Size(448, 24);
			this.panel5.TabIndex = 7;
			// 
			// rbAdjE1Degree
			// 
			this.rbAdjE1Degree.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbAdjE1Degree.Location = new System.Drawing.Point(192, 0);
			this.rbAdjE1Degree.Name = "rbAdjE1Degree";
			this.rbAdjE1Degree.Size = new System.Drawing.Size(112, 24);
			this.rbAdjE1Degree.TabIndex = 5;
			this.rbAdjE1Degree.Text = "Node Degree";
			this.rbAdjE1Degree.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// rbAdjE1Eigenvector
			// 
			this.rbAdjE1Eigenvector.Checked = true;
			this.rbAdjE1Eigenvector.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbAdjE1Eigenvector.Location = new System.Drawing.Point(72, 0);
			this.rbAdjE1Eigenvector.Name = "rbAdjE1Eigenvector";
			this.rbAdjE1Eigenvector.TabIndex = 5;
			this.rbAdjE1Eigenvector.TabStop = true;
			this.rbAdjE1Eigenvector.Text = "Eigenvector";
			this.rbAdjE1Eigenvector.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// label51
			// 
			this.label51.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label51.Location = new System.Drawing.Point(0, 0);
			this.label51.Name = "label51";
			this.label51.Size = new System.Drawing.Size(56, 23);
			this.label51.TabIndex = 4;
			this.label51.Text = "Sort by:";
			// 
			// panel6
			// 
			this.panel6.Controls.Add(this.rbAdjE2Degree);
			this.panel6.Controls.Add(this.rbAdjE2Eigenvector);
			this.panel6.Controls.Add(this.label52);
			this.panel6.Location = new System.Drawing.Point(504, 1752);
			this.panel6.Name = "panel6";
			this.panel6.Size = new System.Drawing.Size(448, 24);
			this.panel6.TabIndex = 7;
			// 
			// rbAdjE2Degree
			// 
			this.rbAdjE2Degree.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbAdjE2Degree.Location = new System.Drawing.Point(192, 0);
			this.rbAdjE2Degree.Name = "rbAdjE2Degree";
			this.rbAdjE2Degree.Size = new System.Drawing.Size(112, 24);
			this.rbAdjE2Degree.TabIndex = 5;
			this.rbAdjE2Degree.Text = "Node Degree";
			this.rbAdjE2Degree.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// rbAdjE2Eigenvector
			// 
			this.rbAdjE2Eigenvector.Checked = true;
			this.rbAdjE2Eigenvector.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbAdjE2Eigenvector.Location = new System.Drawing.Point(72, 0);
			this.rbAdjE2Eigenvector.Name = "rbAdjE2Eigenvector";
			this.rbAdjE2Eigenvector.TabIndex = 5;
			this.rbAdjE2Eigenvector.TabStop = true;
			this.rbAdjE2Eigenvector.Text = "Eigenvector";
			this.rbAdjE2Eigenvector.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// label52
			// 
			this.label52.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label52.Location = new System.Drawing.Point(0, 0);
			this.label52.Name = "label52";
			this.label52.Size = new System.Drawing.Size(56, 23);
			this.label52.TabIndex = 4;
			this.label52.Text = "Sort by:";
			// 
			// panel7
			// 
			this.panel7.Controls.Add(this.rbAdjE3Degree);
			this.panel7.Controls.Add(this.rbAdjE3Eigenvector);
			this.panel7.Controls.Add(this.label53);
			this.panel7.Location = new System.Drawing.Point(504, 2096);
			this.panel7.Name = "panel7";
			this.panel7.Size = new System.Drawing.Size(448, 24);
			this.panel7.TabIndex = 7;
			// 
			// rbAdjE3Degree
			// 
			this.rbAdjE3Degree.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbAdjE3Degree.Location = new System.Drawing.Point(192, 0);
			this.rbAdjE3Degree.Name = "rbAdjE3Degree";
			this.rbAdjE3Degree.Size = new System.Drawing.Size(112, 24);
			this.rbAdjE3Degree.TabIndex = 5;
			this.rbAdjE3Degree.Text = "Node Degree";
			this.rbAdjE3Degree.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// rbAdjE3Eigenvector
			// 
			this.rbAdjE3Eigenvector.Checked = true;
			this.rbAdjE3Eigenvector.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbAdjE3Eigenvector.Location = new System.Drawing.Point(72, 0);
			this.rbAdjE3Eigenvector.Name = "rbAdjE3Eigenvector";
			this.rbAdjE3Eigenvector.TabIndex = 5;
			this.rbAdjE3Eigenvector.TabStop = true;
			this.rbAdjE3Eigenvector.Text = "Eigenvector";
			this.rbAdjE3Eigenvector.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// label53
			// 
			this.label53.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label53.Location = new System.Drawing.Point(0, 0);
			this.label53.Name = "label53";
			this.label53.Size = new System.Drawing.Size(56, 23);
			this.label53.TabIndex = 4;
			this.label53.Text = "Sort by:";
			// 
			// label54
			// 
			this.label54.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label54.Location = new System.Drawing.Point(632, 3544);
			this.label54.Name = "label54";
			this.label54.Size = new System.Drawing.Size(192, 23);
			this.label54.TabIndex = 4;
			this.label54.Text = "Laplacian Eigenvector Three";
			// 
			// laplacianEigenvectorThree
			// 
			this.laplacianEigenvectorThree.BackColor = System.Drawing.Color.White;
			this.laplacianEigenvectorThree.Location = new System.Drawing.Point(504, 3240);
			this.laplacianEigenvectorThree.Name = "laplacianEigenvectorThree";
			this.laplacianEigenvectorThree.Size = new System.Drawing.Size(450, 280);
			this.laplacianEigenvectorThree.TabIndex = 3;
			this.laplacianEigenvectorThree.TabStop = false;
			this.laplacianEigenvectorThree.Tag = "value";
			// 
			// panel8
			// 
			this.panel8.Controls.Add(this.rbLapE0Eigenvector);
			this.panel8.Controls.Add(this.label55);
			this.panel8.Controls.Add(this.rbLapE0Degree);
			this.panel8.Location = new System.Drawing.Point(504, 2488);
			this.panel8.Name = "panel8";
			this.panel8.Size = new System.Drawing.Size(448, 24);
			this.panel8.TabIndex = 6;
			// 
			// rbLapE0Eigenvector
			// 
			this.rbLapE0Eigenvector.Checked = true;
			this.rbLapE0Eigenvector.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbLapE0Eigenvector.Location = new System.Drawing.Point(72, 0);
			this.rbLapE0Eigenvector.Name = "rbLapE0Eigenvector";
			this.rbLapE0Eigenvector.TabIndex = 5;
			this.rbLapE0Eigenvector.TabStop = true;
			this.rbLapE0Eigenvector.Text = "Eigenvector";
			this.rbLapE0Eigenvector.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// label55
			// 
			this.label55.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label55.Location = new System.Drawing.Point(0, 0);
			this.label55.Name = "label55";
			this.label55.Size = new System.Drawing.Size(56, 23);
			this.label55.TabIndex = 4;
			this.label55.Text = "Sort by:";
			// 
			// rbLapE0Degree
			// 
			this.rbLapE0Degree.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbLapE0Degree.Location = new System.Drawing.Point(192, 0);
			this.rbLapE0Degree.Name = "rbLapE0Degree";
			this.rbLapE0Degree.Size = new System.Drawing.Size(112, 24);
			this.rbLapE0Degree.TabIndex = 5;
			this.rbLapE0Degree.Text = "Node Degree";
			this.rbLapE0Degree.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// panel9
			// 
			this.panel9.Controls.Add(this.rbLapE1Degree);
			this.panel9.Controls.Add(this.rbLapE1Eigenvector);
			this.panel9.Controls.Add(this.label56);
			this.panel9.Location = new System.Drawing.Point(504, 2832);
			this.panel9.Name = "panel9";
			this.panel9.Size = new System.Drawing.Size(448, 24);
			this.panel9.TabIndex = 7;
			// 
			// rbLapE1Degree
			// 
			this.rbLapE1Degree.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbLapE1Degree.Location = new System.Drawing.Point(192, 0);
			this.rbLapE1Degree.Name = "rbLapE1Degree";
			this.rbLapE1Degree.Size = new System.Drawing.Size(112, 24);
			this.rbLapE1Degree.TabIndex = 5;
			this.rbLapE1Degree.Text = "Node Degree";
			this.rbLapE1Degree.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// rbLapE1Eigenvector
			// 
			this.rbLapE1Eigenvector.Checked = true;
			this.rbLapE1Eigenvector.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbLapE1Eigenvector.Location = new System.Drawing.Point(72, 0);
			this.rbLapE1Eigenvector.Name = "rbLapE1Eigenvector";
			this.rbLapE1Eigenvector.TabIndex = 5;
			this.rbLapE1Eigenvector.TabStop = true;
			this.rbLapE1Eigenvector.Text = "Eigenvector";
			this.rbLapE1Eigenvector.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// label56
			// 
			this.label56.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label56.Location = new System.Drawing.Point(0, 0);
			this.label56.Name = "label56";
			this.label56.Size = new System.Drawing.Size(56, 23);
			this.label56.TabIndex = 4;
			this.label56.Text = "Sort by:";
			// 
			// panel10
			// 
			this.panel10.Controls.Add(this.rbLapE2Degree);
			this.panel10.Controls.Add(this.rbLapE2Eigenvector);
			this.panel10.Controls.Add(this.label57);
			this.panel10.Location = new System.Drawing.Point(504, 3176);
			this.panel10.Name = "panel10";
			this.panel10.Size = new System.Drawing.Size(448, 24);
			this.panel10.TabIndex = 7;
			// 
			// rbLapE2Degree
			// 
			this.rbLapE2Degree.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbLapE2Degree.Location = new System.Drawing.Point(192, 0);
			this.rbLapE2Degree.Name = "rbLapE2Degree";
			this.rbLapE2Degree.Size = new System.Drawing.Size(112, 24);
			this.rbLapE2Degree.TabIndex = 5;
			this.rbLapE2Degree.Text = "Node Degree";
			this.rbLapE2Degree.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// rbLapE2Eigenvector
			// 
			this.rbLapE2Eigenvector.Checked = true;
			this.rbLapE2Eigenvector.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbLapE2Eigenvector.Location = new System.Drawing.Point(72, 0);
			this.rbLapE2Eigenvector.Name = "rbLapE2Eigenvector";
			this.rbLapE2Eigenvector.TabIndex = 5;
			this.rbLapE2Eigenvector.TabStop = true;
			this.rbLapE2Eigenvector.Text = "Eigenvector";
			this.rbLapE2Eigenvector.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// label57
			// 
			this.label57.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label57.Location = new System.Drawing.Point(0, 0);
			this.label57.Name = "label57";
			this.label57.Size = new System.Drawing.Size(56, 23);
			this.label57.TabIndex = 4;
			this.label57.Text = "Sort by:";
			// 
			// panel11
			// 
			this.panel11.Controls.Add(this.rbLapE3Degree);
			this.panel11.Controls.Add(this.rbLapE3Eigenvector);
			this.panel11.Controls.Add(this.label58);
			this.panel11.Location = new System.Drawing.Point(504, 3520);
			this.panel11.Name = "panel11";
			this.panel11.Size = new System.Drawing.Size(448, 24);
			this.panel11.TabIndex = 7;
			// 
			// rbLapE3Degree
			// 
			this.rbLapE3Degree.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbLapE3Degree.Location = new System.Drawing.Point(192, 0);
			this.rbLapE3Degree.Name = "rbLapE3Degree";
			this.rbLapE3Degree.Size = new System.Drawing.Size(112, 24);
			this.rbLapE3Degree.TabIndex = 5;
			this.rbLapE3Degree.Text = "Node Degree";
			this.rbLapE3Degree.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// rbLapE3Eigenvector
			// 
			this.rbLapE3Eigenvector.Checked = true;
			this.rbLapE3Eigenvector.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbLapE3Eigenvector.Location = new System.Drawing.Point(72, 0);
			this.rbLapE3Eigenvector.Name = "rbLapE3Eigenvector";
			this.rbLapE3Eigenvector.TabIndex = 5;
			this.rbLapE3Eigenvector.TabStop = true;
			this.rbLapE3Eigenvector.Text = "Eigenvector";
			this.rbLapE3Eigenvector.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// label58
			// 
			this.label58.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label58.Location = new System.Drawing.Point(0, 0);
			this.label58.Name = "label58";
			this.label58.Size = new System.Drawing.Size(56, 23);
			this.label58.TabIndex = 4;
			this.label58.Text = "Sort by:";
			// 
			// laplacianEigenvalues
			// 
			this.laplacianEigenvalues.BackColor = System.Drawing.Color.White;
			this.laplacianEigenvalues.Location = new System.Drawing.Point(8, 2208);
			this.laplacianEigenvalues.Name = "laplacianEigenvalues";
			this.laplacianEigenvalues.Size = new System.Drawing.Size(450, 280);
			this.laplacianEigenvalues.TabIndex = 3;
			this.laplacianEigenvalues.TabStop = false;
			// 
			// label59
			// 
			this.label59.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label59.Location = new System.Drawing.Point(152, 2496);
			this.label59.Name = "label59";
			this.label59.Size = new System.Drawing.Size(160, 23);
			this.label59.TabIndex = 4;
			this.label59.Text = "Laplacian Eigenvalues";
			// 
			// label60
			// 
			this.label60.Font = new System.Drawing.Font("Arial", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label60.Location = new System.Drawing.Point(8, 2176);
			this.label60.Name = "label60";
			this.label60.Size = new System.Drawing.Size(168, 32);
			this.label60.TabIndex = 0;
			this.label60.Text = "Laplacian Matrix";
			// 
			// lapIVP
			// 
			this.lapIVP.BackColor = System.Drawing.Color.White;
			this.lapIVP.Location = new System.Drawing.Point(8, 2536);
			this.lapIVP.Name = "lapIVP";
			this.lapIVP.Size = new System.Drawing.Size(450, 280);
			this.lapIVP.TabIndex = 3;
			this.lapIVP.TabStop = false;
			// 
			// label61
			// 
			this.label61.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label61.Location = new System.Drawing.Point(88, 2824);
			this.label61.Name = "label61";
			this.label61.Size = new System.Drawing.Size(288, 23);
			this.label61.TabIndex = 4;
			this.label61.Text = "Inverse Participation Ratio (λ vs. log(ivp(λ)))";
			// 
			// label62
			// 
			this.label62.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label62.Location = new System.Drawing.Point(136, 3152);
			this.label62.Name = "label62";
			this.label62.Size = new System.Drawing.Size(184, 23);
			this.label62.TabIndex = 4;
			this.label62.Text = "Laplacian Spectral Density";
			// 
			// lapSpec
			// 
			this.lapSpec.BackColor = System.Drawing.Color.White;
			this.lapSpec.Location = new System.Drawing.Point(8, 2864);
			this.lapSpec.Name = "lapSpec";
			this.lapSpec.Size = new System.Drawing.Size(450, 280);
			this.lapSpec.TabIndex = 3;
			this.lapSpec.TabStop = false;
			// 
			// laplacianEigenvectorZero
			// 
			this.laplacianEigenvectorZero.BackColor = System.Drawing.Color.White;
			this.laplacianEigenvectorZero.Location = new System.Drawing.Point(504, 2208);
			this.laplacianEigenvectorZero.Name = "laplacianEigenvectorZero";
			this.laplacianEigenvectorZero.Size = new System.Drawing.Size(450, 280);
			this.laplacianEigenvectorZero.TabIndex = 3;
			this.laplacianEigenvectorZero.TabStop = false;
			this.laplacianEigenvectorZero.Tag = "value";
			// 
			// laplacianEigenvectorTwo
			// 
			this.laplacianEigenvectorTwo.BackColor = System.Drawing.Color.White;
			this.laplacianEigenvectorTwo.Location = new System.Drawing.Point(504, 2896);
			this.laplacianEigenvectorTwo.Name = "laplacianEigenvectorTwo";
			this.laplacianEigenvectorTwo.Size = new System.Drawing.Size(450, 280);
			this.laplacianEigenvectorTwo.TabIndex = 3;
			this.laplacianEigenvectorTwo.TabStop = false;
			this.laplacianEigenvectorTwo.Tag = "value";
			// 
			// laplacianEigenvectorOne
			// 
			this.laplacianEigenvectorOne.BackColor = System.Drawing.Color.White;
			this.laplacianEigenvectorOne.Location = new System.Drawing.Point(504, 2552);
			this.laplacianEigenvectorOne.Name = "laplacianEigenvectorOne";
			this.laplacianEigenvectorOne.Size = new System.Drawing.Size(450, 280);
			this.laplacianEigenvectorOne.TabIndex = 3;
			this.laplacianEigenvectorOne.TabStop = false;
			this.laplacianEigenvectorOne.Tag = "value";
			// 
			// label63
			// 
			this.label63.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label63.Location = new System.Drawing.Point(632, 2512);
			this.label63.Name = "label63";
			this.label63.Size = new System.Drawing.Size(192, 23);
			this.label63.TabIndex = 4;
			this.label63.Text = "Laplacian Eigenvector Zero";
			// 
			// label64
			// 
			this.label64.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label64.Location = new System.Drawing.Point(632, 2856);
			this.label64.Name = "label64";
			this.label64.Size = new System.Drawing.Size(184, 23);
			this.label64.TabIndex = 4;
			this.label64.Text = "Laplacian Eigenvector One";
			// 
			// label65
			// 
			this.label65.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label65.Location = new System.Drawing.Point(632, 3200);
			this.label65.Name = "label65";
			this.label65.Size = new System.Drawing.Size(184, 23);
			this.label65.TabIndex = 4;
			this.label65.Text = "Laplacian Eigenvector Two";
			// 
			// label66
			// 
			this.label66.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label66.Location = new System.Drawing.Point(88, 4248);
			this.label66.Name = "label66";
			this.label66.Size = new System.Drawing.Size(288, 23);
			this.label66.TabIndex = 4;
			this.label66.Text = "Inverse Participation Ratio (λ vs. log(ivp(λ)))";
			// 
			// label67
			// 
			this.label67.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label67.Location = new System.Drawing.Point(104, 4576);
			this.label67.Name = "label67";
			this.label67.Size = new System.Drawing.Size(256, 23);
			this.label67.TabIndex = 4;
			this.label67.Text = "Normalized Laplacian Spectral Density";
			// 
			// normLapSpec
			// 
			this.normLapSpec.BackColor = System.Drawing.Color.White;
			this.normLapSpec.Location = new System.Drawing.Point(8, 4288);
			this.normLapSpec.Name = "normLapSpec";
			this.normLapSpec.Size = new System.Drawing.Size(450, 280);
			this.normLapSpec.TabIndex = 3;
			this.normLapSpec.TabStop = false;
			// 
			// normLaplacianEigenvectorZero
			// 
			this.normLaplacianEigenvectorZero.BackColor = System.Drawing.Color.White;
			this.normLaplacianEigenvectorZero.Location = new System.Drawing.Point(504, 3632);
			this.normLaplacianEigenvectorZero.Name = "normLaplacianEigenvectorZero";
			this.normLaplacianEigenvectorZero.Size = new System.Drawing.Size(450, 280);
			this.normLaplacianEigenvectorZero.TabIndex = 3;
			this.normLaplacianEigenvectorZero.TabStop = false;
			this.normLaplacianEigenvectorZero.Tag = "value";
			// 
			// normLaplacianEigenvectorTwo
			// 
			this.normLaplacianEigenvectorTwo.BackColor = System.Drawing.Color.White;
			this.normLaplacianEigenvectorTwo.Location = new System.Drawing.Point(504, 4320);
			this.normLaplacianEigenvectorTwo.Name = "normLaplacianEigenvectorTwo";
			this.normLaplacianEigenvectorTwo.Size = new System.Drawing.Size(450, 280);
			this.normLaplacianEigenvectorTwo.TabIndex = 3;
			this.normLaplacianEigenvectorTwo.TabStop = false;
			this.normLaplacianEigenvectorTwo.Tag = "value";
			// 
			// panel12
			// 
			this.panel12.Controls.Add(this.rbNormLapE2Degree);
			this.panel12.Controls.Add(this.rbNormLapE2Eigenvector);
			this.panel12.Controls.Add(this.label68);
			this.panel12.Location = new System.Drawing.Point(504, 4600);
			this.panel12.Name = "panel12";
			this.panel12.Size = new System.Drawing.Size(448, 24);
			this.panel12.TabIndex = 7;
			// 
			// rbNormLapE2Degree
			// 
			this.rbNormLapE2Degree.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbNormLapE2Degree.Location = new System.Drawing.Point(192, 0);
			this.rbNormLapE2Degree.Name = "rbNormLapE2Degree";
			this.rbNormLapE2Degree.Size = new System.Drawing.Size(112, 24);
			this.rbNormLapE2Degree.TabIndex = 5;
			this.rbNormLapE2Degree.Text = "Node Degree";
			this.rbNormLapE2Degree.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// rbNormLapE2Eigenvector
			// 
			this.rbNormLapE2Eigenvector.Checked = true;
			this.rbNormLapE2Eigenvector.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbNormLapE2Eigenvector.Location = new System.Drawing.Point(72, 0);
			this.rbNormLapE2Eigenvector.Name = "rbNormLapE2Eigenvector";
			this.rbNormLapE2Eigenvector.TabIndex = 5;
			this.rbNormLapE2Eigenvector.TabStop = true;
			this.rbNormLapE2Eigenvector.Text = "Eigenvector";
			this.rbNormLapE2Eigenvector.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// label68
			// 
			this.label68.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label68.Location = new System.Drawing.Point(0, 0);
			this.label68.Name = "label68";
			this.label68.Size = new System.Drawing.Size(56, 23);
			this.label68.TabIndex = 4;
			this.label68.Text = "Sort by:";
			// 
			// label69
			// 
			this.label69.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label69.Location = new System.Drawing.Point(600, 3936);
			this.label69.Name = "label69";
			this.label69.Size = new System.Drawing.Size(264, 23);
			this.label69.TabIndex = 4;
			this.label69.Text = "Normalized Laplacian Eigenvector Zero";
			// 
			// label70
			// 
			this.label70.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label70.Location = new System.Drawing.Point(600, 4624);
			this.label70.Name = "label70";
			this.label70.Size = new System.Drawing.Size(256, 23);
			this.label70.TabIndex = 4;
			this.label70.Text = "Normalized Laplacian Eigenvector Two";
			// 
			// panel13
			// 
			this.panel13.Controls.Add(this.rbNormLapE3Degree);
			this.panel13.Controls.Add(this.rbNormLapE3Eigenvector);
			this.panel13.Controls.Add(this.label71);
			this.panel13.Location = new System.Drawing.Point(504, 4944);
			this.panel13.Name = "panel13";
			this.panel13.Size = new System.Drawing.Size(448, 24);
			this.panel13.TabIndex = 7;
			// 
			// rbNormLapE3Degree
			// 
			this.rbNormLapE3Degree.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbNormLapE3Degree.Location = new System.Drawing.Point(192, 0);
			this.rbNormLapE3Degree.Name = "rbNormLapE3Degree";
			this.rbNormLapE3Degree.Size = new System.Drawing.Size(112, 24);
			this.rbNormLapE3Degree.TabIndex = 5;
			this.rbNormLapE3Degree.Text = "Node Degree";
			this.rbNormLapE3Degree.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// rbNormLapE3Eigenvector
			// 
			this.rbNormLapE3Eigenvector.Checked = true;
			this.rbNormLapE3Eigenvector.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbNormLapE3Eigenvector.Location = new System.Drawing.Point(72, 0);
			this.rbNormLapE3Eigenvector.Name = "rbNormLapE3Eigenvector";
			this.rbNormLapE3Eigenvector.TabIndex = 5;
			this.rbNormLapE3Eigenvector.TabStop = true;
			this.rbNormLapE3Eigenvector.Text = "Eigenvector";
			this.rbNormLapE3Eigenvector.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// label71
			// 
			this.label71.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label71.Location = new System.Drawing.Point(0, 0);
			this.label71.Name = "label71";
			this.label71.Size = new System.Drawing.Size(56, 23);
			this.label71.TabIndex = 4;
			this.label71.Text = "Sort by:";
			// 
			// label72
			// 
			this.label72.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label72.Location = new System.Drawing.Point(600, 4968);
			this.label72.Name = "label72";
			this.label72.Size = new System.Drawing.Size(264, 23);
			this.label72.TabIndex = 4;
			this.label72.Text = "Normalized Laplacian Eigenvector Three";
			// 
			// normLaplacianEigenvectorThree
			// 
			this.normLaplacianEigenvectorThree.BackColor = System.Drawing.Color.White;
			this.normLaplacianEigenvectorThree.Location = new System.Drawing.Point(504, 4664);
			this.normLaplacianEigenvectorThree.Name = "normLaplacianEigenvectorThree";
			this.normLaplacianEigenvectorThree.Size = new System.Drawing.Size(450, 280);
			this.normLaplacianEigenvectorThree.TabIndex = 3;
			this.normLaplacianEigenvectorThree.TabStop = false;
			this.normLaplacianEigenvectorThree.Tag = "value";
			// 
			// panel14
			// 
			this.panel14.Controls.Add(this.rbNormLapE0Eigenvector);
			this.panel14.Controls.Add(this.label73);
			this.panel14.Controls.Add(this.rbNormLapE0Degree);
			this.panel14.Location = new System.Drawing.Point(504, 3912);
			this.panel14.Name = "panel14";
			this.panel14.Size = new System.Drawing.Size(448, 24);
			this.panel14.TabIndex = 6;
			// 
			// rbNormLapE0Eigenvector
			// 
			this.rbNormLapE0Eigenvector.Checked = true;
			this.rbNormLapE0Eigenvector.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbNormLapE0Eigenvector.Location = new System.Drawing.Point(72, 0);
			this.rbNormLapE0Eigenvector.Name = "rbNormLapE0Eigenvector";
			this.rbNormLapE0Eigenvector.TabIndex = 5;
			this.rbNormLapE0Eigenvector.TabStop = true;
			this.rbNormLapE0Eigenvector.Text = "Eigenvector";
			this.rbNormLapE0Eigenvector.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// label73
			// 
			this.label73.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label73.Location = new System.Drawing.Point(0, 0);
			this.label73.Name = "label73";
			this.label73.Size = new System.Drawing.Size(56, 23);
			this.label73.TabIndex = 4;
			this.label73.Text = "Sort by:";
			// 
			// rbNormLapE0Degree
			// 
			this.rbNormLapE0Degree.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbNormLapE0Degree.Location = new System.Drawing.Point(192, 0);
			this.rbNormLapE0Degree.Name = "rbNormLapE0Degree";
			this.rbNormLapE0Degree.Size = new System.Drawing.Size(112, 24);
			this.rbNormLapE0Degree.TabIndex = 5;
			this.rbNormLapE0Degree.Text = "Node Degree";
			this.rbNormLapE0Degree.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// normLaplacianEigenvalues
			// 
			this.normLaplacianEigenvalues.BackColor = System.Drawing.Color.White;
			this.normLaplacianEigenvalues.Location = new System.Drawing.Point(8, 3632);
			this.normLaplacianEigenvalues.Name = "normLaplacianEigenvalues";
			this.normLaplacianEigenvalues.Size = new System.Drawing.Size(450, 280);
			this.normLaplacianEigenvalues.TabIndex = 3;
			this.normLaplacianEigenvalues.TabStop = false;
			// 
			// label74
			// 
			this.label74.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label74.Location = new System.Drawing.Point(120, 3920);
			this.label74.Name = "label74";
			this.label74.Size = new System.Drawing.Size(224, 23);
			this.label74.TabIndex = 4;
			this.label74.Text = "Normalized Laplacian Eigenvalues";
			// 
			// label75
			// 
			this.label75.Font = new System.Drawing.Font("Arial", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label75.Location = new System.Drawing.Point(8, 3600);
			this.label75.Name = "label75";
			this.label75.Size = new System.Drawing.Size(280, 32);
			this.label75.TabIndex = 0;
			this.label75.Text = "Normalized Laplacian Matrix";
			// 
			// normLapIVP
			// 
			this.normLapIVP.BackColor = System.Drawing.Color.White;
			this.normLapIVP.Location = new System.Drawing.Point(8, 3960);
			this.normLapIVP.Name = "normLapIVP";
			this.normLapIVP.Size = new System.Drawing.Size(450, 280);
			this.normLapIVP.TabIndex = 3;
			this.normLapIVP.TabStop = false;
			// 
			// panel15
			// 
			this.panel15.Controls.Add(this.rbNormLapE1Degree);
			this.panel15.Controls.Add(this.rbNormLapE1Eigenvector);
			this.panel15.Controls.Add(this.label76);
			this.panel15.Location = new System.Drawing.Point(504, 4256);
			this.panel15.Name = "panel15";
			this.panel15.Size = new System.Drawing.Size(448, 24);
			this.panel15.TabIndex = 7;
			// 
			// rbNormLapE1Degree
			// 
			this.rbNormLapE1Degree.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbNormLapE1Degree.Location = new System.Drawing.Point(192, 0);
			this.rbNormLapE1Degree.Name = "rbNormLapE1Degree";
			this.rbNormLapE1Degree.Size = new System.Drawing.Size(112, 24);
			this.rbNormLapE1Degree.TabIndex = 5;
			this.rbNormLapE1Degree.Text = "Node Degree";
			this.rbNormLapE1Degree.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// rbNormLapE1Eigenvector
			// 
			this.rbNormLapE1Eigenvector.Checked = true;
			this.rbNormLapE1Eigenvector.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbNormLapE1Eigenvector.Location = new System.Drawing.Point(72, 0);
			this.rbNormLapE1Eigenvector.Name = "rbNormLapE1Eigenvector";
			this.rbNormLapE1Eigenvector.TabIndex = 5;
			this.rbNormLapE1Eigenvector.TabStop = true;
			this.rbNormLapE1Eigenvector.Text = "Eigenvector";
			this.rbNormLapE1Eigenvector.CheckedChanged += new System.EventHandler(this.Sort_Changed);
			// 
			// label76
			// 
			this.label76.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label76.Location = new System.Drawing.Point(0, 0);
			this.label76.Name = "label76";
			this.label76.Size = new System.Drawing.Size(56, 23);
			this.label76.TabIndex = 4;
			this.label76.Text = "Sort by:";
			// 
			// normLaplacianEigenvectorOne
			// 
			this.normLaplacianEigenvectorOne.BackColor = System.Drawing.Color.White;
			this.normLaplacianEigenvectorOne.Location = new System.Drawing.Point(504, 3976);
			this.normLaplacianEigenvectorOne.Name = "normLaplacianEigenvectorOne";
			this.normLaplacianEigenvectorOne.Size = new System.Drawing.Size(450, 280);
			this.normLaplacianEigenvectorOne.TabIndex = 3;
			this.normLaplacianEigenvectorOne.TabStop = false;
			this.normLaplacianEigenvectorOne.Tag = "value";
			// 
			// label77
			// 
			this.label77.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label77.Location = new System.Drawing.Point(600, 4280);
			this.label77.Name = "label77";
			this.label77.Size = new System.Drawing.Size(256, 23);
			this.label77.TabIndex = 4;
			this.label77.Text = "Normalized Laplacian Eigenvector One";
			// 
			// pnlOps
			// 
			this.pnlOps.BackColor = System.Drawing.SystemColors.ActiveBorder;
			this.pnlOps.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pnlOps.Controls.Add(this.btnResetDisplay);
			this.pnlOps.Controls.Add(this.cbDrawConnectedEdges);
			this.pnlOps.Controls.Add(this.ddlZoomFactor);
			this.pnlOps.Controls.Add(this.rbSelectNode);
			this.pnlOps.Controls.Add(this.btnCollapsePanel);
			this.pnlOps.Controls.Add(this.btnTextOutput);
			this.pnlOps.Controls.Add(this.btnExportVRML);
			this.pnlOps.Controls.Add(this.label26);
			this.pnlOps.Controls.Add(this.label28);
			this.pnlOps.Controls.Add(this.rbZoom);
			this.pnlOps.Controls.Add(this.label29);
			this.pnlOps.Controls.Add(this.label30);
			this.pnlOps.Controls.Add(this.cbDrawOtherEdges);
			this.pnlOps.Location = new System.Drawing.Point(8, 168);
			this.pnlOps.Name = "pnlOps";
			this.pnlOps.Size = new System.Drawing.Size(344, 208);
			this.pnlOps.TabIndex = 6;
			// 
			// btnResetDisplay
			// 
			this.btnResetDisplay.BackColor = System.Drawing.SystemColors.Control;
			this.btnResetDisplay.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.btnResetDisplay.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.btnResetDisplay.Location = new System.Drawing.Point(8, 120);
			this.btnResetDisplay.Name = "btnResetDisplay";
			this.btnResetDisplay.Size = new System.Drawing.Size(328, 23);
			this.btnResetDisplay.TabIndex = 5;
			this.btnResetDisplay.Text = "Reset Display";
			this.btnResetDisplay.Click += new System.EventHandler(this.btnResetDisplay_Click);
			// 
			// cbDrawConnectedEdges
			// 
			this.cbDrawConnectedEdges.Checked = true;
			this.cbDrawConnectedEdges.CheckState = System.Windows.Forms.CheckState.Checked;
			this.cbDrawConnectedEdges.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.cbDrawConnectedEdges.Location = new System.Drawing.Point(64, 182);
			this.cbDrawConnectedEdges.Name = "cbDrawConnectedEdges";
			this.cbDrawConnectedEdges.Size = new System.Drawing.Size(144, 24);
			this.cbDrawConnectedEdges.TabIndex = 4;
			this.cbDrawConnectedEdges.Text = "Connected Edges";
			this.cbDrawConnectedEdges.CheckedChanged += new System.EventHandler(this.cbDrawEdges_Changed);
			// 
			// ddlZoomFactor
			// 
			this.ddlZoomFactor.Location = new System.Drawing.Point(276, 152);
			this.ddlZoomFactor.Maximum = new System.Decimal(new int[] {
																		  10,
																		  0,
																		  0,
																		  0});
			this.ddlZoomFactor.Minimum = new System.Decimal(new int[] {
																		  25,
																		  0,
																		  0,
																		  131072});
			this.ddlZoomFactor.Name = "ddlZoomFactor";
			this.ddlZoomFactor.Size = new System.Drawing.Size(45, 20);
			this.ddlZoomFactor.TabIndex = 3;
			this.ddlZoomFactor.Value = new System.Decimal(new int[] {
																		2,
																		0,
																		0,
																		0});
			this.ddlZoomFactor.ValueChanged += new System.EventHandler(this.ddlZoomFactor_ValueChanged);
			// 
			// rbSelectNode
			// 
			this.rbSelectNode.Checked = true;
			this.rbSelectNode.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbSelectNode.Location = new System.Drawing.Point(104, 152);
			this.rbSelectNode.Name = "rbSelectNode";
			this.rbSelectNode.TabIndex = 2;
			this.rbSelectNode.TabStop = true;
			this.rbSelectNode.Text = "Select Node";
			// 
			// btnCollapsePanel
			// 
			this.btnCollapsePanel.BackColor = System.Drawing.SystemColors.Control;
			this.btnCollapsePanel.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.btnCollapsePanel.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.btnCollapsePanel.Location = new System.Drawing.Point(8, 30);
			this.btnCollapsePanel.Name = "btnCollapsePanel";
			this.btnCollapsePanel.Size = new System.Drawing.Size(328, 24);
			this.btnCollapsePanel.TabIndex = 1;
			this.btnCollapsePanel.Text = "Collapse Vertices";
			this.btnCollapsePanel.Click += new System.EventHandler(this.btnCollapsePanel_Click);
			// 
			// btnTextOutput
			// 
			this.btnTextOutput.BackColor = System.Drawing.SystemColors.Control;
			this.btnTextOutput.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.btnTextOutput.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.btnTextOutput.Location = new System.Drawing.Point(8, 59);
			this.btnTextOutput.Name = "btnTextOutput";
			this.btnTextOutput.Size = new System.Drawing.Size(328, 24);
			this.btnTextOutput.TabIndex = 1;
			this.btnTextOutput.Text = "Export Connected Component Data";
			this.btnTextOutput.Click += new System.EventHandler(this.btnTextOutput_Click);
			// 
			// btnExportVRML
			// 
			this.btnExportVRML.BackColor = System.Drawing.SystemColors.Control;
			this.btnExportVRML.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.btnExportVRML.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.btnExportVRML.Location = new System.Drawing.Point(8, 88);
			this.btnExportVRML.Name = "btnExportVRML";
			this.btnExportVRML.Size = new System.Drawing.Size(328, 23);
			this.btnExportVRML.TabIndex = 1;
			this.btnExportVRML.Text = "(None)";
			this.btnExportVRML.Click += new System.EventHandler(this.btnExportVRML_Click);
			// 
			// label26
			// 
			this.label26.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label26.Location = new System.Drawing.Point(8, 5);
			this.label26.Name = "label26";
			this.label26.Size = new System.Drawing.Size(112, 23);
			this.label26.TabIndex = 0;
			this.label26.Text = "Operations";
			// 
			// label28
			// 
			this.label28.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label28.Location = new System.Drawing.Point(8, 152);
			this.label28.Name = "label28";
			this.label28.Size = new System.Drawing.Size(88, 23);
			this.label28.TabIndex = 0;
			this.label28.Text = "Graph click:";
			// 
			// rbZoom
			// 
			this.rbZoom.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbZoom.Location = new System.Drawing.Point(214, 152);
			this.rbZoom.Name = "rbZoom";
			this.rbZoom.Size = new System.Drawing.Size(64, 24);
			this.rbZoom.TabIndex = 2;
			this.rbZoom.Text = "Zoom";
			// 
			// label29
			// 
			this.label29.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label29.Location = new System.Drawing.Point(324, 152);
			this.label29.Name = "label29";
			this.label29.Size = new System.Drawing.Size(16, 23);
			this.label29.TabIndex = 0;
			this.label29.Text = "x";
			// 
			// label30
			// 
			this.label30.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label30.Location = new System.Drawing.Point(8, 182);
			this.label30.Name = "label30";
			this.label30.Size = new System.Drawing.Size(48, 16);
			this.label30.TabIndex = 0;
			this.label30.Text = "Draw:";
			// 
			// cbDrawOtherEdges
			// 
			this.cbDrawOtherEdges.Checked = true;
			this.cbDrawOtherEdges.CheckState = System.Windows.Forms.CheckState.Checked;
			this.cbDrawOtherEdges.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.cbDrawOtherEdges.Location = new System.Drawing.Point(208, 182);
			this.cbDrawOtherEdges.Name = "cbDrawOtherEdges";
			this.cbDrawOtherEdges.TabIndex = 4;
			this.cbDrawOtherEdges.Text = "Other Edges";
			this.cbDrawOtherEdges.CheckedChanged += new System.EventHandler(this.cbDrawEdges_Changed);
			// 
			// rbDisplayMain
			// 
			this.rbDisplayMain.Checked = true;
			this.rbDisplayMain.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbDisplayMain.Location = new System.Drawing.Point(376, 624);
			this.rbDisplayMain.Name = "rbDisplayMain";
			this.rbDisplayMain.Size = new System.Drawing.Size(160, 24);
			this.rbDisplayMain.TabIndex = 3;
			this.rbDisplayMain.TabStop = true;
			this.rbDisplayMain.Text = "Fruchterman-Reingold";
			this.rbDisplayMain.CheckedChanged += new System.EventHandler(this.gDisplay_Change);
			// 
			// verticesLB
			// 
			this.verticesLB.Location = new System.Drawing.Point(8, 24);
			this.verticesLB.Name = "verticesLB";
			this.verticesLB.Size = new System.Drawing.Size(168, 134);
			this.verticesLB.TabIndex = 1;
			// 
			// label24
			// 
			this.label24.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label24.Location = new System.Drawing.Point(8, 8);
			this.label24.Name = "label24";
			this.label24.TabIndex = 2;
			this.label24.Text = "Current Vertex:";
			// 
			// edgesLB
			// 
			this.edgesLB.Location = new System.Drawing.Point(184, 24);
			this.edgesLB.Name = "edgesLB";
			this.edgesLB.Size = new System.Drawing.Size(168, 134);
			this.edgesLB.TabIndex = 1;
			// 
			// label25
			// 
			this.label25.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label25.Location = new System.Drawing.Point(184, 8);
			this.label25.Name = "label25";
			this.label25.TabIndex = 2;
			this.label25.Text = "Connected To:";
			// 
			// rbDisplayLaplacian
			// 
			this.rbDisplayLaplacian.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbDisplayLaplacian.Location = new System.Drawing.Point(544, 624);
			this.rbDisplayLaplacian.Name = "rbDisplayLaplacian";
			this.rbDisplayLaplacian.Size = new System.Drawing.Size(152, 24);
			this.rbDisplayLaplacian.TabIndex = 3;
			this.rbDisplayLaplacian.Text = "Laplacian Embedding";
			this.rbDisplayLaplacian.CheckedChanged += new System.EventHandler(this.gDisplay_Change);
			// 
			// rbDisplayPCA
			// 
			this.rbDisplayPCA.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rbDisplayPCA.Location = new System.Drawing.Point(704, 624);
			this.rbDisplayPCA.Name = "rbDisplayPCA";
			this.rbDisplayPCA.Size = new System.Drawing.Size(160, 24);
			this.rbDisplayPCA.TabIndex = 3;
			this.rbDisplayPCA.Text = "PCA Projection of Data";
			this.rbDisplayPCA.CheckedChanged += new System.EventHandler(this.gDisplay_Change);
			// 
			// panel1
			// 
			this.panel1.BackColor = System.Drawing.SystemColors.ActiveBorder;
			this.panel1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.panel1.Controls.Add(this.vName);
			this.panel1.Controls.Add(this.connInfo);
			this.panel1.Controls.Add(this.vDegree);
			this.panel1.Controls.Add(this.pnlVertexComponentInfo);
			this.panel1.Controls.Add(this.pnlShowComponent);
			this.panel1.Location = new System.Drawing.Point(8, 384);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(344, 272);
			this.panel1.TabIndex = 6;
			// 
			// vName
			// 
			this.vName.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vName.Location = new System.Drawing.Point(8, 8);
			this.vName.Name = "vName";
			this.vName.Size = new System.Drawing.Size(328, 23);
			this.vName.TabIndex = 0;
			this.vName.Text = "vName";
			// 
			// connInfo
			// 
			this.connInfo.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.connInfo.Location = new System.Drawing.Point(8, 40);
			this.connInfo.Name = "connInfo";
			this.connInfo.Size = new System.Drawing.Size(328, 32);
			this.connInfo.TabIndex = 0;
			this.connInfo.Text = "connInfo";
			// 
			// vDegree
			// 
			this.vDegree.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vDegree.Location = new System.Drawing.Point(8, 80);
			this.vDegree.Name = "vDegree";
			this.vDegree.Size = new System.Drawing.Size(328, 16);
			this.vDegree.TabIndex = 0;
			this.vDegree.Text = "connInfo";
			// 
			// pnlVertexComponentInfo
			// 
			this.pnlVertexComponentInfo.Controls.Add(this.vCC);
			this.pnlVertexComponentInfo.Controls.Add(this.vDist);
			this.pnlVertexComponentInfo.Controls.Add(this.label31);
			this.pnlVertexComponentInfo.Controls.Add(this.label32);
			this.pnlVertexComponentInfo.Controls.Add(this.label33);
			this.pnlVertexComponentInfo.Controls.Add(this.label34);
			this.pnlVertexComponentInfo.Controls.Add(this.label35);
			this.pnlVertexComponentInfo.Controls.Add(this.label36);
			this.pnlVertexComponentInfo.Controls.Add(this.label37);
			this.pnlVertexComponentInfo.Controls.Add(this.vAdjE0);
			this.pnlVertexComponentInfo.Controls.Add(this.vAdjE1);
			this.pnlVertexComponentInfo.Controls.Add(this.vAdjE2);
			this.pnlVertexComponentInfo.Controls.Add(this.vAdjE3);
			this.pnlVertexComponentInfo.Controls.Add(this.vLapE3);
			this.pnlVertexComponentInfo.Controls.Add(this.vLapE0);
			this.pnlVertexComponentInfo.Controls.Add(this.vLapE2);
			this.pnlVertexComponentInfo.Controls.Add(this.vLapE1);
			this.pnlVertexComponentInfo.Controls.Add(this.vNormLapE3);
			this.pnlVertexComponentInfo.Controls.Add(this.vNormLapE0);
			this.pnlVertexComponentInfo.Controls.Add(this.vNormLapE2);
			this.pnlVertexComponentInfo.Controls.Add(this.vNormLapE1);
			this.pnlVertexComponentInfo.Location = new System.Drawing.Point(0, 104);
			this.pnlVertexComponentInfo.Name = "pnlVertexComponentInfo";
			this.pnlVertexComponentInfo.Size = new System.Drawing.Size(344, 168);
			this.pnlVertexComponentInfo.TabIndex = 2;
			// 
			// vCC
			// 
			this.vCC.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vCC.Location = new System.Drawing.Point(8, 8);
			this.vCC.Name = "vCC";
			this.vCC.Size = new System.Drawing.Size(328, 16);
			this.vCC.TabIndex = 0;
			this.vCC.Text = "vCC";
			// 
			// vDist
			// 
			this.vDist.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vDist.Location = new System.Drawing.Point(8, 32);
			this.vDist.Name = "vDist";
			this.vDist.Size = new System.Drawing.Size(328, 16);
			this.vDist.TabIndex = 0;
			this.vDist.Text = "vDist";
			// 
			// label31
			// 
			this.label31.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label31.Location = new System.Drawing.Point(8, 75);
			this.label31.Name = "label31";
			this.label31.Size = new System.Drawing.Size(24, 16);
			this.label31.TabIndex = 0;
			this.label31.Text = "λ0";
			// 
			// label32
			// 
			this.label32.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label32.Location = new System.Drawing.Point(8, 99);
			this.label32.Name = "label32";
			this.label32.Size = new System.Drawing.Size(24, 16);
			this.label32.TabIndex = 0;
			this.label32.Text = "λ1";
			// 
			// label33
			// 
			this.label33.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label33.Location = new System.Drawing.Point(8, 123);
			this.label33.Name = "label33";
			this.label33.Size = new System.Drawing.Size(24, 16);
			this.label33.TabIndex = 0;
			this.label33.Text = "λ2";
			// 
			// label34
			// 
			this.label34.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label34.Location = new System.Drawing.Point(40, 56);
			this.label34.Name = "label34";
			this.label34.Size = new System.Drawing.Size(61, 16);
			this.label34.TabIndex = 0;
			this.label34.Text = "Adjacency";
			// 
			// label35
			// 
			this.label35.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label35.Location = new System.Drawing.Point(136, 56);
			this.label35.Name = "label35";
			this.label35.Size = new System.Drawing.Size(72, 16);
			this.label35.TabIndex = 0;
			this.label35.Text = "Laplacian";
			// 
			// label36
			// 
			this.label36.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label36.Location = new System.Drawing.Point(236, 56);
			this.label36.Name = "label36";
			this.label36.Size = new System.Drawing.Size(104, 16);
			this.label36.TabIndex = 0;
			this.label36.Text = "Norm. Laplacian";
			// 
			// label37
			// 
			this.label37.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label37.Location = new System.Drawing.Point(8, 147);
			this.label37.Name = "label37";
			this.label37.Size = new System.Drawing.Size(24, 16);
			this.label37.TabIndex = 0;
			this.label37.Text = "λ3";
			// 
			// vAdjE0
			// 
			this.vAdjE0.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vAdjE0.Location = new System.Drawing.Point(40, 75);
			this.vAdjE0.Name = "vAdjE0";
			this.vAdjE0.Size = new System.Drawing.Size(80, 16);
			this.vAdjE0.TabIndex = 0;
			this.vAdjE0.Text = "vAdjE0";
			// 
			// vAdjE1
			// 
			this.vAdjE1.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vAdjE1.Location = new System.Drawing.Point(40, 99);
			this.vAdjE1.Name = "vAdjE1";
			this.vAdjE1.Size = new System.Drawing.Size(80, 16);
			this.vAdjE1.TabIndex = 0;
			this.vAdjE1.Text = "vAdjE1";
			// 
			// vAdjE2
			// 
			this.vAdjE2.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vAdjE2.Location = new System.Drawing.Point(40, 123);
			this.vAdjE2.Name = "vAdjE2";
			this.vAdjE2.Size = new System.Drawing.Size(80, 16);
			this.vAdjE2.TabIndex = 0;
			this.vAdjE2.Text = "vAdjE2";
			// 
			// vAdjE3
			// 
			this.vAdjE3.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vAdjE3.Location = new System.Drawing.Point(40, 147);
			this.vAdjE3.Name = "vAdjE3";
			this.vAdjE3.Size = new System.Drawing.Size(80, 16);
			this.vAdjE3.TabIndex = 0;
			this.vAdjE3.Text = "vAdjE3";
			// 
			// vLapE3
			// 
			this.vLapE3.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vLapE3.Location = new System.Drawing.Point(136, 147);
			this.vLapE3.Name = "vLapE3";
			this.vLapE3.Size = new System.Drawing.Size(96, 21);
			this.vLapE3.TabIndex = 0;
			this.vLapE3.Text = "vLapE3";
			// 
			// vLapE0
			// 
			this.vLapE0.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vLapE0.Location = new System.Drawing.Point(136, 75);
			this.vLapE0.Name = "vLapE0";
			this.vLapE0.Size = new System.Drawing.Size(96, 16);
			this.vLapE0.TabIndex = 0;
			this.vLapE0.Text = "vLapE0";
			// 
			// vLapE2
			// 
			this.vLapE2.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vLapE2.Location = new System.Drawing.Point(136, 123);
			this.vLapE2.Name = "vLapE2";
			this.vLapE2.Size = new System.Drawing.Size(96, 16);
			this.vLapE2.TabIndex = 0;
			this.vLapE2.Text = "vLapE2";
			// 
			// vLapE1
			// 
			this.vLapE1.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vLapE1.Location = new System.Drawing.Point(136, 99);
			this.vLapE1.Name = "vLapE1";
			this.vLapE1.Size = new System.Drawing.Size(96, 16);
			this.vLapE1.TabIndex = 0;
			this.vLapE1.Text = "vLapE1";
			// 
			// vNormLapE3
			// 
			this.vNormLapE3.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vNormLapE3.Location = new System.Drawing.Point(236, 147);
			this.vNormLapE3.Name = "vNormLapE3";
			this.vNormLapE3.Size = new System.Drawing.Size(96, 16);
			this.vNormLapE3.TabIndex = 0;
			this.vNormLapE3.Text = "vNormLapE3";
			// 
			// vNormLapE0
			// 
			this.vNormLapE0.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vNormLapE0.Location = new System.Drawing.Point(236, 75);
			this.vNormLapE0.Name = "vNormLapE0";
			this.vNormLapE0.Size = new System.Drawing.Size(96, 16);
			this.vNormLapE0.TabIndex = 0;
			this.vNormLapE0.Text = "vNormLapE0";
			// 
			// vNormLapE2
			// 
			this.vNormLapE2.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vNormLapE2.Location = new System.Drawing.Point(236, 123);
			this.vNormLapE2.Name = "vNormLapE2";
			this.vNormLapE2.Size = new System.Drawing.Size(96, 16);
			this.vNormLapE2.TabIndex = 0;
			this.vNormLapE2.Text = "vNormLapE2";
			// 
			// vNormLapE1
			// 
			this.vNormLapE1.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vNormLapE1.Location = new System.Drawing.Point(236, 99);
			this.vNormLapE1.Name = "vNormLapE1";
			this.vNormLapE1.Size = new System.Drawing.Size(96, 16);
			this.vNormLapE1.TabIndex = 0;
			this.vNormLapE1.Text = "vNormLapE1";
			// 
			// pnlShowComponent
			// 
			this.pnlShowComponent.Controls.Add(this.lblShowComponent);
			this.pnlShowComponent.Location = new System.Drawing.Point(0, 104);
			this.pnlShowComponent.Name = "pnlShowComponent";
			this.pnlShowComponent.Size = new System.Drawing.Size(344, 56);
			this.pnlShowComponent.TabIndex = 1;
			// 
			// lblShowComponent
			// 
			this.lblShowComponent.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblShowComponent.Location = new System.Drawing.Point(8, 8);
			this.lblShowComponent.Name = "lblShowComponent";
			this.lblShowComponent.Size = new System.Drawing.Size(328, 32);
			this.lblShowComponent.TabIndex = 0;
			this.lblShowComponent.Text = "Connected component insufficiently large to calculate data. ";
			// 
			// panel3
			// 
			this.panel3.Controls.Add(this.laplacianDisplay);
			this.panel3.Controls.Add(this.graphDisplay);
			this.panel3.Controls.Add(this.pcaDisplay);
			this.panel3.Location = new System.Drawing.Point(360, 8);
			this.panel3.Name = "panel3";
			this.panel3.Size = new System.Drawing.Size(608, 608);
			this.panel3.TabIndex = 8;
			// 
			// laplacianDisplay
			// 
			this.laplacianDisplay.Location = new System.Drawing.Point(8, 8);
			this.laplacianDisplay.Name = "laplacianDisplay";
			this.laplacianDisplay.Size = new System.Drawing.Size(600, 600);
			this.laplacianDisplay.TabIndex = 4;
			this.laplacianDisplay.TabStop = false;
			this.laplacianDisplay.Visible = false;
			// 
			// graphDisplay
			// 
			this.graphDisplay.Location = new System.Drawing.Point(8, 8);
			this.graphDisplay.Name = "graphDisplay";
			this.graphDisplay.Size = new System.Drawing.Size(600, 600);
			this.graphDisplay.TabIndex = 0;
			this.graphDisplay.TabStop = false;
			// 
			// pcaDisplay
			// 
			this.pcaDisplay.Location = new System.Drawing.Point(8, 8);
			this.pcaDisplay.Name = "pcaDisplay";
			this.pcaDisplay.Size = new System.Drawing.Size(600, 600);
			this.pcaDisplay.TabIndex = 5;
			this.pcaDisplay.TabStop = false;
			this.pcaDisplay.Visible = false;
			// 
			// pnlCollapseNodes
			// 
			this.pnlCollapseNodes.Controls.Add(this.btnCollapse);
			this.pnlCollapseNodes.Controls.Add(this.tbCollapseLabel);
			this.pnlCollapseNodes.Controls.Add(this.label78);
			this.pnlCollapseNodes.Controls.Add(this.collapseLB);
			this.pnlCollapseNodes.Controls.Add(this.label79);
			this.pnlCollapseNodes.Controls.Add(this.button1);
			this.pnlCollapseNodes.Location = new System.Drawing.Point(0, 0);
			this.pnlCollapseNodes.Name = "pnlCollapseNodes";
			this.pnlCollapseNodes.Size = new System.Drawing.Size(992, 664);
			this.pnlCollapseNodes.TabIndex = 9;
			this.pnlCollapseNodes.Visible = false;
			// 
			// btnCollapse
			// 
			this.btnCollapse.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.btnCollapse.Location = new System.Drawing.Point(32, 456);
			this.btnCollapse.Name = "btnCollapse";
			this.btnCollapse.Size = new System.Drawing.Size(136, 23);
			this.btnCollapse.TabIndex = 3;
			this.btnCollapse.Text = "Collapse nodes";
			this.btnCollapse.Click += new System.EventHandler(this.btnCollapse_Click);
			// 
			// tbCollapseLabel
			// 
			this.tbCollapseLabel.Location = new System.Drawing.Point(176, 408);
			this.tbCollapseLabel.Name = "tbCollapseLabel";
			this.tbCollapseLabel.Size = new System.Drawing.Size(208, 20);
			this.tbCollapseLabel.TabIndex = 2;
			this.tbCollapseLabel.Text = "";
			// 
			// label78
			// 
			this.label78.Font = new System.Drawing.Font("Arial", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label78.Location = new System.Drawing.Point(32, 32);
			this.label78.Name = "label78";
			this.label78.Size = new System.Drawing.Size(336, 23);
			this.label78.TabIndex = 1;
			this.label78.Text = "Choose nodes to collapse:";
			// 
			// collapseLB
			// 
			this.collapseLB.Location = new System.Drawing.Point(32, 72);
			this.collapseLB.Name = "collapseLB";
			this.collapseLB.SelectionMode = System.Windows.Forms.SelectionMode.MultiExtended;
			this.collapseLB.Size = new System.Drawing.Size(176, 303);
			this.collapseLB.TabIndex = 0;
			// 
			// label79
			// 
			this.label79.Font = new System.Drawing.Font("Arial", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label79.Location = new System.Drawing.Point(32, 408);
			this.label79.Name = "label79";
			this.label79.Size = new System.Drawing.Size(136, 23);
			this.label79.TabIndex = 1;
			this.label79.Text = "New node\'s label:";
			// 
			// button1
			// 
			this.button1.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.button1.Location = new System.Drawing.Point(184, 456);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(136, 23);
			this.button1.TabIndex = 3;
			this.button1.Text = "Cancel";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// pnlExport
			// 
			this.pnlExport.Controls.Add(this.outAdjEigenvalue);
			this.pnlExport.Controls.Add(this.label81);
			this.pnlExport.Controls.Add(this.btnExportAdjacency);
			this.pnlExport.Controls.Add(this.button3);
			this.pnlExport.Controls.Add(this.label80);
			this.pnlExport.Controls.Add(this.btnExportLaplacian);
			this.pnlExport.Controls.Add(this.btnExportNormLaplacian);
			this.pnlExport.Controls.Add(this.btnExportAdjacencyEigenInformation);
			this.pnlExport.Controls.Add(this.outAdjIVP);
			this.pnlExport.Controls.Add(this.outAdjSpec);
			this.pnlExport.Controls.Add(this.outAdjEigenvector);
			this.pnlExport.Controls.Add(this.outLapIVP);
			this.pnlExport.Controls.Add(this.outLapEigenvector);
			this.pnlExport.Controls.Add(this.outLapEigenvalue);
			this.pnlExport.Controls.Add(this.outLapSpec);
			this.pnlExport.Controls.Add(this.btnExportLaplacianEigenInformation);
			this.pnlExport.Controls.Add(this.btnExportNormalizedLaplacianEigenInformation);
			this.pnlExport.Controls.Add(this.outNormLapIVP);
			this.pnlExport.Controls.Add(this.outNormLapEigenvector);
			this.pnlExport.Controls.Add(this.outNormLapEigenvalue);
			this.pnlExport.Controls.Add(this.outNormLapSpec);
			this.pnlExport.Controls.Add(this.btnExportNodeInformation);
			this.pnlExport.Controls.Add(this.outNodeLabel);
			this.pnlExport.Controls.Add(this.outNodeID);
			this.pnlExport.Controls.Add(this.outNodeDegree);
			this.pnlExport.Controls.Add(this.outNodeCK);
			this.pnlExport.Controls.Add(this.outNodeAvgDist);
			this.pnlExport.Controls.Add(this.outNodeMaxDist);
			this.pnlExport.Controls.Add(this.outNodeAdjEig);
			this.pnlExport.Controls.Add(this.outNodeLapEig);
			this.pnlExport.Controls.Add(this.outNodeNormLapEig);
			this.pnlExport.Controls.Add(this.btnExportNodeNodeWeight);
			this.pnlExport.Location = new System.Drawing.Point(0, 0);
			this.pnlExport.Name = "pnlExport";
			this.pnlExport.Size = new System.Drawing.Size(992, 664);
			this.pnlExport.TabIndex = 10;
			this.pnlExport.Visible = false;
			// 
			// outAdjEigenvalue
			// 
			this.outAdjEigenvalue.Checked = true;
			this.outAdjEigenvalue.CheckState = System.Windows.Forms.CheckState.Checked;
			this.outAdjEigenvalue.Enabled = false;
			this.outAdjEigenvalue.Location = new System.Drawing.Point(304, 152);
			this.outAdjEigenvalue.Name = "outAdjEigenvalue";
			this.outAdjEigenvalue.TabIndex = 4;
			this.outAdjEigenvalue.Text = "Eigenvalue";
			// 
			// label81
			// 
			this.label81.Font = new System.Drawing.Font("Arial", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label81.Location = new System.Drawing.Point(16, 80);
			this.label81.Name = "label81";
			this.label81.Size = new System.Drawing.Size(288, 23);
			this.label81.TabIndex = 3;
			this.label81.Text = "Click on a button to export the desired file:";
			// 
			// btnExportAdjacency
			// 
			this.btnExportAdjacency.Location = new System.Drawing.Point(32, 120);
			this.btnExportAdjacency.Name = "btnExportAdjacency";
			this.btnExportAdjacency.Size = new System.Drawing.Size(184, 23);
			this.btnExportAdjacency.TabIndex = 2;
			this.btnExportAdjacency.Text = "Adjacency matrix";
			this.btnExportAdjacency.Click += new System.EventHandler(this.btnExportAdjacency_Click);
			// 
			// button3
			// 
			this.button3.Location = new System.Drawing.Point(368, 16);
			this.button3.Name = "button3";
			this.button3.Size = new System.Drawing.Size(128, 23);
			this.button3.TabIndex = 1;
			this.button3.Text = "Done";
			this.button3.Click += new System.EventHandler(this.button3_Click);
			// 
			// label80
			// 
			this.label80.Font = new System.Drawing.Font("Arial", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label80.Location = new System.Drawing.Point(16, 16);
			this.label80.Name = "label80";
			this.label80.Size = new System.Drawing.Size(312, 23);
			this.label80.TabIndex = 0;
			this.label80.Text = "Export data as tab-delimited text";
			// 
			// btnExportLaplacian
			// 
			this.btnExportLaplacian.Location = new System.Drawing.Point(32, 160);
			this.btnExportLaplacian.Name = "btnExportLaplacian";
			this.btnExportLaplacian.Size = new System.Drawing.Size(184, 23);
			this.btnExportLaplacian.TabIndex = 2;
			this.btnExportLaplacian.Text = "Laplacian matrix";
			this.btnExportLaplacian.Click += new System.EventHandler(this.btnExportLaplacian_Click);
			// 
			// btnExportNormLaplacian
			// 
			this.btnExportNormLaplacian.Location = new System.Drawing.Point(32, 200);
			this.btnExportNormLaplacian.Name = "btnExportNormLaplacian";
			this.btnExportNormLaplacian.Size = new System.Drawing.Size(184, 23);
			this.btnExportNormLaplacian.TabIndex = 2;
			this.btnExportNormLaplacian.Text = "Normalized Laplacian matrix";
			this.btnExportNormLaplacian.Click += new System.EventHandler(this.btnExportNormLaplacian_Click);
			// 
			// btnExportAdjacencyEigenInformation
			// 
			this.btnExportAdjacencyEigenInformation.Location = new System.Drawing.Point(288, 120);
			this.btnExportAdjacencyEigenInformation.Name = "btnExportAdjacencyEigenInformation";
			this.btnExportAdjacencyEigenInformation.Size = new System.Drawing.Size(272, 23);
			this.btnExportAdjacencyEigenInformation.TabIndex = 2;
			this.btnExportAdjacencyEigenInformation.Text = "Adjacency eigenvalue information";
			this.btnExportAdjacencyEigenInformation.Click += new System.EventHandler(this.btnExportAdjacencyEigenInformation_Click);
			// 
			// outAdjIVP
			// 
			this.outAdjIVP.Location = new System.Drawing.Point(304, 176);
			this.outAdjIVP.Name = "outAdjIVP";
			this.outAdjIVP.Size = new System.Drawing.Size(160, 24);
			this.outAdjIVP.TabIndex = 4;
			this.outAdjIVP.Text = "Inverse participation ratio";
			// 
			// outAdjSpec
			// 
			this.outAdjSpec.Location = new System.Drawing.Point(304, 200);
			this.outAdjSpec.Name = "outAdjSpec";
			this.outAdjSpec.Size = new System.Drawing.Size(224, 24);
			this.outAdjSpec.TabIndex = 4;
			this.outAdjSpec.Text = "Spectral Density (will be two columns)";
			// 
			// outAdjEigenvector
			// 
			this.outAdjEigenvector.Location = new System.Drawing.Point(304, 224);
			this.outAdjEigenvector.Name = "outAdjEigenvector";
			this.outAdjEigenvector.Size = new System.Drawing.Size(224, 24);
			this.outAdjEigenvector.TabIndex = 4;
			this.outAdjEigenvector.Text = "Eigenvector";
			// 
			// outLapIVP
			// 
			this.outLapIVP.Location = new System.Drawing.Point(296, 336);
			this.outLapIVP.Name = "outLapIVP";
			this.outLapIVP.Size = new System.Drawing.Size(160, 24);
			this.outLapIVP.TabIndex = 4;
			this.outLapIVP.Text = "Inverse participation ratio";
			// 
			// outLapEigenvector
			// 
			this.outLapEigenvector.Location = new System.Drawing.Point(296, 384);
			this.outLapEigenvector.Name = "outLapEigenvector";
			this.outLapEigenvector.Size = new System.Drawing.Size(224, 24);
			this.outLapEigenvector.TabIndex = 4;
			this.outLapEigenvector.Text = "Eigenvector";
			// 
			// outLapEigenvalue
			// 
			this.outLapEigenvalue.Checked = true;
			this.outLapEigenvalue.CheckState = System.Windows.Forms.CheckState.Checked;
			this.outLapEigenvalue.Enabled = false;
			this.outLapEigenvalue.Location = new System.Drawing.Point(296, 312);
			this.outLapEigenvalue.Name = "outLapEigenvalue";
			this.outLapEigenvalue.TabIndex = 4;
			this.outLapEigenvalue.Text = "Eigenvalue";
			// 
			// outLapSpec
			// 
			this.outLapSpec.Location = new System.Drawing.Point(296, 360);
			this.outLapSpec.Name = "outLapSpec";
			this.outLapSpec.Size = new System.Drawing.Size(224, 24);
			this.outLapSpec.TabIndex = 4;
			this.outLapSpec.Text = "Spectral Density (will be two columns)";
			// 
			// btnExportLaplacianEigenInformation
			// 
			this.btnExportLaplacianEigenInformation.Location = new System.Drawing.Point(280, 280);
			this.btnExportLaplacianEigenInformation.Name = "btnExportLaplacianEigenInformation";
			this.btnExportLaplacianEigenInformation.Size = new System.Drawing.Size(272, 23);
			this.btnExportLaplacianEigenInformation.TabIndex = 2;
			this.btnExportLaplacianEigenInformation.Text = "Laplacian eigenvalue information";
			this.btnExportLaplacianEigenInformation.Click += new System.EventHandler(this.btnExportLaplacianEigenInformation_Click);
			// 
			// btnExportNormalizedLaplacianEigenInformation
			// 
			this.btnExportNormalizedLaplacianEigenInformation.Location = new System.Drawing.Point(280, 440);
			this.btnExportNormalizedLaplacianEigenInformation.Name = "btnExportNormalizedLaplacianEigenInformation";
			this.btnExportNormalizedLaplacianEigenInformation.Size = new System.Drawing.Size(272, 23);
			this.btnExportNormalizedLaplacianEigenInformation.TabIndex = 2;
			this.btnExportNormalizedLaplacianEigenInformation.Text = "Normalized Laplacian eigenvalue information";
			this.btnExportNormalizedLaplacianEigenInformation.Click += new System.EventHandler(this.btnExportNormalizedLaplacianEigenInformation_Click);
			// 
			// outNormLapIVP
			// 
			this.outNormLapIVP.Location = new System.Drawing.Point(296, 496);
			this.outNormLapIVP.Name = "outNormLapIVP";
			this.outNormLapIVP.Size = new System.Drawing.Size(160, 24);
			this.outNormLapIVP.TabIndex = 4;
			this.outNormLapIVP.Text = "Inverse participation ratio";
			// 
			// outNormLapEigenvector
			// 
			this.outNormLapEigenvector.Location = new System.Drawing.Point(296, 544);
			this.outNormLapEigenvector.Name = "outNormLapEigenvector";
			this.outNormLapEigenvector.Size = new System.Drawing.Size(224, 24);
			this.outNormLapEigenvector.TabIndex = 4;
			this.outNormLapEigenvector.Text = "Eigenvector";
			// 
			// outNormLapEigenvalue
			// 
			this.outNormLapEigenvalue.Checked = true;
			this.outNormLapEigenvalue.CheckState = System.Windows.Forms.CheckState.Checked;
			this.outNormLapEigenvalue.Enabled = false;
			this.outNormLapEigenvalue.Location = new System.Drawing.Point(296, 472);
			this.outNormLapEigenvalue.Name = "outNormLapEigenvalue";
			this.outNormLapEigenvalue.TabIndex = 4;
			this.outNormLapEigenvalue.Text = "Eigenvalue";
			// 
			// outNormLapSpec
			// 
			this.outNormLapSpec.Location = new System.Drawing.Point(296, 520);
			this.outNormLapSpec.Name = "outNormLapSpec";
			this.outNormLapSpec.Size = new System.Drawing.Size(224, 24);
			this.outNormLapSpec.TabIndex = 4;
			this.outNormLapSpec.Text = "Spectral Density (will be two columns)";
			// 
			// btnExportNodeInformation
			// 
			this.btnExportNodeInformation.Location = new System.Drawing.Point(600, 120);
			this.btnExportNodeInformation.Name = "btnExportNodeInformation";
			this.btnExportNodeInformation.Size = new System.Drawing.Size(272, 23);
			this.btnExportNodeInformation.TabIndex = 2;
			this.btnExportNodeInformation.Text = "Node Information";
			this.btnExportNodeInformation.Click += new System.EventHandler(this.btnExportNodeInformation_Click);
			// 
			// outNodeLabel
			// 
			this.outNodeLabel.Checked = true;
			this.outNodeLabel.CheckState = System.Windows.Forms.CheckState.Checked;
			this.outNodeLabel.Enabled = false;
			this.outNodeLabel.Location = new System.Drawing.Point(616, 152);
			this.outNodeLabel.Name = "outNodeLabel";
			this.outNodeLabel.TabIndex = 4;
			this.outNodeLabel.Text = "Label";
			// 
			// outNodeID
			// 
			this.outNodeID.Location = new System.Drawing.Point(616, 176);
			this.outNodeID.Name = "outNodeID";
			this.outNodeID.TabIndex = 4;
			this.outNodeID.Text = "ID Numer";
			// 
			// outNodeDegree
			// 
			this.outNodeDegree.Location = new System.Drawing.Point(616, 200);
			this.outNodeDegree.Name = "outNodeDegree";
			this.outNodeDegree.Size = new System.Drawing.Size(160, 24);
			this.outNodeDegree.TabIndex = 4;
			this.outNodeDegree.Text = "Degree";
			// 
			// outNodeCK
			// 
			this.outNodeCK.Location = new System.Drawing.Point(616, 224);
			this.outNodeCK.Name = "outNodeCK";
			this.outNodeCK.Size = new System.Drawing.Size(160, 24);
			this.outNodeCK.TabIndex = 4;
			this.outNodeCK.Text = "Clustering coefficient";
			// 
			// outNodeAvgDist
			// 
			this.outNodeAvgDist.Location = new System.Drawing.Point(616, 248);
			this.outNodeAvgDist.Name = "outNodeAvgDist";
			this.outNodeAvgDist.Size = new System.Drawing.Size(160, 24);
			this.outNodeAvgDist.TabIndex = 4;
			this.outNodeAvgDist.Text = "Distance -- Average";
			// 
			// outNodeMaxDist
			// 
			this.outNodeMaxDist.Location = new System.Drawing.Point(616, 272);
			this.outNodeMaxDist.Name = "outNodeMaxDist";
			this.outNodeMaxDist.Size = new System.Drawing.Size(160, 24);
			this.outNodeMaxDist.TabIndex = 4;
			this.outNodeMaxDist.Text = "Distance -- Maximum";
			// 
			// outNodeAdjEig
			// 
			this.outNodeAdjEig.Location = new System.Drawing.Point(616, 296);
			this.outNodeAdjEig.Name = "outNodeAdjEig";
			this.outNodeAdjEig.Size = new System.Drawing.Size(248, 24);
			this.outNodeAdjEig.TabIndex = 4;
			this.outNodeAdjEig.Text = "Primary adjacency eigenvector components";
			// 
			// outNodeLapEig
			// 
			this.outNodeLapEig.Location = new System.Drawing.Point(616, 320);
			this.outNodeLapEig.Name = "outNodeLapEig";
			this.outNodeLapEig.Size = new System.Drawing.Size(248, 24);
			this.outNodeLapEig.TabIndex = 4;
			this.outNodeLapEig.Text = "Primary Laplacian eigenvector components";
			// 
			// outNodeNormLapEig
			// 
			this.outNodeNormLapEig.Location = new System.Drawing.Point(616, 344);
			this.outNodeNormLapEig.Name = "outNodeNormLapEig";
			this.outNodeNormLapEig.Size = new System.Drawing.Size(304, 24);
			this.outNodeNormLapEig.TabIndex = 4;
			this.outNodeNormLapEig.Text = "Primary normalized Laplacian eigenvector components";
			// 
			// btnExportNodeNodeWeight
			// 
			this.btnExportNodeNodeWeight.Location = new System.Drawing.Point(32, 240);
			this.btnExportNodeNodeWeight.Name = "btnExportNodeNodeWeight";
			this.btnExportNodeNodeWeight.Size = new System.Drawing.Size(184, 23);
			this.btnExportNodeNodeWeight.TabIndex = 2;
			this.btnExportNodeNodeWeight.Text = "Node node weight file";
			this.btnExportNodeNodeWeight.Click += new System.EventHandler(this.btnExportNodeNodeWeight_Click);
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(992, 662);
			this.Controls.Add(this.pnlStepTwo);
			this.Controls.Add(this.pnlCollapseNodes);
			this.Controls.Add(this.pnlExport);
			this.Controls.Add(this.pnlMain);
			this.Controls.Add(this.pnlStepOne);
			this.MaximizeBox = false;
			this.Name = "MainForm";
			this.Text = "SpectralNet";
			this.pnlStepOne.ResumeLayout(false);
			this.panel2.ResumeLayout(false);
			this.panel16.ResumeLayout(false);
			this.pnlStepTwo.ResumeLayout(false);
			this.pnlProgress.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.numSimilarities)).EndInit();
			this.pnlMain.ResumeLayout(false);
			this.pnlComponent.ResumeLayout(false);
			this.panel4.ResumeLayout(false);
			this.panel5.ResumeLayout(false);
			this.panel6.ResumeLayout(false);
			this.panel7.ResumeLayout(false);
			this.panel8.ResumeLayout(false);
			this.panel9.ResumeLayout(false);
			this.panel10.ResumeLayout(false);
			this.panel11.ResumeLayout(false);
			this.panel12.ResumeLayout(false);
			this.panel13.ResumeLayout(false);
			this.panel14.ResumeLayout(false);
			this.panel15.ResumeLayout(false);
			this.pnlOps.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.ddlZoomFactor)).EndInit();
			this.panel1.ResumeLayout(false);
			this.pnlVertexComponentInfo.ResumeLayout(false);
			this.pnlShowComponent.ResumeLayout(false);
			this.panel3.ResumeLayout(false);
			this.pnlCollapseNodes.ResumeLayout(false);
			this.pnlExport.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args) 
		{
			Application.Run(new MainForm(args));
		}

		private void btnChooseFileRaw_Click(object sender, System.EventArgs e)
		{
			if(openFileRaw.ShowDialog() == DialogResult.OK)
			{
				inputRawDataUpload.Text = openFileRaw.FileName;
			}
		}

		private void btnChooseFileAdjacency_Click(object sender, System.EventArgs e)
		{
			if(openFileAdjacency.ShowDialog() == DialogResult.OK)
			{
				inputCorrelationMatrixUpload.Text = openFileAdjacency.FileName;
			}
		}

		private void btnChooseFilePajek_Click(object sender, System.EventArgs e)
		{
			if(openFilePajek.ShowDialog() == DialogResult.OK)
			{
				inputFileUpload.Text = openFilePajek.FileName;
			}
		}

		private void btnChooseFileNodeNodeWeight_Click(object sender, System.EventArgs e)
		{
			if(openFileNodeNodeWeight.ShowDialog() == DialogResult.OK)
			{
				inputNodeEdgesUpload.Text = openFileNodeNodeWeight.FileName;
			}
		}

		private void btnNextStep1_Click(object sender, System.EventArgs e)
		{
			pnlStepOne.Visible = false;
			pnlStepTwo.Visible = true;
		}

		/// <summary>
		/// This code is a nasty copy of btnSubmit_Click.  I'd refactor it,
		/// but I don't have the time right now
		/// </summary>
		private void skipToDisplayScreen(string filename)
		{
			verticesLB.DataSource = new ArrayList();
			verticesLB.Refresh();
			
			//
			// Create the graph based on what the user selected in the UI
			this.graph = generateGraphFromNodeNodeWeightFile(filename, true);

			this.graph.submittedViaCommandLine = true;

			if (this.graph == null) 
			{
				throw new Exception("Input file not in the correct format.  Please see documentation for how to create a properly formatted nodenodeweight file.");
			}

			//
			// Set user options
			this.graph.options.doFR = true;
			this.graph.options.doDijkstra = true;
			this.graph.options.doClusterCoeff = true;

			//
			// Calculate component info (lots of it)
			this.graph.UpdateComponents();	

			foreach(DictionaryEntry de in this.graph.Vertices)
			{
				this.graph.SelectedVertex = (Vertex)de.Value;
				break;
			}
			updateVertexListBox();

			frGraph(this.graph); // Calculates new vertex positions
			setupGraph(this.graph); // scales node distances

			foreach(DictionaryEntry de in this.graph.Vertices)
			{
				Vertex v = (Vertex) de.Value;

				v.XLapOrig = v.XLap;
				v.YLapOrig = v.YLap;

				v.XOrig = v.X;
				v.YOrig = v.Y;
			}

			rbDisplayPCA.Visible = false;

			//
			// The user initially sees the Fruchterman-Reingold display ("Normal")
			this.graph.DisplayType = displayType.Normal;

			//
			// Change the vertex display
			changeVertexToCurrent(); // Will draw graph

			// Successfull completion, open up display
			//importFile.Visible = false;
			//analysisDisplay.Visible = true;

			//
			// Initialize the VRML button
			btnExportVRML.Text = "Export Embedding as VRML";
			btnExportVRML.Enabled = false;

			pnlMain.Visible = true;
			pnlStepTwo.Visible = false;

			edgesLB.ClearSelected();

			verticesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);
			edgesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);
			verticesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);
			edgesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);
		}

		private void btnSubmit_Click(object sender, System.EventArgs e)
		{
			doFR.Enabled = false;
			cbDoDijkstra.Enabled = false;
			cbDoClusterCoefficient.Enabled = false;
			chemchem.Enabled = false;
			numSimilarities.Enabled = false;
			chemRegex.Enabled = false;
			btnSubmit.Enabled = false;

			pnlProgress.Visible = true;
			lblProgress.Visible = true;
			lblProgress.Refresh();
			pbMain.Visible = true;

			verticesLB.DataSource = new ArrayList();
			verticesLB.Refresh();
			
			//
			// Create the graph based on what the user selected in the UI
			this.graph = createGraphFromUIChoice();
			if (this.graph == null) 
			{
				resetUI();
				return;
			}

			this.graph.pb = pbMain;

			pbMain.Value = 10;

			//
			// Optionally change graph to be non-bipartite -- primarily intended for
			// only when the user uploads a graph file, but let them do what they want\
			//
			// FYI, it's called "chemchem" since this program was originally only going
			// to be used to analyze chemical networks, but since then it's been generalized
			//
			if (chemchem.Checked == true) 
			{
				this.graph = chemChemGraph(this.graph);
			}

			//
			// Set user options
			if (doFR.Checked == true) this.graph.options.doFR = true;
			if (cbDoDijkstra.Checked == true) this.graph.options.doDijkstra = true;
			if (cbDoClusterCoefficient.Checked == true) this.graph.options.doClusterCoeff = true;

			//
			// Calculate component info (lots of it)
			this.graph.UpdateComponents();	

			foreach(DictionaryEntry de in this.graph.Vertices)
			{
				this.graph.SelectedVertex = (Vertex)de.Value;
				break;
			}
			updateVertexListBox();

			pbMain.Value = 80;

			//
			// Draw the 2D Fruchterman/Reingold graph
			//
			if (doFR.Checked)
			{
				frGraph(this.graph); // Calculates new vertex positions
				setupGraph(this.graph); // scales node distances
			}
			else
			{
				setupGraph(this.graph);
			}

			foreach(DictionaryEntry de in this.graph.Vertices)
			{
				Vertex v = (Vertex) de.Value;

				v.XLapOrig = v.XLap;
				v.YLapOrig = v.YLap;

				v.XOrig = v.X;
				v.YOrig = v.Y;
			}

			pbMain.Value = 90;

			//
			// Calculate PCA coordinates
			if (this.graph.pcaCalculated == true)
			{
				this.graph.calculatePcaGraphCoords();
				rbDisplayPCA.Visible = true;
				
				foreach(DictionaryEntry de in this.graph.Vertices)
				{
					Vertex v = (Vertex) de.Value;

					v.XPcaOrig = v.XPca;
					v.YPcaOrig = v.YPca;
				}
			}
			else
			{
				rbDisplayPCA.Visible = false;
			}

			//
			// The user initially sees the Fruchterman-Reingold display ("Normal")
			this.graph.DisplayType = displayType.Normal;

			//
			// Change the vertex display
			changeVertexToCurrent(); // Will draw graph

			// Successfull completion, open up display
			//importFile.Visible = false;
			//analysisDisplay.Visible = true;

			//
			// Initialize the VRML button
			btnExportVRML.Text = "Export Embedding as VRML";
			btnExportVRML.Enabled = false;

			pnlMain.Visible = true;
			pnlStepTwo.Visible = false;

			edgesLB.ClearSelected();

			verticesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);
			edgesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);
			verticesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);
			edgesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);
		}

		private void resetUI()
		{
			pnlStepTwo.Visible = false;
			pnlMain.Visible = false;
			pnlCollapseNodes.Visible = false;
			pnlMain.Visible = false;
			pnlExport.Visible = false;
			pnlStepOne.Visible = true;
			this.graph = null;
			inputRawData.Checked = true;
			inputRawDataUpload.Text = "";
			inputCorrelationMatrixUpload.Text = "";
			inputFileUpload.Text = "";
			inputNodeEdgesUpload.Text = "";

			doFR.Enabled = true;
			cbDoDijkstra.Enabled = true;
			cbDoClusterCoefficient.Enabled = true;
			chemchem.Enabled = true;
			numSimilarities.Enabled = true;
			chemRegex.Enabled = true;
			btnSubmit.Enabled = true;

			pnlProgress.Visible = false;
			lblProgress.Visible = false;
			lblProgress.Refresh();

			verticesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);
			edgesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);
		}

		private ChemGraph createGraphFromUIChoice()
		{
			bool fileUploaded = false;

			try
			{
				if (inputFile.Checked == true)
				{
					fileUploaded = true;
					return generateGraphFromPajekFile(inputFileUpload.Text);
				}
				else if (inputNodeEdges.Checked == true)
				{
					fileUploaded = true;
					return generateGraphFromNodeNodeWeightFile(inputNodeEdgesUpload.Text);
				}
				else if (inputCorrelationMatrix.Checked == true)
				{
					fileUploaded = true;
					return generateGraphFromAdjacencyMatrixFile(inputCorrelationMatrixUpload.Text, 
						cbSquareAdjacencyMatrix.Checked, double.Parse(tbRelevanceThreshold.Text));
				}
				else if (inputRawData.Checked == true)
				{
					//
					// Note that I should pass this function all arguments required to generate the
					// graph to follow the format for the other generate functions...but there enough
					// parameters that it'd just be confusing.  So this function reads input
					// parameters directly from the UI
					fileUploaded = true;
					return generateGraphFromRawInput(inputRawDataUpload.Text);
				}
				else if (inputRandomER.Checked == true)
				{
					return generateERGraph(Int32.Parse(erNumNodes.Text), double.Parse(erProbability.Text));
				}
				else if (inputRandomScaleFree.Checked == true)
				{
					return generateScaleFreeGraph(Int32.Parse(sfNumNodes.Text), double.Parse(sfM.Text));
				}
				else if (inputRandomScaleFreeRewiring.Checked == true)
				{
					return generateRewiringScaleFreeGraph(Int32.Parse(sfrwT.Text), Int32.Parse(sfrwM.Text),
						double.Parse(sfrwNewEdges.Text), double.Parse(sfrwRewire.Text));
				}
				else if (inputRandomHierarchical.Checked == true)
				{
					return generateHierarchicalGraph(Int32.Parse(hierCS.Text), Int32.Parse(hierN.Text));
				}
				else if (inputRandomSmallWorld.Checked == true)
				{
					return generateSmallWorldGraph(Int32.Parse(swN.Text), Int32.Parse(swK.Text), double.Parse(swP.Text));
				}
				else
				{
					throw new Exception("What kind of graph are you asking for?");
				}
			}
			catch (Exception exp)
			{
				if (fileUploaded)
				{
					throwSeriousError("Error processing input file.  Make sure the file you uploaded is in the correct format.\n\nError message: " + exp.Message);
					return null;
				}
				else
				{
					throwSeriousError("Serious error generating graph.\n\nError message: " + exp.Message);
					return null;
				}
			}
		}

		/// <summary>
		/// Generates a graph from a posted raw data file.  Will either:
		///		a) Calculate correlations between each data row and make these the edge weights,
		///		b) Calculate distances between each data row and use the Eigenmap algorithm'
		///			to determine edge weights, or
		///		c) Generate a bipartite graph with with each row and each column represented
		///			as a node, with edge weights equal to the raw data value
		///	Options a) and b) can optionally have PCA run on them, which normalizes, re-centers, and
		///	generally helps the quality of the output I've found.  The files can also be transposed
		///	such that every column is treated as a data vector and become the nodes of the graph.
		///	K-nearest neighbors makes an edge from any given data vector node only to the k-"nearest" 
		///	data vector nodes.  This can yield greater than K edges out of a node if a different node
		///	happens to be one of the closest to it that didn't make its own list.
		/// </summary>
		/// <param name="inputFile"></param>
		/// <returns></returns>
		protected ChemGraph generateGraphFromRawInput(string filename)
		{
			ChemGraph graph = null; // to return

			StreamReader sr = new StreamReader(filename);
			Random r = new Random(DateTime.Now.Millisecond);
				
			// Pull out k parameter from the UI, which is the number of nearest neighbors
			// to connect each node to
			int kVal = 0;
			if (rawCorrelate.Checked == true) kVal = Int32.Parse(tbNearestNeighborsRawData.Text);
			if (rbEigenmap.Checked == true) kVal = Int32.Parse(tbKEigenmap.Text);

			//
			// Find last occurence of '/' in the file name and set page title
			int newStart = 0;
			int tempVal;
			while ((tempVal = filename.IndexOf(@"\",newStart)) != -1)
			{
				newStart = tempVal + 1;
			}

			// Data structures for parsing
			string[] results = null; // to store the results of the split
			char[] delims = new char[] {'\t'};

			//
			// Vectors for sorting for use in determining K-nearest neighbors (correlation wants to be high
			// and distance wants to be low, so we need two)
			sortDescendingNodeDoubleVectorSortValue descNDV = new sortDescendingNodeDoubleVectorSortValue();
			sortAscendingNodeDoubleVectorSortValue ascNDV = new sortAscendingNodeDoubleVectorSortValue();
			
			int numRows = 0; // number of rows in input file (includes header)
			int numCols = 0; // number of columns in input file (includes label column)
			string curline = null;
			ArrayList seenLabels = new ArrayList();
			NodeDoubleVector[] recordsArray = null;
			string[] labels = null;
			DoubleMatrix inputDataMatrix;

			if ((rawCorrelate.Checked == true) || (rbEigenmap.Checked == true))
			{
				double th = double.Parse(tbRelevanceThresholdRawData.Text.ToString());
					
				// Eigenmap has no threshold
				if (rbEigenmap.Checked == true) th = 0;

				//
				// Find number of rows and columns in the data
				while((curline = sr.ReadLine()) != null)
				{
					curline = curline.Trim();
					if (curline == "") continue;
						
					// I want to get the number of columns from a row other than 
					// the header row, since the header row sometimes has text at [0,0]
					// and sometimes not
					if (numRows == 1) numCols = curline.Split(delims).Length;

					numRows++;
				}

				// re-open file
				sr.BaseStream.Seek(0, SeekOrigin.Begin);
				sr = new StreamReader(filename);
				curline = sr.ReadLine().ToString().Trim(); // loop past header line

				// Process header line ONLY IF the data is being transposed (these
				// will be the labels)
				if (((rawCorrelate.Checked == true) && (cbTransposeRawData.Checked == true))
					|| ((rbEigenmap.Checked == true) && (cbTransposeEigenmap.Checked == true)))
				{
					int lineCols = curline.Split(delims).Length;
					if (lineCols == (numCols - 1)) // remember that numCols includes label column
					{
						labels = curline.Split(delims);
					}
					else if (lineCols == numCols)
					{
						// Just lop off the [0,0] text element
						string[] staging = curline.Split(delims);
						labels = new string[numCols - 1];
						for(int i = 1; i < staging.Length; i++) labels[i-1] = staging[i];
					}
					else
					{
						throw new Exception("Number of columns in header row does not match first data row.");
					}
				}
				else
				{
					// Not transposing; each row is a node except for header
					labels = new string[numRows - 1];
				}

				//
				// Fill in the input data matrix (we've looped past header row)
				inputDataMatrix = new DoubleMatrix(numRows - 1, numCols - 1);
				int curRow = 1; // on the second row (after header) -- this is row 1 by 0-indexing
				while(sr.Peek() >= 0)
				{
					curline = sr.ReadLine().ToString();
					if (curline.Trim() == "") continue;

					results = curline.Trim().Split(delims);

					// if not transposing, use first entry for label
					if (((rawCorrelate.Checked == true) && (cbTransposeRawData.Checked == false))
						|| ((rbEigenmap.Checked == true) && (cbTransposeEigenmap.Checked == false)))
					{
						labels[curRow - 1] = results[0];
					}

					for(int i = 1; i < results.Length; i++)
					{
						inputDataMatrix[curRow - 1, i - 1] = double.Parse(results[i]);
					}

					curRow++;
				}

				// Transpose the data if desired
				if (((rawCorrelate.Checked == true) && (cbTransposeRawData.Checked == true))
					|| ((rbEigenmap.Checked == true) && (cbTransposeEigenmap.Checked == true)))
				{
					inputDataMatrix = inputDataMatrix.Transpose();
				}

				//
				// Initialize graph
				graph = new ChemGraph(inputDataMatrix.Rows, (int) graphDisplay.Width,
					(int) graphDisplay.Height);

				// Perform PCA on data matrix if desired
				if (((rawCorrelate.Checked == true) && (cbPCARawData.Checked == true))
					|| ((rbEigenmap.Checked == true) && (cbPCAEigenmap.Checked == true)))
				{
					PrincipalComponentAnalysis pcaCalc = new PrincipalComponentAnalysis(inputDataMatrix, true, true);
					inputDataMatrix = pcaCalc.Scores;
					graph.pcaScores = pcaCalc.Scores;
					graph.pcaCalculated = true;
				}

				//
				// Copy into intermediate data structure
				recordsArray = new NodeDoubleVector[inputDataMatrix.Rows];

				// Sanity check
				if (inputDataMatrix.Rows != labels.Length) throw new Exception("Mismatch in number of nodes and labels (code error?)");

				// For each row
				for(int i = 0; i < inputDataMatrix.Rows; i++)
				{
					recordsArray[i] = new NodeDoubleVector(labels[i], inputDataMatrix.Cols);

					// For each column
					for(int j = 0; j < inputDataMatrix.Cols; j++)
					{
						recordsArray[i].Values[j] = inputDataMatrix[i, j];
					}
				}

				//
				//
				// Construct the graph
			
				//
				// Enter all vertices
				int vID = 0;
				for(int i = 0; i < recordsArray.Length; i++)
				{
					recordsArray[i].correspondingNode = graph.addVertex(vID, recordsArray[i].correspondingNodeLabel, false);
					vID++;
				}

				//
				// Create edges
				for(int i = 0; i < recordsArray.Length; i++)
				{
					NodeDoubleVector nodeA = recordsArray[i];

					//
					// Make a hashtable to store all potentially connecting vertices
					ArrayList potentialEdgeVertices = new ArrayList(recordsArray.Length);

					for(int j = i + 1; j < recordsArray.Length; j++)
					{
						NodeDoubleVector nodeB = recordsArray[j];
						double edgeWeight = 0;

						if (nodeA.correspondingNode == nodeB.correspondingNode) continue;
						if (nodeA.correspondingNode.ConnectedTo.Contains(nodeB.correspondingNode)) continue;

						if (rawCorrelate.Checked == true)
						{
							double corr = nodeA.calculateCorrelation(nodeB);
							edgeWeight = Math.Pow(corr, 2);
						}
						else
						{
							// Eigenmap
							// edge weight = distance FOR NOW
							// later we change to heat kernel

							double dist = nodeA.calculateDistance(nodeB);
							edgeWeight = dist;
						}

						if ((edgeWeight > th) || (rbEigenmap.Checked == true))
						{
							nodeB.sortValue = edgeWeight;
							potentialEdgeVertices.Add(nodeB);
						}
					}

					//
					//
					// Sort the list of potentially matching vertices (we'll get top K in a second)
					if (rawCorrelate.Checked == true)
					{
						// Sort descending by correlation
						potentialEdgeVertices.Sort(descNDV);
					}
					else
					{
						// Sort ascending by distance
						potentialEdgeVertices.Sort(ascNDV);
					}

					//
					// If raw and nearest neighbors OR if Eigenmap is false,
					// then do straight up.  If Eigenmap is true, we must do K-nearest.
					if (((rawCorrelate.Checked == true) && (cbNearestNeighborsRawData.Checked == false)))
					{
						// If all edges are to be added, add them all
						foreach(NodeDoubleVector ndv in potentialEdgeVertices)
						{
							graph.addEdge(nodeA.correspondingNode, ndv.correspondingNode, "", ndv.sortValue);
						}
					}
					else
					{
						// If only k-nearest neighbors are to be added, add them here
						// Note that this code should always execute in the Eigenmap case
						int numToAdd = Math.Min(kVal, potentialEdgeVertices.Count);
						for(int k = 0; k < numToAdd; k++)
						{
							NodeDoubleVector thisDV = (NodeDoubleVector) potentialEdgeVertices[k];
							double edgeWeight = thisDV.sortValue;
							graph.addEdge(nodeA.correspondingNode, 
								thisDV.correspondingNode, "", edgeWeight);
						}
					} // if nearest neighbors
				} // for each record

				//
				// If we're doing Eigenmap, we need to recalculate edge weights (heat kernel)
				if (rbEigenmap.Checked == true)
				{
					//
					// User can either assign edge weights as 1 or based on heat map from
					// Eigenmap algorithm.
					if (rbEdgeWeightsHeatKernel.Checked == true)
					{
						double tVal = double.Parse(tbTEigenmap.Text);
						foreach(Edge ed in graph.Edges)
						{
							ed.weight = Math.Pow(Math.E, - (ed.weight * ed.weight) / tVal);
						}
					}
					else if (rbEdgeWeightsSimple.Checked == true)
					{
						foreach(Edge ed in graph.Edges)
						{
							ed.weight = 1;
						}
					}
					else
					{
						throw new Exception("Unknown edge weight assignment method.");
					}
				}
			}
			else if (rawBipartite.Checked == true)
			{
				//
				//
				// Create bipartite input graph
				//
				// Each row will be a node, as will each column...and items (rows) will be connected
				// to measures (columns) with the corresponding matrix value

				int vID = 0;
				double th = double.Parse(tbRelevanceThresholdRawDataBipartite.Text.ToString());

				//
				// Gather column vertices from first row
				results = sr.ReadLine().Trim().Split(delims);
				int numVertices = results.Length - 1; // only the measure nodes for now

				// Gather count of row vertices
				while((curline = sr.ReadLine()) != null)
				{
					numVertices++;
				}

				// Initialize graph
				graph = new ChemGraph(numVertices, (int) graphDisplay.Width,
					(int) graphDisplay.Height);

				//
				// Add column vertices
				for(int i = 1; i < results.Length; i++)
				{
					graph.addVertex(vID, results[i], false);
					vID++;
				}
					
				//
				// Re-open file and loop through first line
				sr.BaseStream.Seek(0, SeekOrigin.Begin);
				sr = new StreamReader(filename);
				curline = sr.ReadLine().ToString(); // loop past header line

				//
				// Create new vertices and edges
				while(sr.Peek() >= 0) 
				{
					curline = sr.ReadLine().ToString();
					if (curline.Trim() == "") continue;

					results = curline.Trim().Split(delims);

					Vertex thisRowVertex = graph.addVertex(vID, results[0], false);

					for(int i = 1; i < results.Length; i++)
					{
						double edgeWeight = double.Parse(results[i]);

						if (edgeWeight > th)
						{
							// The vID of the column node will be i - 1
							graph.addEdge(vID, i - 1, "", edgeWeight);
						}
					}

					vID++;
				}
			}
			
			return graph;
		}


		/// <summary>
		/// Generates a random Erdos-Renyi graph with the specified number of nodes
		/// and the specified probability that any two nodes are connected.
		/// </summary>
		/// <param name="numberNodes">Number of total nodes</param>
		/// <param name="pConnectNodes">Proability that any two nodes are connected by an edge</param>
		/// <returns></returns>
		protected ChemGraph generateERGraph(int numberNodes, double pConnectNodes)
		{
			int numNodes = numberNodes;
			double p = pConnectNodes;

			ChemGraph graph = null; // to return

			if (numNodes < 2)
			{
				throw new Exception("Random E-R graph must have at least two vertices.");
			}

			// 
			// Instantiate the graph
			graph = new ChemGraph(numNodes, (int) graphDisplay.Width,
				(int) graphDisplay.Height);

			//
			// Add vertices
			for (int i = 1; i <= numNodes; i++)
			{
				graph.addVertex(i, "ER " + i.ToString(), false);
			}

			//
			// Add edges -- every two nodes are connected with chance p
			double rand;
			for (int i = 1; i <= numNodes; i++)
			{
				for (int j = (i + 1); j <= numNodes; j++)
				{
					// I should get a better random function
					Int64 numTicks = System.DateTime.Now.Ticks % 1000000;
					Random r = new Random((int)(i*j + numTicks));
					rand = r.NextDouble();
						
					if (rand <= p)
					{
						graph.addEdge((Vertex)graph.Vertices[i], (Vertex)graph.Vertices[j], "", 1);
					}
				}
			}

			return graph;
		}
		

		/// <summary>
		/// Generates a random Barabasi-Albert scale-free graph.
		/// </summary>
		/// <param name="numberNodes">Total number of nodes</param>
		/// <param name="averageDegree">Average degree of each node</param>
		/// <returns></returns>
		protected ChemGraph generateScaleFreeGraph(int numberNodes, double averageDegree)
		{
			ChemGraph graph = null; // to return

			int numNodes = numberNodes;
			double m = averageDegree;

			if (numNodes < 3)
			{
				throw new Exception("Random scale-free graph must have at least three vertices.");
			}

			//
			// m is the number of neighbors each node will be connected to, on average.  It
			// cannot be larger than the initial clique.
			if (m > 3)
			{
				throw new Exception("The value of m cannot be larger than the size of m0, which is 3.");
			}

			//
			// Instantiate the graph
			graph = new ChemGraph(numNodes, (int) graphDisplay.Width,
				(int) graphDisplay.Height);

			//
			// Add m0 vertices -- a v-shape of 3 vertices
			graph.addVertex(0, "SF 0", false);
			graph.addVertex(1, "SF 1", false);
			graph.addVertex(2, "SF 2", false);
			graph.addEdge(0, 1, "", 1);
			graph.addEdge(0, 2, "", 1);

			//
			// Now add vertices
			double totalDegree = 4; // the degree of m0
			double rand;
			for (int i = 3; i < numNodes; i++)
			{
				graph.addVertex(i, "SF " + i.ToString(), false);

				// Loop through existing vertices and randomly (but preferentially) connect
				for (int j = 0; j < i; j++)
				{
					double p = m * (((double)((Vertex)graph.Vertices[j]).ConnectedTo.Count) / totalDegree);

					Int64 numTicks = System.DateTime.Now.Ticks % 1000000;
					Random r = new Random((int)(i*j + numTicks));
					rand = r.NextDouble();

					if (rand <= p)
					{
						graph.addEdge(i, j, "", 1);
						totalDegree += 2;
					}
				}
			}

			return graph;
		}


		/// <summary>
		/// Generates a random re-wiring Barabasi-Albert scale-free graph.
		/// </summary>
		/// <param name="numberIterations">Number of iterations of the algorithm.  At each iteration, 
		///		a node is added and attached, edges are randomly added, or a node is rewired</param>
		/// <param name="averageDegree">Average degree of newly added nodes (can be modified by rewiring)</param>
		/// <param name="probabilityAddAverageDegreeNewVertices">Proability of adding (Average Degree) new random edges at any given iterations</param>
		/// <param name="probabilityRewireNode">Proability of rewiring a random node at any given iteration</param>
		/// <returns></returns>
		protected ChemGraph generateRewiringScaleFreeGraph(int numberIterations, int averageDegree,
			double probabilityAddAverageDegreeNewVertices, double probabilityRewireNode)
		{
			int t = numberIterations;
			int m = averageDegree;
			double pNewEdges = probabilityAddAverageDegreeNewVertices;
			double pRewire = probabilityRewireNode;

			ChemGraph graph = null; // to return

			if (t < 3)
			{
				throw new Exception("Random scale-free re-wiring graph must have at least 3 time steps.");
			}

			//
			// m is the number of neighbors each node will be connected to, on average.  It
			// cannot be larger than the initial clique.  (m is also the number of edges rewired)
			if (m > 3)
			{
				throw new Exception("The value of m cannot be larger than the size of m0, which is 3.");
			}

			// Intantiate the graph
			graph = new ChemGraph((int)t, (int) graphDisplay.Width,
				(int) graphDisplay.Height);

			//
			// Add m0 vertices -- a v-shape of 3 vertices
			graph.addVertex(0, "SFRW 0", false);
			graph.addVertex(1, "SFRW 1", false);
			graph.addVertex(2, "SFRW 2", false);
			graph.addEdge(0, 1, "", 1);
			graph.addEdge(0, 2, "", 1);
			int nextID = 3;
				
			// Run for t time steps
			double rand;
			double p;
			double totalDegree = 4;
			Int64 numTicks = System.DateTime.Now.Ticks % 1000000;
			Random r = new Random((int)(numTicks));
			for (int i = 0; i < t; i++)
			{
				rand = r.NextDouble();

				if (rand <= pNewEdges)
				{
					//
					// Add m new edges
					//
					for (int j = 0; j < m; j++)
					{
						// Choose a random first vertex
						Vertex v1 = (Vertex)graph.Vertices[r.Next(graph.Vertices.Count)];
							
						// Connect to a (preferred) random vertex
						foreach (DictionaryEntry de in graph.Vertices)
						{
							Vertex v2 = (Vertex)de.Value;

							if (v1 == v2) continue;

							p = (((double)v2.ConnectedTo.Count + 1.0) / (totalDegree + graph.Vertices.Count));
							rand = r.NextDouble();

							if (rand <= p)
							{
								graph.addEdge(v1, v2, "", 1);
								totalDegree += 2;
							}
						}
					}
				}
				else if ((rand > pNewEdges) && (rand <= (pNewEdges + pRewire)))
				{
					//
					// Rewire m times
					//
					for (int j = 0; j < m; j++)
					{
						// Choose a random first vertex
						Vertex v1 = (Vertex)graph.Vertices[r.Next(graph.Vertices.Count)];

						// Delete a random edge from it, if it's connected
						if (v1.ConnectedTo.Count > 0)
						{
							bool deletedP = false;
							while (deletedP == false)
							{
								foreach (Vertex v2 in v1.ConnectedTo)
								{
									p = 1.0 / v1.ConnectedTo.Count;
									rand = r.NextDouble();

									if (rand <= p)
									{
										graph.removeEdge(v1, v2);
										totalDegree -= 2;
										deletedP = true;
										break;
									}
								}
							}
						}

						// Connect to a (preferred) random vertex
						foreach (DictionaryEntry de in graph.Vertices)
						{
							Vertex v2 = (Vertex)de.Value;

							if (v1 == v2) continue;

							p = (((double)v2.ConnectedTo.Count + 1.0) / (totalDegree + graph.Vertices.Count));
							rand = r.NextDouble();

							if (rand <= p)
							{
								graph.addEdge(v1, v2, "", 1);
								totalDegree += 2;
							}
						}
					}
				}
				else
				{
					//
					// Add a new node
					//

					graph.addVertex(nextID, "SFRW " + nextID.ToString(), false);

					// Loop through existing vertices
					for (int j = 0; j < nextID; j++)
					{
						p = (((double)((Vertex)graph.Vertices[j]).ConnectedTo.Count) / totalDegree);
						rand = r.NextDouble();

						if (rand <= p)
						{
							graph.addEdge(nextID, j, "", 1);
							totalDegree += 2;
						}
					}

					nextID++;
				}
			}
		
			return graph;
		}


		/// <summary>
		/// Generates a graph from a posted Pajek file
		/// </summary>
		/// <param name="inputFile">Posted Pajek file</param>
		/// <returns>Generated graph</returns>
		protected ChemGraph generateGraphFromPajekFile(string filename)
		{
			StreamReader sr = new StreamReader(filename);

			// The array of integers for parsing
			//char[] ints = new char[] {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};
			string[] results = null; // to store the results of the split
			char[] delims = new char[] {' '};

			//
			// Find last occurence of '/' in the file name and set page title
			int newStart = 0;
			int tempVal;
			while ((tempVal = filename.IndexOf(@"\",newStart)) != -1)
			{
				newStart = tempVal + 1;
			}

			// PARSE: sr.ReadLine().ToString()
			string curline = sr.ReadLine().ToString();

			//
			// PHASE 1: Parse out *Vertices #NUM line
			//
			// get rid of whitespace
			while (curline.Trim() == "") curline = sr.ReadLine().ToString();

			// curline is not empty, let's parse
			results = curline.Split(delims);

			ChemGraph graph = null;

			if (results[0].IndexOf("Vertices") < 0)
			{
				throw new Exception("Couldn't parse out '*Vertices'.");
			} 

			for (int i = 1; i < results.Length; i++)
			{
				try
				{
					if (Int32.Parse(results[i]) > 0)
					{
						graph = new ChemGraph(Int32.Parse(results[i]), (int) graphDisplay.Width,
							(int) graphDisplay.Height);
						break;
					}
				}
				catch (FormatException fe)
				{
					throwSeriousError(fe.Message);
					continue;
				}
			}
		
			if (graph == null)
			{
				throw new Exception("Parse error: Couldn't find the number of vertices to parse.");
			}

			// We want curline to already have the first line in it at beg. of phase 2
			curline = sr.ReadLine().ToString();

			//
			// PHASE 2: Parse out vertices
			//
			// While there are still vertices to parse
			while (curline.IndexOf("Edges") < 0) 
			{
				// get rid of whitespace
				while (curline.Trim() == "") curline = sr.ReadLine().ToString();

				StringBuilder vName = new StringBuilder("");
				string sName;
				results = curline.Split(delims);
					
				int iter = 0;
				foreach (string s in results) 
				{
					if (iter != 0) 
					{
						vName.Append(s);
						iter++;
					}

					iter++;
				}

				sName = vName.ToString().Replace("\"", "");

				Regex r = new Regex(chemRegex.Text);
				if (r.IsMatch(sName)) 
				{
					// Match for the regular expression
					// Called "isChemical" since the regex was originally made
					// to parse out chemicals from a chemical-assay graph
					graph.addVertex(Int32.Parse(results[0]), sName, true);
				} 
				else 
				{
					// Not a match for the regular expression
					graph.addVertex(Int32.Parse(results[0]), sName, false);
				}
						
				curline = sr.ReadLine().ToString();
			}

			//
			// PHASE 3: Parse out *Edges
			//
			// get rid of whitespace
			while (curline.Trim() == "") curline = sr.ReadLine().ToString();

			if (curline.IndexOf("Edges") < 0) 
			{
				throw new Exception("Couldn't parse out '*Edges'.");
			} 
			else 
			{
				// continue
			}

			//
			// PHASE 4: Parse out edges
			//
			while(sr.Peek() >= 0) 
			{
				curline = sr.ReadLine().ToString();

				// get rid of whitespace
				if (curline.Trim() == "") 
				{
					continue;
				}

				results = curline.Split(delims);

				graph.addEdge(Int32.Parse(results[0]), Int32.Parse(results[1]), "", 1);
			}

			return graph;
		}

		protected ChemGraph generateGraphFromNodeNodeWeightFile(string filename)
		{
			return generateGraphFromNodeNodeWeightFile(filename, false);
		}

		/// <summary>
		/// Generates a graph from a node-node-weight file 
		/// (each line has format "node1_Label node2_Label [weight]")
		/// </summary>
		/// <param name="inputFile">Posted node-node-weight file</param>
		/// <returns>Generated graph</returns>
		protected ChemGraph generateGraphFromNodeNodeWeightFile(string filename, bool fromCommandLine)
		{
			/*
			 * File of the form:
			 * 
			 * N0 N1 [weight]
			 * N1 N2 [weight]
			 * N0 N2 [weight]
			 * 
			 */

			StreamReader sr = new StreamReader(filename);
			if (fromCommandLine) sr.ReadLine();

			string[] results = null; // to store the results of the split
			char[] delims = new char[] {'\t'};
			string curline;

			//
			// Find last occurence of '/' in the file name and set page title
			int newStart = 0;
			int tempVal;
			while ((tempVal = filename.IndexOf(@"\",newStart)) != -1)
			{
				newStart = tempVal + 1;
			}

			//
			// Count number of lines
			int numLines = 0;
			while(sr.Peek() >= 0) 
			{
				curline = sr.ReadLine().ToString();
				numLines++;
			}

			// re-open file
			sr.BaseStream.Seek(0, SeekOrigin.Begin);
			sr = new StreamReader(filename);
			if (fromCommandLine) sr.ReadLine();
					
			//
			// Create chemgraph with initial guess of number of nodes (we use number of edges...)
			ChemGraph graph = new ChemGraph(numLines, (int) graphDisplay.Width,
				(int) graphDisplay.Height);

			//
			//
			// Build the graph
			int vID = 0;
			while(sr.Peek() > 0)
			{
				string v1Label;
				string v2Label;
				Vertex v1;
				Vertex v2;
				double edgeWeight = 0;
				bool hasWeight = false;

				curline = sr.ReadLine().ToString();
				if (curline.Trim() == "") continue;

				//
				// Parse this line into two vertices and an optional edge weight
				results = curline.Split(delims);

				v1Label = results[0];
				v2Label = results[1];

				if (results.Length > 2)
				{
					edgeWeight = double.Parse(results[2]);
					hasWeight = true;
				}

				//
				// Retrieve vertex objects, creating them if need be
				if ((v1 = graph.getVertex(v1Label)) == null)
				{
					v1 = graph.addVertex(vID, v1Label, false);
					vID++;
				}

				if ((v2 = graph.getVertex(v2Label)) == null)
				{
					v2 = graph.addVertex(vID, v2Label, false);
					vID++;
				}

				//
				// Check if an edge already exists
				if (v1.ConnectedTo.Contains(v2))
				{
					//throw new Exception("Node " + v1.Label + " already connected to node " + v2.Label);
					continue;
				}

				//
				// Add an edge between these vertices
				if (hasWeight == true)
				{
					if (edgeWeight > 0)
					{
						graph.addEdge(v1, v2, "", edgeWeight);
					}
				}
				else
				{
					graph.addEdge(v1, v2, "", 1);
				}
			}
					
			return graph;
		}


		/// <summary>
		/// Generates a graph from a posted file containing a properly formatted adjacency matrix.
		/// </summary>
		/// <param name="inputFile">Posted file containing string formatted adjacency matrix</param>
		/// <param name="toSquare">Square all edge weights if true</param>
		/// <param name="threshold">Threshold above which edge weights must be to add an edge</param>
		/// <returns>Generated graph</returns>
		protected ChemGraph generateGraphFromAdjacencyMatrixFile(string filename, 
			bool toSquare, double threshold)
		{
			ChemGraph cg;

			StreamReader sr = new StreamReader(filename);

			//
			// Find last occurence of '/' in the file name and set page title
			int newStart = 0;
			int tempVal;
			while ((tempVal = filename.IndexOf(@"\",newStart)) != -1)
			{
				newStart = tempVal + 1;
			}

			// The array of integers for parsing
			string[] results = null; // to store the results of the split
			char[] delims = new char[] {'\t'};

			try
			{
				int numVertices = 0;

				//
				//
				// Parse out header (which contains vertices)

				// PARSE: sr.ReadLine().ToString()
				string curline = sr.ReadLine().ToString();

				// get rid of whitespace
				while (curline.Trim() == "") curline = sr.ReadLine().ToString();

				results = curline.Trim().Split(delims);
				numVertices = results.Length;

				cg = new ChemGraph(numVertices, (int) graphDisplay.Width,
					(int) graphDisplay.Height);
				int vID = 0;
				foreach(string s in results)
				{
					cg.addVertex(vID, s, false);
					vID++;
				}

				//
				//
				// Parse matrix
				int curVertexRow = 0;
				while(sr.Peek() >= 0) 
				{
					curline = sr.ReadLine().ToString();
					if (curline.Trim() == "") continue;

					results = curline.Split(delims);

					// Read from the diagonal on (this should be a symmetric matrix)
					for (int i = (curVertexRow + 2); i < (numVertices + 1); i++)
					{
						int rowVertexId = curVertexRow;
						int columnVertexId = i - 1;

						double matrixEntry = double.Parse(results[i]);

						// !!!!!!!!!!!!!!!
						//
						// Taking the square is useful for finding correlations AND 
						// anti-correlations in the data
						double edgeWeight;
						if (toSquare == true)
						{
							edgeWeight = Math.Pow(matrixEntry, 2);
						}
						else
						{
							edgeWeight = matrixEntry;
						}

						if ((edgeWeight < threshold) || (edgeWeight == 0)) continue;

						cg.addEdge(rowVertexId, columnVertexId, "", edgeWeight);
					}

					curVertexRow++;
				}

				return cg;
			}
			catch
			{
				return null;
			}
		}


		/// <summary>
		/// Generates a hierarchical graph.
		/// </summary>
		/// <param name="cliqueSize">Clique size</param>
		/// <param name="numberHierarchies">Number of hierarchies to construct</param>
		/// <returns>Generated graph</returns>
		protected ChemGraph generateHierarchicalGraph(int cliqueSize, int numberHierarchies)
		{
			int cs = cliqueSize;
			int n = numberHierarchies;
			int nodeNum = 0;

			ChemGraph curgraph = new ChemGraph(cs, (int) graphDisplay.Width,
				(int) graphDisplay.Height);
			Vertex center = new Vertex(nodeNum, "HIER " + nodeNum.ToString(), false);
			curgraph.addVertex(center);
			nodeNum++;

			//
			// Construct g0
			//
			for (int i = 0; i < (cs - 1); i++)
			{
				curgraph.addVertex(nodeNum, "HIER " + nodeNum.ToString(), false);
				curgraph.getVertex(nodeNum).IsPeripheral = true; //make peripheral nodes peripheral
					
				for (int j = 0; j < nodeNum; j++)
				{
					curgraph.addEdge(nodeNum, j, "", 1);
				}
					
				nodeNum++;
			}

			//
			// Iteratively add hierarchy n times
			//
			for (int i = 0; i < n; i++)
			{
				ChemGraph nextgraph = new ChemGraph(curgraph.NumVertices * cs,  
					(int) graphDisplay.Width,(int) graphDisplay.Height);
				ArrayList oldVertices = new ArrayList(curgraph.NumVertices);

				//
				// Make one copy of the old graph, putting vertices into oldVertices
				// to signify that this is the CORE GROUP of this new hierarchy level
				// 
				// We will later take every vertex in the core group and de-peripheral it
				// to signify that we don't need to connect it to the center vertex
				//
				for (int curID = 0; curID < nodeNum; curID++)
				{
					oldVertices.Add(curgraph.getVertex(curID));
					nextgraph.addVertex(curgraph.getVertex(curID));
							
					foreach (Edge ed in curgraph.getVertex(curID).InEdges)
					{
						nextgraph.addEdge(ed.v1, ed.v2, "", 1);
					}
				}

				//
				// Make cs - 1 copies of the old graph -- these will connect to the center
				//
				for (int j = 0; j < (cs - 1); j++)
				{
					Hashtable ht = new Hashtable(oldVertices.Count);

					// Copy the vertices into the new group, matching their old with their new IDs
					foreach (Vertex v in oldVertices)
					{
						Vertex newVert = new Vertex(nodeNum, "HIER " + nodeNum.ToString(), false);
						newVert.IsPeripheral = v.IsPeripheral;
						nextgraph.addVertex(newVert);
						ht.Add(v.ID, nodeNum);
						nodeNum++;
					}

					// Copy the edges they were in now, using hashtable pairing information
					foreach (Vertex old in oldVertices)
					{
						foreach (Vertex oldConn in old.ConnectedTo)
						{
							Vertex nv1 = nextgraph.getVertex((int)ht[old.ID]);
							Vertex nv2 = nextgraph.getVertex((int)ht[oldConn.ID]);
							nextgraph.addEdge(nv1, nv2, "", 1);
						}
					}
				}

				//
				// Connect peripheral nodes to the center
				//
				// First wipe out peripherals in core group
				foreach (Vertex v in oldVertices)
				{
					v.IsPeripheral = false;
				}

				// Now connect peripherals to center node
				foreach (DictionaryEntry de in nextgraph.Vertices)
				{
					Vertex v = (Vertex)de.Value;

					if (v.IsPeripheral == true)
					{
						nextgraph.addEdge(v, center, "", 1);
					}
				}

				curgraph = nextgraph;
			}

			return curgraph;
		}

		
		/// <summary>
		/// Generates a small-world graph.
		/// </summary>
		/// <param name="numberNodes">Number of total nodes</param>
		/// <param name="numNeighbors">Number of neighbors to connect each node to (must be even)</param>
		/// <param name="pRewire">Probability that each edge is re-wired after the small-world graph is generated</param>
		/// <returns>Generated graph</returns>
		protected ChemGraph generateSmallWorldGraph(int numberNodes, int numNeighbors, double pRewire)
		{
			int n = numberNodes;
			int k = numNeighbors;
			double p = pRewire;

			if ((k % 2) != 0)
			{
				throw new Exception("Please choose an even k (number of neighbors to connect to).");
			}

			// Create the graph
			ChemGraph graph = new ChemGraph(n, (int) graphDisplay.Width,
				(int) graphDisplay.Height);

			//
			// Create vertices
			//
			for (int i = 0; i < n; i++)
			{
				graph.addVertex(i, "SW " + i.ToString(), false);
			}

			//
			// Connect vertices
			//
			for (int i = 0; i < n; i++)
			{
				for (int j = (-1)*(k/2); j < 0; j++)
				{
					graph.addEdge(i, (i + j + n) % n, "", 1);
				}

				for (int j = 1; j <= (k/2); j++)
				{
					graph.addEdge(i, (i + j + n) % n, "", 1);
				}
			}

			//
			// Randomly re-wire each edge
			//
			Int64 numTicks = System.DateTime.Now.Ticks % 1000000;;
			Random r = new Random((int)(numTicks));;
			double rand;
					
			ArrayList edges = new ArrayList(graph.Edges.Count);
			foreach (Edge ed in graph.Edges)
			{
				edges.Add(ed);
			}

			foreach (Edge ed in edges)
			{
				rand = r.NextDouble();

				if (rand <= p)
				{
					//
					// Re-wire this edge
					//
					Vertex v1 = ed.v1;

					int newID = r.Next(graph.NumVertices);
					while (newID == v1.ID)
					{
						newID = r.Next(graph.NumVertices);
					}

					Vertex v2 = graph.getVertex(newID);

					graph.removeEdge(ed.v1, ed.v2);

					graph.addEdge(v1, v2, "", 1);
				}
			}

			return graph;
		}

		private ChemGraph chemChemGraph(ChemGraph original)
		{
			ChemGraph cg;
			ArrayList newVertices = new ArrayList();

			//
			// ADD VERTICES
			// Pull out the chemicals from the graph
			//
			foreach(DictionaryEntry de in original.Vertices) 
			{
				Vertex v = (Vertex)(de.Value);
				
				// This graph only has chemical vertices, not assay vertices
				if (v.isChemical == true) 
				{
					newVertices.Add(v);
				}
			}

			cg = new ChemGraph(newVertices.Count, (int) graphDisplay.Width,
				(int) graphDisplay.Height);
			cg.isBipartite = false;

			foreach(Vertex v in newVertices) 
			{
				cg.addVertex(v.ID, v.Label, v.isChemical);
			}

			//
			// ADD EDGES -- the hard part (works with weighted graphs)
			//
			int target = Int32.Parse(numSimilarities.Value.ToString());
			foreach(DictionaryEntry de in original.Vertices) 
			{ // NOTE: we use original.Vertices here, addEdge doesn't break 'cause it uses ID numbers, which are the same for cg and original
				Vertex v = (Vertex)(de.Value);

				if (v.isChemical == false) continue;

				foreach(DictionaryEntry de2 in original.Vertices) 
				{
					Vertex u = (Vertex)(de2.Value);
					int i = 0;

					double totalMultipliedWeight = 0;

					if (v == u) continue;
					if (v.ConnectedTo.Contains(u)) continue; // already connected

					// TODO: make this more efficient, .ConnectedTo doesn't need to recompute at every call
					foreach(Vertex uconn in u.ConnectedTo) 
					{
						if (v.ConnectedTo.Contains(uconn)) 
						{
							i++;

							// Both v and u are connected to uconn...find the weights of each and multiply
							double vWeight = v.getEdgeWithVertex(uconn).weight;
							double uWeight = u.getEdgeWithVertex(uconn).weight;

							totalMultipliedWeight += (vWeight * uWeight);
						}
					}

					if (i >= target) 
					{
						cg.addEdge(v.ID, u.ID, "", totalMultipliedWeight);
					}
				}
			}

			return cg;
		}

		/// <summary>
		/// Clears and re-adds vertices into the vertices listbox
		/// </summary>
		public void updateVertexListBox()
		{
			verticesLB.BeginUpdate();
			collapseLB.BeginUpdate();

			verticesLB.DataSource = null;
			collapseLB.DataSource = null;

			verticesLB.Items.Clear();
			collapseLB.Items.Clear();

			ArrayList items = new ArrayList();
			ArrayList items2 = new ArrayList();
			foreach(DictionaryEntry de in this.graph.Vertices) 
			{
				Vertex v = (Vertex)de.Value;
				items.Add(new ListItem(v.Label, v.ID.ToString()));
				items2.Add(new ListItem(v.Label, v.ID.ToString()));
			}

			verticesLB.DataSource = items;
			verticesLB.DisplayMember = "Item";
			verticesLB.ValueMember = "Value";
			verticesLB.SelectedIndex = 0;

			collapseLB.DataSource = items2;
			collapseLB.DisplayMember = "Item";
			collapseLB.ValueMember = "Value";
			collapseLB.SelectedIndex = 0;

			verticesLB.EndUpdate();
			collapseLB.EndUpdate();
		}
		

		/// <summary>
		/// Processes a change in the checked status of the cbDrawEdges checkbox.  Updates
		/// state and updates the graph displays.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		protected void cbDrawEdges_Changed(object sender, EventArgs e)
		{
			if (cbDrawConnectedEdges.Checked == true)
			{
				this.graph.drawConnectedEdges = true;
			}
			else
			{
				this.graph.drawConnectedEdges = false;
			}

			if (cbDrawOtherEdges.Checked == true)
			{
				this.graph.drawOtherEdges = true;
			}
			else
			{
				this.graph.drawOtherEdges = false;
			}

			refreshGraphs();
		}

		/// <summary>
		/// Redraws all graphs and sets URLs correctly
		/// </summary>
		private void refreshGraphs()
		{
			graphDisplay.Image = this.graph.drawGraph();

			laplacianDisplay.Image = this.graph.SelectedVertex.ConnectedComponent.drawLaplacianGraph(this.graph.SelectedVertex);
		
			if (this.graph.pcaCalculated == true)
			{
				pcaDisplay.Image = this.graph.drawPcaGraph();
			}
		}

		protected void EigenvalueGraph_Move(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			ToolTip t = new ToolTip();
			t.SetToolTip((Control) sender, "hello, world!");
			t.Active = true;
			t.AutomaticDelay = 0;
			t.AutoPopDelay = 10;
			t.InitialDelay = 0;
		}

		/// <summary>
		/// Processes a click on the main graph pictureboxes
		/// </summary>
		/// <param name="sender">The graphDisplay, laplacianDisplay, or pcaDisplay picturebox</param>
		/// <param name="e">Gives position of click (used for finding which vertex was clicked, or where to center a zoom)</param>
		protected void Image_Clicked(object sender, System.Windows.Forms.MouseEventArgs e) 
		{
			if (e.Button != MouseButtons.Left) return;

			verticesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);
			edgesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);

			try
			{
				Vertex selected = this.graph.SelectedVertex;

				if (rbSelectNode.Checked == true)
				{
					//
					//
					// Select node

					//
					// First look through vertices connected to selected vertex (in case of overlap, it's more
					// likely they want the highlighted vertex)
					foreach(Vertex v in selected.ConnectedTo) 
					{
						double dist = 0.0;
						if (sender == graphDisplay)
						{
							dist = Math.Sqrt((v.X - e.X)*(v.X - e.X) + (v.Y - e.Y)*(v.Y - e.Y));
						}
						else if (sender == laplacianDisplay)
						{
							dist = Math.Sqrt((v.XLap - e.X)*(v.XLap - e.X) + (v.YLap - e.Y)*(v.YLap - e.Y));
						}
						else if (sender == pcaDisplay)
						{
							dist = Math.Sqrt((v.XPca - e.X)*(v.XPca - e.X) + (v.YPca - e.Y)*(v.YPca - e.Y));
						}
						else
						{
							throw new Exception("Image_Clicked: I don't know what picturebox was clicked.");
						}

						if (dist <= 4) 
						{
							this.graph.SelectedVertex = v;

							changeVertexToCurrent();

							return;
						}
					}

					//
					//
					// Now look through vertices in the connected component
					foreach(DictionaryEntry de in selected.ConnectedComponent.Vertices) 
					{
						Vertex v = (Vertex)(de.Value);

						if (v == selected) continue;

						double dist = 0.0;
						if (sender == graphDisplay)
						{
							dist = Math.Sqrt((v.X - e.X)*(v.X - e.X) + (v.Y - e.Y)*(v.Y - e.Y));
						}
						else if (sender == laplacianDisplay)
						{
							dist = Math.Sqrt((v.XLap - e.X)*(v.XLap - e.X) + (v.YLap - e.Y)*(v.YLap - e.Y));
						}
						else if (sender == pcaDisplay)
						{
							dist = Math.Sqrt((v.XPca - e.X)*(v.XPca - e.X) + (v.YPca - e.Y)*(v.YPca - e.Y));
						}
						else
						{
							throw new Exception("Image_Clicked: I don't know what imagebutton was clicked.");
						}

						if (dist <= 4) 
						{
							this.graph.SelectedVertex = v;

							changeVertexToCurrent();

							return;
						}
					}

					//
					//
					// Now look through everything (there's some redundancy, but it might even be quicker this way)
					foreach(DictionaryEntry de in this.graph.Vertices) 
					{
						Vertex v = (Vertex)(de.Value);

						if (v == selected) continue;
				
						double dist = 0.0;
						if (sender == graphDisplay)
						{
							dist = Math.Sqrt((v.X - e.X)*(v.X - e.X) + (v.Y - e.Y)*(v.Y - e.Y));
						}
						else if (sender == laplacianDisplay)
						{
							dist = Math.Sqrt((v.XLap - e.X)*(v.XLap - e.X) + (v.YLap - e.Y)*(v.YLap - e.Y));
						}
						else if (sender == pcaDisplay)
						{
							dist = Math.Sqrt((v.XPca - e.X)*(v.XPca - e.X) + (v.YPca - e.Y)*(v.YPca - e.Y));
						}
						else
						{
							throw new Exception("Image_Clicked: I don't know what imagebutton was clicked.");
						}

						if (dist <= 4) 
						{
							this.graph.SelectedVertex = v;

							changeVertexToCurrent();

							return;
						}
					}
				}
				else
				{
					//
					// Zoom
					if (this.graph.DisplayType	== displayType.Normal)
					{
						foreach(DictionaryEntry de in this.graph.Vertices)
						{
							double zoomFactor = double.Parse(ddlZoomFactor.Value.ToString());
							Vertex v = (Vertex) de.Value;

							v.X *= zoomFactor;
							v.X += ((double) this.graph.mainDisplayWidth) * 0.5 - (e.X * zoomFactor);

							v.Y *= zoomFactor;
							v.Y += ((double) this.graph.mainDisplayHeight) * 0.5 - (e.Y * zoomFactor);
						}

						graphDisplay.Image = this.graph.drawGraph();
					}
					else if (this.graph.DisplayType == displayType.LaplacianLLE)
					{
						foreach(DictionaryEntry de in selected.ConnectedComponent.Vertices)
						{
							double zoomFactor = double.Parse(ddlZoomFactor.Value.ToString());
							Vertex v = (Vertex) de.Value;

							v.XLap *= zoomFactor;
							v.XLap += ((double) this.graph.mainDisplayWidth) * 0.5 - (e.X * zoomFactor);

							v.YLap *= zoomFactor;
							v.YLap += ((double) this.graph.mainDisplayHeight) * 0.5 - (e.Y * zoomFactor);
						}

						laplacianDisplay.Image = selected.ConnectedComponent.drawLaplacianGraph(selected);
					}
					else // this.graph.DisplayType == displayType.PCA
					{
						foreach(DictionaryEntry de in selected.ConnectedComponent.Vertices)
						{
							double zoomFactor = double.Parse(ddlZoomFactor.Value.ToString());
							Vertex v = (Vertex) de.Value;

							v.XPca *= zoomFactor;
							v.XPca += ((double) this.graph.mainDisplayWidth) * 0.5 - (e.X * zoomFactor);

							v.YPca *= zoomFactor;
							v.YPca += ((double) this.graph.mainDisplayHeight) * 0.5 - (e.Y * zoomFactor);
						}

						pcaDisplay.Image = this.graph.drawPcaGraph();
					}
				}
			}
			finally
			{
				edgesLB.ClearSelected();
				verticesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);
				edgesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);
			}
		}

		/// <summary>
		/// Processes a click on one of the eigenvector graphs.
		/// </summary>
		/// <param name="sender">Used to determine which eigenvector graph was clicked.</param>
		/// <param name="e">Gives position of click to know which vertex to change to</param>
		protected void eigenGraph_Clicked(object sender, System.Windows.Forms.MouseEventArgs e) 
		{
			if (e.Button != MouseButtons.Left) return;

			// Do some stuff to figure out which vertex was clicked, and run
			// vertex_changed(...)
			
			EigenType type = EigenType.Adjacency;
			int which = 0;
			Vertex selectedVertex = this.graph.SelectedVertex;

			//
			// Determine which graph was clicked (this is better than having 9 _Clicked functions)
			//
			if (((PictureBox)sender) == adjacencyEigenvectorZero)
			{
				type = EigenType.Adjacency;
				which = 0;
			}
			else if (((PictureBox)sender) == adjacencyEigenvectorOne)
			{
				type = EigenType.Adjacency;
				which = 1;
			}
			else if (((PictureBox)sender) == adjacencyEigenvectorTwo)
			{
				type = EigenType.Adjacency;
				which = 2;
			}
			else if (((PictureBox)sender) == adjacencyEigenvectorThree)
			{
				type = EigenType.Adjacency;
				which = 3;
			}
			else if (((PictureBox)sender) == laplacianEigenvectorZero)
			{
				type = EigenType.Laplacian;
				which = 0;
			}
			else if (((PictureBox)sender) == laplacianEigenvectorOne)
			{
				type = EigenType.Laplacian;
				which = 1;
			}
			else if (((PictureBox)sender) == laplacianEigenvectorTwo)
			{
				type = EigenType.Laplacian;
				which = 2;
			}
			else if (((PictureBox)sender) == laplacianEigenvectorThree)
			{
				type = EigenType.Laplacian;
				which = 3;
			}
			else if (((PictureBox)sender) == normLaplacianEigenvectorZero)
			{
				type = EigenType.NormalizedLaplacian;
				which = 0;
			}
			else if (((PictureBox)sender) == normLaplacianEigenvectorOne)
			{
				type = EigenType.NormalizedLaplacian;
				which = 1;
			}
			else if (((PictureBox)sender) == normLaplacianEigenvectorTwo)
			{
				type = EigenType.NormalizedLaplacian;
				which = 2;
			}
			else if (((PictureBox)sender) == normLaplacianEigenvectorThree)
			{
				type = EigenType.NormalizedLaplacian;
				which = 3;
			}
			else
			{
				throw new Exception("Bizarre imagebutton was clicked.");
			}

			//
			// Figure out which vertex was clicked
			//
			foreach(DictionaryEntry de in selectedVertex.ConnectedComponent.Vertices)
			{
				double dist = 0.0;
				Vertex v = (Vertex)de.Value;

				if (v == selectedVertex) continue; // sort through anything hidden by this node
				
				switch (type)
				{
					case EigenType.Adjacency:
						dist = Math.Sqrt((v.AdjacencyEigenInformation.x[which] + 1 - e.X)*(v.AdjacencyEigenInformation.x[which] + 1 - e.X)
							+ (v.AdjacencyEigenInformation.y[which] + 4 - e.Y)*(v.AdjacencyEigenInformation.y[which] + 4 - e.Y));
						break;
					case EigenType.Laplacian:
						dist = Math.Sqrt((v.LaplacianEigenInformation.x[which] + 1 - e.X)*(v.LaplacianEigenInformation.x[which] + 1 - e.X)
							+ (v.LaplacianEigenInformation.y[which] + 4 - e.Y)*(v.LaplacianEigenInformation.y[which] + 4 - e.Y));
						break;
					case EigenType.NormalizedLaplacian:
						dist = Math.Sqrt((v.NormalizedLaplacianEigenInformation.x[which] + 1 - e.X)*(v.NormalizedLaplacianEigenInformation.x[which] + 1 - e.X)
							+ (v.NormalizedLaplacianEigenInformation.y[which] + 4 - e.Y)*(v.NormalizedLaplacianEigenInformation.y[which] + 4 - e.Y));
						break;
				}

				if (dist <= 4)
				{
					this.graph.SelectedVertex = v;

					verticesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);
					edgesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);
					
					changeVertexToCurrent();

					verticesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);
					edgesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);

					return;
				}
			}
		}

		/// <summary>
		/// Processes a click on the cluster coefficient graph
		/// </summary>
		/// <param name="sender">The cluster coefficient graph imagebutton</param>
		/// <param name="e">Gives position of click to know which vertex to change to</param>
		protected void ClusterCoefficient_Clicked(object sender, System.Windows.Forms.MouseEventArgs e) 
		{
			Vertex selected = this.graph.SelectedVertex;
			double dist;

			foreach(DictionaryEntry de in selected.ConnectedComponent.Vertices) 
			{
				Vertex v = (Vertex)(de.Value);

				if (v == selected) continue; // cycle through circles on that spot

				dist = Math.Sqrt(((v.xCC + 2) - e.X)*((v.xCC + 2) - e.X) + ((v.yCC + 2) - e.Y)*((v.yCC + 2) - e.Y));

				if (dist <= 3) 
				{
					this.graph.SelectedVertex = v;

					verticesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);
					edgesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);

					changeVertexToCurrent();

					verticesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);
					edgesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);

					return;
				}
			}
		}


		/// <summary>
		/// Processes a click on the path length graph
		/// </summary>
		/// <param name="sender">The path length graph</param>
		/// <param name="e">Gives position of click to know which vertex to change to</param>
		protected void PathLength_Clicked(object sender, System.Windows.Forms.MouseEventArgs e) 
		{
			if (e.Button != MouseButtons.Left) return;

			Vertex selected = this.graph.SelectedVertex;
			double dist;

			foreach(DictionaryEntry de in selected.ConnectedComponent.Vertices) 
			{
				Vertex v = (Vertex)(de.Value);

				if (v == selected) continue; // cycle through circles on that spot

				dist = Math.Sqrt(((v.xAverageDistance + 2) - e.X)*((v.xAverageDistance + 2) - e.X) 
					+ ((v.yAverageDistance + 2) - e.Y)*((v.yAverageDistance + 2) - e.Y));

				if (dist <= 3) 
				{
					this.graph.SelectedVertex = v;

					verticesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);
					edgesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);

					changeVertexToCurrent();

					verticesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);
					edgesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);

					return;
				}
			}

		}

		/// <summary>
		/// Shuts down the UI and displays information about the unrecovered error
		/// </summary>
		/// <param name="e">The error causing shutdown</param>
		private void throwSeriousError(string message)
		{
			MessageBox.Show(message);
		}

		/// <summary>
		///  Takes nodes with positions in all quadrants and stretches the graph to fit within the image
		/// </summary>
		private void setupGraph(ChemGraph g) 
		{
			double xScale = 1.0;
			double yScale = 1.0;

			int w = (int) graphDisplay.Width;
			int h = (int) graphDisplay.Height;

			//
			// Scale graph
			//
			// Find x, y scales
			double minX = Double.MaxValue;
			double maxX = Double.MinValue;
			double minY = Double.MaxValue;
			double maxY = Double.MinValue;
			foreach(DictionaryEntry de in g.Vertices) 
			{
				Vertex v = (Vertex)(de.Value);

				if (v.X < minX) 
				{
					minX = v.X;
				}

				if (v.X > maxX) 
				{
					maxX = v.X;
				}

				if (v.Y < minY) 
				{
					minY = v.Y;
				}

				if (v.Y > maxY) 
				{
					maxY = v.Y;
				}
			}

			// Re-center vertices
			foreach(DictionaryEntry de in g.Vertices) 
			{
				Vertex v = (Vertex)(de.Value);

				v.X -= (maxX + minX) / 2.0;
				v.Y -= (maxY + minY) / 2.0;
			}
				
			// Determine scaling factors
			xScale = (((double) w)*.5 - 20) / (maxX - ((maxX + minX) / 2.0));
			yScale = (((double) h)*.5 - 20) / (maxY - ((maxY + minY) / 2.0));

			// Scale vertices
			foreach(DictionaryEntry de in g.Vertices)
			{
				Vertex v = (Vertex)(de.Value);

				v.X = v.X * xScale + (((double) w)*.5 - 5);
				v.Y = v.Y * yScale + (((double) h)*.5 - 5);
			}
		}

		/// <summary>
		///  Draws the Fruchterman/Reingold graph for a given ChemGraph
		/// </summary>
		/// <param name="g">The ChemGraph object on which to run the F-R algorithm.  Modifies g.v.X and g.v.Y values.</param>
		protected void frGraph(ChemGraph g) 
		{
			// Initialize algorithm parameters (see the paper)
			int area = (g.mainDisplayWidth - 40) * (g.mainDisplayHeight - 40);
			double k = Math.Sqrt(area / g.Vertices.Count);
			double t = 80;

			//
			// Iteratively calculate new node positions
			while (t > 2) 
			{
				//
				// Calculate repulsive forces
				foreach(DictionaryEntry de in g.Vertices) 
				{
					Vertex v = (Vertex)(de.Value);
					double delX = 0.0;
					double delY = 0.0;
					double delSize = 0.0;

					v.dispX = 0.0;
					v.dispY = 0.0;

					foreach(DictionaryEntry de2 in g.Vertices) 
					{
						Vertex u = (Vertex)(de2.Value);

						if (u != v) 
						{
							delX = v.X - u.X;
							delY = v.Y - u.Y;

							delSize = Math.Sqrt(delX*delX + delY*delY);
							v.dispX = v.dispX + (delX/delSize)*fr(delSize, k);
							v.dispY = v.dispY + (delY/delSize)*fr(delSize, k);
						}
					}
				}

				//
				// Calculate attractive forces
				foreach(Edge e in g.Edges) 
				{
					if (e.v1 == e.v2) continue;

					double delX = 0.0;
					double delY = 0.0;
					double delSize = 0.0;

					delX = e.v1.X - e.v2.X;
					delY = e.v1.Y - e.v2.Y;

					delSize = Math.Sqrt(delX*delX + delY*delY);

					e.v1.dispX = e.v1.dispX - (delX/delSize)*fa(delSize, k);
					e.v1.dispY = e.v1.dispY - (delY/delSize)*fa(delSize, k);

					e.v2.dispX = e.v2.dispX + (delX/delSize)*fa(delSize, k);
					e.v2.dispY = e.v2.dispY + (delY/delSize)*fa(delSize, k);
				}
		
				//
				// Limit displacement by temperature and prevent from being displaced outside frame
				foreach(DictionaryEntry de in g.Vertices) 
				{
					Vertex v = (Vertex)(de.Value);

					double sizeVDisp = Math.Sqrt(v.dispX*v.dispX + v.dispY*v.dispY);

					v.X = v.X + (v.dispX/sizeVDisp)*Math.Min(sizeVDisp, t);
					v.Y = v.Y + (v.dispY/sizeVDisp)*Math.Min(sizeVDisp, t);

					v.X = Math.Min((g.mainDisplayWidth - 40)*0.5, Math.Max(-1*(g.mainDisplayWidth - 40)*0.5, v.X));
					v.Y = Math.Min((g.mainDisplayHeight - 40)*0.5, Math.Max(-1*(g.mainDisplayHeight - 40)*0.5, v.Y));
				}


				if (t >= 20)
				{
					t = .80*t;	// May want to adjust this cooling function if the alg. takes too long
					// or the results could be improved
				}
				else if ((t < 25) && (t >=5))
				{
					t = .87*t;
				}
				else if (t < 5)
				{
					t = .95*t;
				}
			}
		}


		/// <summary>
		/// Force attraction function
		/// </summary>
		/// <returns>Size of attraction</returns>
		private double fa(double x, double k) 
		{
			return (x*x / k);
		}


		/// <summary>
		/// Force repelling function
		/// </summary>
		/// <returns>Size of repulsion</returns>
		private double fr(double x, double k) 
		{
			return -(k*k / x);
		}

		/// <summary>
		/// Processes a change in the current vertex.  Only changes UI, doesn't actually display information.  
		/// See changeVertexDisplay().
		/// </summary>
		private void changeVertexToCurrent()
		{
			int indexToSelect = -1;
			foreach(ListItem li in verticesLB.Items)
			{
				if (li.Item == this.graph.SelectedVertex.Label)
				{
					indexToSelect = verticesLB.Items.IndexOf(li);
					break;
				}
			}
			if (indexToSelect != -1) verticesLB.SelectedIndex = indexToSelect;

			edgesLB.DataSource = null;

			edgesLB.Items.Clear();

			edgesLB.BeginUpdate();

			ArrayList items = new ArrayList();

			if (this.graph.maxEdgeWeight == this.graph.minEdgeWeight)
			{
				foreach(Vertex v in this.graph.SelectedVertex.ConnectedTo) 
				{
					items.Add(new ListItem(v.Label, v.ID.ToString()));
				}
			}
			else
			{
				//
				// Edge weights differ, so display them
				foreach(Vertex v in this.graph.SelectedVertex.ConnectedTo) 
				{
					items.Add(new ListItem(v.Label + " [" + this.graph.SelectedVertex.getEdgeWithVertex(v).weight + "]",
						v.ID.ToString()));
				}
			}

			if (items.Count > 0)
			{
				edgesLB.DataSource = items;
				edgesLB.DisplayMember = "Item";
				edgesLB.ValueMember = "Value";
			}

			edgesLB.EndUpdate();

			if (this.graph.SelectedVertex.hasComponentInfo == true)
			{
				//btnTextOutput.Enabled = true;

				connInfo.Text = "Connected component has " + this.graph.SelectedVertex.ConnectedComponent.NumVertices.ToString() + " nodes, with"
					+" an average diameter of " + truncateDecimal(this.graph.SelectedVertex.ConnectedComponent.AverageDiameter.ToString(), 7) + ".";
				rbDisplayLaplacian.Visible = true;
			}
			else if (this.graph.SelectedVertex.ConnectedComponent.NumVertices > 1) 
			{
				//btnTextOutput.Enabled = false;
				rbDisplayLaplacian.Visible = false;
				if (rbDisplayLaplacian.Checked == true)
				{
					this.graph.DisplayType = displayType.Normal;
					graphDisplay.Visible = true;
					laplacianDisplay.Visible = false;
				}
				connInfo.Text = "Connected component has " + this.graph.SelectedVertex.ConnectedComponent.NumVertices.ToString() + " nodes.";
			} 
			else 
			{
				//btnTextOutput.Enabled = false;
				rbDisplayLaplacian.Visible = false;
				if (rbDisplayLaplacian.Checked == true)
				{
					this.graph.DisplayType = displayType.Normal;
					graphDisplay.Visible = true;
					laplacianDisplay.Visible = false;
				}
				connInfo.Text = "Connected component has " + this.graph.SelectedVertex.ConnectedComponent.NumVertices.ToString() + " node.";
			}

			changeVertexDisplay(this.graph.SelectedVertex.ID);
		}

		/// <summary>
		/// Truncates a string representing a demical to the specified number of digits after the decimal point.
		/// </summary>
		/// <param name="str">The string, representing a decimal number, to truncate</param>
		/// <returns>The truncated string (or not truncated, if the string is short</returns>
		public static string truncateDecimal(string str, int numAfterDecimalPoint)
		{
			int len = str.IndexOf(".") + numAfterDecimalPoint + 1;
			if (len < str.Length)
			{
				return str.Substring(0, len);
			}
			else
			{
				return str;
			}
		}

		/// <summary>
		/// Changes the large graph display
		/// </summary>
		/// <param name="sender">Unused</param>
		/// <param name="e">Unused</param>
		protected void gDisplay_Change(object sender, EventArgs e)
		{
			if (rbDisplayMain.Checked == true)
			{
				this.graph.DisplayType = displayType.Normal;

				graphDisplay.Visible = true;
				laplacianDisplay.Visible = false;
				pcaDisplay.Visible = false;
				btnExportVRML.Text = "Export Embedding as VRML";
				btnExportVRML.Enabled = false;
			}
			else if (rbDisplayLaplacian.Checked == true) // sender == gLaplacian
			{
				this.graph.DisplayType = displayType.LaplacianLLE;

				graphDisplay.Visible = false;
				laplacianDisplay.Visible = true;
				pcaDisplay.Visible = false;
				btnExportVRML.Text = "Export Laplacian Embedding as VRML";
				btnExportVRML.Enabled = true;
			}
			else // sender == rbDisplayPCA
			{
				this.graph.DisplayType = displayType.PCA;

				graphDisplay.Visible = false;
				laplacianDisplay.Visible = false;
				pcaDisplay.Visible = true;
				btnExportVRML.Text = "Export PCA Embedding as VRML";
				btnExportVRML.Enabled = true;
			}
		}

		/// <summary>
		/// Changes displayed information to reflect the currently active vertex.
		/// </summary>
		/// <param name="id">The ID number of the node we're changing to.</param>
		private void changeVertexDisplay(int id) 
		{
			Vertex v = (Vertex) this.graph.Vertices[id];

			graphDisplay.Image = (Image) this.graph.drawGraph();

			if (this.graph.pcaCalculated == true)
			{
				pcaDisplay.Image = this.graph.drawPcaGraph();
			}

			vDegree.Text = "Degree: " + v.Degree;

			if (v.hasComponentInfo == true) 
			{
				laplacianDisplay.Image = v.ConnectedComponent.drawLaplacianGraph(v);

				
				pnlShowComponent.Visible = false;
				pnlVertexComponentInfo.Visible = true;
				pnlComponent.Visible = true;

				graphDegreeDistribution.Image = drawDegreeDistribution();
				graphPathLength.Image = drawAveragePathLength();
				graphClusterCoefficient.Image = drawClusterCoefficient();
				drawSpectralDensity();
				drawEigenInformation();

				vCC.Text = "C(k): " + v.ClusterCoeff.ToString();
				vDist.Text = "Dist(min,max,avg) = (" + truncateDecimal(v.MinDist.ToString(), 7) + "," 
					+ truncateDecimal(v.MaxDist.ToString(), 7) + "," + truncateDecimal(v.AvgDist.ToString(), 7) + ")";

				vAdjE0.Text = truncateDecimal(v.getAdjacencyEigenvalue(0).ToString(), 10);
				vAdjE1.Text = truncateDecimal(v.getAdjacencyEigenvalue(1).ToString(), 10);
				vAdjE2.Text = truncateDecimal(v.getAdjacencyEigenvalue(2).ToString(), 10);
				vAdjE3.Text = truncateDecimal(v.getAdjacencyEigenvalue(3).ToString(), 10);
				
				vLapE0.Text = truncateDecimal(v.getLaplacianEigenvalue(0).ToString(), 10);
				vLapE1.Text = truncateDecimal(v.getLaplacianEigenvalue(1).ToString(), 10);
				vLapE2.Text = truncateDecimal(v.getLaplacianEigenvalue(2).ToString(), 10);
				vLapE3.Text = truncateDecimal(v.getLaplacianEigenvalue(3).ToString(), 10);
				
				vNormLapE0.Text = truncateDecimal(v.getNormalizedLaplacianEigenvalue(0).ToString(), 10);
				vNormLapE1.Text = truncateDecimal(v.getNormalizedLaplacianEigenvalue(1).ToString(), 10);
				vNormLapE2.Text = truncateDecimal(v.getNormalizedLaplacianEigenvalue(2).ToString(), 10);
				vNormLapE3.Text = truncateDecimal(v.getNormalizedLaplacianEigenvalue(3).ToString(), 10);
			} 
			else 
			{
				pnlShowComponent.Visible = true;
				lblShowComponent.Refresh();
				pnlVertexComponentInfo.Visible = false;
				pnlComponent.Visible = false;
			}

			vName.Text = v.Label;
		}

		private void Vertex_Select(object sender, System.EventArgs e)
		{
			verticesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);
			edgesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);

			this.graph.SelectedVertex = this.graph.getVertex(Int32.Parse(((ListBox)sender).SelectedValue.ToString()));
			changeVertexToCurrent();

			edgesLB.ClearSelected();

			verticesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);
			edgesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);
		}

		/// Calls drawSpectralGraph(...) for each of the three matrix types.
		/// </summary>
		private void drawSpectralDensity()
		{
			drawSpectralGraph(EigenType.Adjacency, adjSpec);
			drawSpectralGraph(EigenType.Laplacian, lapSpec);
			drawSpectralGraph(EigenType.NormalizedLaplacian, normLapSpec);
		}

		/// <summary>
		/// Draw the spectral density graph
		/// </summary>
		private void drawSpectralGraph(EigenType eigenType, PictureBox ib) 
		{
			Vertex selectedVertex = this.graph.SelectedVertex;
			ConnectedComponent cc = selectedVertex.ConnectedComponent;

			int w = (int) ib.Width;
			int h = (int) ib.Height;
			Bitmap pic = new Bitmap(w, h);
			Graphics pad = Graphics.FromImage(pic);

			pad.FillRectangle(whiteBrush, 0, 0, w, h);
			pad.DrawRectangle(grayPen, 0, 0, w - 1, h - 1);

			pad.DrawLine(bigBlackPen, 30, h - 30, w - 20, h - 30);
			pad.DrawLine(bigBlackPen, 30, h - 30, 30, 30);

			pad.DrawString("\u03BB/\u221A(Np(1-p))", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, new PointF((w / 2) - 3, h - 27));
			pad.DrawString("\u03C1\u221A", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, new PointF(7, (h / 2) - 23));
			
			ArrayList eigens = new ArrayList(cc.NumVertices);
			for (int i = 0; i < cc.NumVertices; i++)
			{
				switch (eigenType) 
				{
					case EigenType.Adjacency:
						eigens.Add(cc.adjEigens[i]);
						break;
					case EigenType.Laplacian:
						eigens.Add(cc.lapEigens[i]);
						break;
					case EigenType.NormalizedLaplacian:
						eigens.Add(cc.normLapEigens[i]);
						break;
				}
			}

			// !! No need to sort here
			//eigens.Sort();

			//
			// Calculate UNSCALED coordinates of spectral density graph
			//
			double[] unsX = new double[eigens.Count];
			double[] unsY = new double[eigens.Count];

			double minX = double.MaxValue;
			double maxX = double.MinValue;
			
			double minY = double.MaxValue;
			double maxY = double.MinValue;

			for (int i = 0; i < eigens.Count; i++)
			{
				bool useAbs;
				
				cc.getSpectralDensityValues(eigenType, i, out unsX[i], out unsY[i], out useAbs);

				if (useAbs)
				{
					pad.DrawString("Warning: absolute value of radicand required", new Font(FontFamily.GenericSansSerif, 7, FontStyle.Regular), blackBrush, new PointF(35, 35));
				}

				if (unsX[i] < minX)
				{
					minX = unsX[i];
				}
				if (unsX[i] > maxX)
				{
					maxX = unsX[i];
				}
				if (unsY[i] < minY)
				{
					minY = unsY[i];
				}
				if (unsY[i] > maxY)
				{
					maxY = unsY[i];
				}
			}

			//
			// Scale points and draw
			//
			double x, y;
			for (int i = 0; i < eigens.Count; i++)
			{
				x = 32.0 + (1.0 - (((double)(maxX - unsX[i])) 
					/ (maxX - minX))) * ((double)(w - 60));
				y = 28.0 + (((double)(maxY - unsY[i])) 
					/ ((double)(maxY - minY))) * ((double)(h - 60));

				pad.DrawEllipse(grayPen, (int)x, (int)y, 4, 4);
			}

			pad.DrawString(minY.ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(7, h - 50));
			pad.DrawString(maxY.ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(7, 17));

			pad.DrawString(minX.ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(17, h - 27));
			pad.DrawString(maxX.ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(w - 52, h - 27));

			ib.Image = pic;
		}

		/// <summary>
		/// Redraws every eigengraph (i.e. if a new vertex is selected, new point needs to be highlighted)
		/// </summary>
		private void drawEigenInformation()
		{
			// First draw eigenvalue spectra
			drawEigenvalues(adjacencyEigenvalues, EigenType.Adjacency);
			drawEigenvalues(laplacianEigenvalues, EigenType.Laplacian);
			drawEigenvalues(normLaplacianEigenvalues, EigenType.NormalizedLaplacian);

			//
			// Now draw eigenvectors (all 9 of them)
			
			drawEigenvectors(adjacencyEigenvectorZero, EigenType.Adjacency, 0);
			drawEigenvectors(adjacencyEigenvectorOne, EigenType.Adjacency, 1);
			drawEigenvectors(adjacencyEigenvectorTwo, EigenType.Adjacency, 2);
			drawEigenvectors(adjacencyEigenvectorThree, EigenType.Adjacency, 3);

			drawEigenvectors(laplacianEigenvectorZero, EigenType.Laplacian, 0);
			drawEigenvectors(laplacianEigenvectorOne, EigenType.Laplacian, 1);
			drawEigenvectors(laplacianEigenvectorTwo, EigenType.Laplacian, 2);
			drawEigenvectors(laplacianEigenvectorThree, EigenType.Laplacian, 3);

			drawEigenvectors(normLaplacianEigenvectorZero, EigenType.NormalizedLaplacian, 0);
			drawEigenvectors(normLaplacianEigenvectorOne, EigenType.NormalizedLaplacian, 1);
			drawEigenvectors(normLaplacianEigenvectorTwo, EigenType.NormalizedLaplacian, 2);
			drawEigenvectors(normLaplacianEigenvectorThree, EigenType.NormalizedLaplacian, 3);

			// Draw IVP
			drawIVP(adjIVP, EigenType.Adjacency);
			drawIVP(lapIVP, EigenType.Laplacian);
			drawIVP(normLapIVP, EigenType.NormalizedLaplacian);
		}

		/// <summary>
		/// Draw the eigenvalues of the currently active connected component.  This function draws eigenvalues 
		/// for each of the three eigenvalue types.
		/// </summary>
		/// <param name="ib">ImageButton whose picture to draw</param>
		/// <param name="eigenType">Adjacency, Laplacian, or NormalizedLaplacian</param>
		private void drawEigenvalues(PictureBox ib, EigenType eigenType) 
		{
			Vertex selectedVertex = this.graph.SelectedVertex;
			ConnectedComponent cc = selectedVertex.ConnectedComponent;

			int w = ib.Width;
			int h = ib.Height;
			Bitmap pic = new Bitmap(w, h);
			Graphics pad = Graphics.FromImage(pic);

			ArrayList eigens = new ArrayList(cc.NumVertices);
			for (int i = 0; i < cc.NumVertices; i++)
			{
				switch (eigenType) 
				{
					case EigenType.Adjacency:
						eigens.Add(cc.adjEigens[i]);
						break;
					case EigenType.Laplacian:
						eigens.Add(cc.lapEigens[i]);
						break;
					case EigenType.NormalizedLaplacian:
						eigens.Add(cc.normLapEigens[i]);
						break;
				}
			}
			eigens.Sort();

			double minEigen = (double)(eigens[0]);
			double maxEigen = (double)(eigens[eigens.Count - 1]);

			pad.FillRectangle(whiteBrush, 0, 0, w, h);
			pad.DrawRectangle(grayPen, 0, 0, w - 1, h - 1);

			pad.DrawLine(bigBlackPen, 30, h - 30, w - 20, h - 30);
			pad.DrawLine(bigBlackPen, 30, h - 30, 30, 30);

			pad.DrawString("Eigenvalue", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, 
				new PointF((w / 2) - 30, h - 27));
			pad.DrawString("\u03BB", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, 
				new PointF(5, (h / 2) - 5));

			pad.DrawString(((int)minEigen).ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), 
				blackBrush, new PointF(26 - (((int)minEigen).ToString().Length * 8), h - 38));
			pad.DrawString(((int)maxEigen).ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), 
				blackBrush, new PointF(26 - (((int)maxEigen).ToString().Length * 8), 27));

			pad.DrawString("1", new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), 
				blackBrush, new PointF(27, h - 27));
			pad.DrawString(eigens.Count.ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), 
				blackBrush, new PointF(w - 42, h - 27));

			//
			// Now draw each eigenvalue...
			//
			for (int i = 0; i < eigens.Count; i++)
			{
				double x, y;
				x = 32.0 + (1.0 - (((double)(eigens.Count - i)) / ((double)(eigens.Count)))) * ((double)(w - 60));
				y = 30.0 + (((double)(maxEigen - ((double)eigens[i]))) / ((double)(maxEigen - minEigen))) * ((double)(h - 60)) - 2;
				pad.DrawEllipse(grayPen, (int)x, (int)y, 4, 4);
			}

			ib.Image = pic;
		}

		/// <summary>
		/// Draws the eigenvector graphs for the currently active connected component. 
		/// </summary>
		/// <param name="ib">The imagebutton to write to</param>
		/// <param name="eigenType">Adjacency, Laplacian, or NormalizedLaplacian.  With which, specifies which of the 9 graphs we're drawing.</param>
		/// <param name="which">Which eigenvector to draw.  With eigenType, specifies which of the 9 graphs we're drawing.</param>
		private void drawEigenvectors(PictureBox ib, EigenType eigenType, int which) 
		{
			Vertex selectedVertex = this.graph.SelectedVertex;
			ConnectedComponent cc = selectedVertex.ConnectedComponent;

			int w = ib.Width;
			int h = ib.Height;
			Bitmap pic = new Bitmap(w, h);
			Graphics pad = Graphics.FromImage(pic);

			//
			// Get the sort order
			//

			bool sortByValue;
			if (ib.Tag.ToString() == "degree")
			{
				sortByValue = false;
			}
			else
			{
				sortByValue = true;
			}

			//
			// Get the min/max value for displaying on the axes
			//
			// Also:
			// Sorts vertices according to preferece -- uses sortedlist with (key,value) = (degree, vertex) or (eigvec, vertex)
			//

			ArrayList vertices = new ArrayList(cc.NumVertices);
			foreach (DictionaryEntry de in cc.Vertices)
			{
				Vertex v = (Vertex)(de.Value);

				vertices.Add(v);
			}

			IComparer myComparer;
			myComparer = new sortByEigenvector(eigenType, which);
			vertices.Sort(myComparer);

			double minE = 0.0; 
			double maxE = 0.0; 

			switch (eigenType)
			{
				case EigenType.Adjacency:
					minE = ((Vertex)vertices[0]).getAdjacencyEigenvalue(which);
					maxE = ((Vertex)vertices[vertices.Count - 1]).getAdjacencyEigenvalue(which);
					break;
				case EigenType.Laplacian:
					minE = ((Vertex)vertices[0]).getLaplacianEigenvalue(which);
					maxE = ((Vertex)vertices[vertices.Count - 1]).getLaplacianEigenvalue(which);
					break;
				case EigenType.NormalizedLaplacian:
					minE = ((Vertex)vertices[0]).getNormalizedLaplacianEigenvalue(which);
					maxE = ((Vertex)vertices[vertices.Count - 1]).getNormalizedLaplacianEigenvalue(which);
					break;
			}

			if (sortByValue)
			{
				myComparer = new sortByEigenvector(eigenType, which);
			}
			else // sort by degree
			{
				myComparer = new sortByDegree();
			}

			// Now do the sort
			vertices.Sort(myComparer);


			//
			// Start drawing
			//

			pad.FillRectangle(whiteBrush, 0, 0, w, h);
			pad.DrawRectangle(grayPen, 0, 0, w - 1, h - 1);

			pad.DrawLine(bigBlackPen, 30, h - 30, w - 20, h - 30);
			pad.DrawLine(bigBlackPen, 30, h - 30, 30, 30);
	
			
			pad.DrawString("\u03BB", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, new PointF(3, (h / 2) - 5));

			//
			// Left-side max/min labels
			//
			switch (eigenType)
			{
				case EigenType.Adjacency:
					pad.DrawString(minE.ToString().Substring(0, Math.Min(minE.ToString().Length, 4)), 
						new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(3, h - 38));
					pad.DrawString(maxE.ToString().Substring(0, Math.Min(maxE.ToString().Length, 4)), 
						new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(3, 27));
					break;
				case EigenType.Laplacian:
					pad.DrawString(minE.ToString().Substring(0, Math.Min(minE.ToString().Length, 4)), 
						new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(3, h - 38));
					pad.DrawString(maxE.ToString().Substring(0, Math.Min(maxE.ToString().Length, 4)), 
						new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(3, 27));
					break;
				case EigenType.NormalizedLaplacian:
					pad.DrawString(minE.ToString().Substring(0, Math.Min(minE.ToString().Length, 4)), 
						new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(3, h - 38));
					pad.DrawString(maxE.ToString().Substring(0, Math.Min(maxE.ToString().Length, 4)),
						new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(3, 27));
					break;
			}

			//
			// Bottom labels
			//
			if (sortByValue)
			{
				pad.DrawString("Node (sorted by \u03BB)", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, new PointF((w / 2) - 30, h - 27));

				//We're not displaying here, since there is no scale
			}
			else
			{
				pad.DrawString("Node (sorted by degree)", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, 
					new PointF((w / 2) - 30, h - 27));

				pad.DrawString(((Vertex)vertices[0]).ConnectedTo.Count.ToString(), 
					new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(27, h - 27));
				pad.DrawString(((Vertex)vertices[vertices.Count - 1]).ConnectedTo.Count.ToString(), 
					new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(w - 42, h - 27));
			}

			//
			// Calculate x-value for eigenvector point
			//
			for (int i = 0; i < vertices.Count; i++)
			{
				Vertex v = (Vertex)vertices[i];

				if (sortByValue)
				{
					//
					// Sort by eigenvalue EQUALLY SPACES the results
					//
					switch (eigenType)
					{
						case EigenType.Adjacency:
							v.AdjacencyEigenInformation.x[which] = 32.0 + (1.0 - (((double)(vertices.Count - i)) / 
								((double)(vertices.Count)))) * ((double)(w - 60));
							break;
						case EigenType.Laplacian:
							v.LaplacianEigenInformation.x[which] = 32.0 + (1.0 - (((double)(vertices.Count - i)) / 
								((double)(vertices.Count)))) * ((double)(w - 60));
							break;
						case EigenType.NormalizedLaplacian:
							v.NormalizedLaplacianEigenInformation.x[which] = 32.0 + (1.0 - (((double)(vertices.Count - i)) / 
								((double)(vertices.Count)))) * ((double)(w - 60));
							break;
					}
				}
				else // SORTED BY NODE DEGREE
				{
					//
					// Set min/max values (easier than the value case)
					//
					double minDegree = ((Vertex)vertices[0]).Degree;
					double maxDegree = ((Vertex)vertices[vertices.Count - 1]).Degree;

					//
					// Set x-value
					//
					switch (eigenType)
					{
						case EigenType.Adjacency:
							v.AdjacencyEigenInformation.x[which] = 32.0 + 
								(1.0 - (((double)(maxDegree - v.Degree)) 
								/ ((double)(maxDegree - minDegree)))) * ((double)(w - 60));
							break;
						case EigenType.Laplacian:
							v.LaplacianEigenInformation.x[which] = 32.0 + 
								(1.0 - (((double)(maxDegree - v.Degree)) 
								/ ((double)(maxDegree - minDegree)))) * ((double)(w - 60));
							break;
						case EigenType.NormalizedLaplacian:
							v.NormalizedLaplacianEigenInformation.x[which] = 32.0 + 
								(1.0 - (((double)(maxDegree - v.Degree)) 
								/ ((double)(maxDegree - minDegree)))) * ((double)(w - 60));
							break;
					}
				}
			}

			//
			// Draw points
			//
			for (int i = 0; i < vertices.Count; i++)
			{
				Vertex v = (Vertex)vertices[i];

				if (v == selectedVertex) continue;

				switch (eigenType)
				{
					case EigenType.Adjacency:
						pad.DrawEllipse(grayPen, ((int)v.AdjacencyEigenInformation.x[which]), 
							((int)v.AdjacencyEigenInformation.y[which]), 4, 4);
						break;
					case EigenType.Laplacian:
						pad.DrawEllipse(grayPen, ((int)v.LaplacianEigenInformation.x[which]), 
							((int)v.LaplacianEigenInformation.y[which]), 4, 4);
						break;
					case EigenType.NormalizedLaplacian:
						pad.DrawEllipse(grayPen, ((int)v.NormalizedLaplacianEigenInformation.x[which]), 
							((int)v.NormalizedLaplacianEigenInformation.y[which]), 4, 4);
						break;
				}
			}

			//
			// Draw selectedVertex
			//
			switch (eigenType)
			{
				case EigenType.Adjacency:
					pad.FillEllipse(redBrush, ((int)selectedVertex.AdjacencyEigenInformation.x[which])-1, 
						((int)selectedVertex.AdjacencyEigenInformation.y[which])-1, 6, 6);
					break;
				case EigenType.Laplacian:
					pad.FillEllipse(redBrush, ((int)selectedVertex.LaplacianEigenInformation.x[which])-1, 
						((int)selectedVertex.LaplacianEigenInformation.y[which])-1, 6, 6);
					break;
				case EigenType.NormalizedLaplacian:
					pad.FillEllipse(redBrush, ((int)selectedVertex.NormalizedLaplacianEigenInformation.x[which])-1, 
						((int)selectedVertex.NormalizedLaplacianEigenInformation.y[which])-1, 6, 6);
					break;
			}

			ib.Image = pic;
		}

		/// <summary>
		/// Process a change in desired sort order for one of the eigenvector graphs
		/// </summary>
		/// <param name="sender">The radio button to be clicked</param>
		/// <param name="e">Unused</param>
		protected void Sort_Changed(object sender, System.EventArgs e)
		{
			switch (((RadioButton)sender).Name)
			{
				case "rbAdjE0Eigenvector":
				case "rbAdjE0Degree":
					if (rbAdjE0Eigenvector.Checked == true) adjacencyEigenvectorZero.Tag = "value";
					else adjacencyEigenvectorZero.Tag = "degree";
					drawEigenvectors(adjacencyEigenvectorZero, EigenType.Adjacency, 0);
					break;
				case "rbAdjE1Eigenvector":
				case "rbAdjE1Degree":
					if (rbAdjE1Eigenvector.Checked == true) adjacencyEigenvectorOne.Tag = "value";
					else adjacencyEigenvectorOne.Tag = "degree";
					drawEigenvectors(adjacencyEigenvectorOne, EigenType.Adjacency, 1);
					break;
				case "rbAdjE2Eigenvector":
				case "rbAdjE2Degree":
					if (rbAdjE2Eigenvector.Checked == true) adjacencyEigenvectorTwo.Tag = "value";
					else adjacencyEigenvectorTwo.Tag = "degree";
					drawEigenvectors(adjacencyEigenvectorTwo, EigenType.Adjacency, 2);
					break;
				case "rbAdjE3Eigenvector":
				case "rbAdjE3Degree":
					if (rbAdjE3Eigenvector.Checked == true) adjacencyEigenvectorThree.Tag = "value";
					else adjacencyEigenvectorThree.Tag = "degree";
					drawEigenvectors(adjacencyEigenvectorThree, EigenType.Adjacency, 3);
					break;

				case "rbLapE0Eigenvector":
				case "rbLapE0Degree":
					if (rbLapE0Eigenvector.Checked == true) laplacianEigenvectorZero.Tag = "value";
					else laplacianEigenvectorZero.Tag = "degree";
					drawEigenvectors(laplacianEigenvectorZero, EigenType.Laplacian, 0);
					break;
				case "rbLapE1Eigenvector":
				case "rbLapE1Degree":
					if (rbLapE1Eigenvector.Checked == true) laplacianEigenvectorOne.Tag = "value";
					else laplacianEigenvectorOne.Tag = "degree";
					drawEigenvectors(laplacianEigenvectorOne, EigenType.Laplacian, 1);
					break;
				case "rbLapE2Eigenvector":
				case "rbLapE2Degree":
					if (rbLapE2Eigenvector.Checked == true) laplacianEigenvectorTwo.Tag = "value";
					else laplacianEigenvectorTwo.Tag = "degree";
					drawEigenvectors(laplacianEigenvectorTwo, EigenType.Laplacian, 2);
					break;
				case "rbLapE3Eigenvector":
				case "rbLapE3Degree":
					if (rbLapE3Eigenvector.Checked == true) laplacianEigenvectorThree.Tag = "value";
					else laplacianEigenvectorThree.Tag = "degree";
					drawEigenvectors(laplacianEigenvectorThree, EigenType.Laplacian, 3);
					break;

				case "rbNormLapE0Eigenvector":
				case "rbNormLapE0Degree":
					if (rbNormLapE0Eigenvector.Checked == true) normLaplacianEigenvectorZero.Tag = "value";
					else normLaplacianEigenvectorZero.Tag = "degree";
					drawEigenvectors(normLaplacianEigenvectorZero, EigenType.NormalizedLaplacian, 0);
					break;
				case "rbNormLapE1Eigenvector":
				case "rbNormLapE1Degree":
					if (rbNormLapE1Eigenvector.Checked == true) normLaplacianEigenvectorOne.Tag = "value";
					else normLaplacianEigenvectorOne.Tag = "degree";
					drawEigenvectors(normLaplacianEigenvectorOne, EigenType.NormalizedLaplacian, 1);
					break;
				case "rbNormLapE2Eigenvector":
				case "rbNormLapE2Degree":
					if (rbNormLapE2Eigenvector.Checked == true) normLaplacianEigenvectorTwo.Tag = "value";
					else normLaplacianEigenvectorTwo.Tag = "degree";
					drawEigenvectors(normLaplacianEigenvectorTwo, EigenType.NormalizedLaplacian, 2);
					break;
				case "rbNormLapE3Eigenvector":
				case "rbNormLapE3Degree":
					if (rbNormLapE3Eigenvector.Checked == true) normLaplacianEigenvectorThree.Tag = "value";
					else normLaplacianEigenvectorThree.Tag = "degree";
					drawEigenvectors(normLaplacianEigenvectorThree, EigenType.NormalizedLaplacian, 3);
					break;
			}
		}

		/// <summary>
		/// Draw the inverse participation ratio for the currently active connected component.  This function draws
		/// the IVP for each of the three eigenvalue types.
		/// </summary>
		/// <param name="ib">ImageButton whose picture to draw</param>
		/// <param name="eigenType">Adjacency, Laplacian, or NormalizedLaplacian</param>
		private void drawIVP(PictureBox ib, EigenType eigenType) 
		{
			Vertex selectedVertex = this.graph.SelectedVertex;
			ConnectedComponent cc = selectedVertex.ConnectedComponent;

			int w = ib.Width;
			int h = ib.Height;
			Bitmap pic = new Bitmap(w, h);
			Graphics pad = Graphics.FromImage(pic);

			ArrayList ivp = new ArrayList(cc.NumVertices);
			for (int i = 0; i < cc.NumVertices; i++)
			{
				switch (eigenType) 
				{
					case EigenType.Adjacency:
						ivp.Add(cc.adjIVP[i]);
						break;
					case EigenType.Laplacian:
						ivp.Add(cc.lapIVP[i]);
						break;
					case EigenType.NormalizedLaplacian:
						ivp.Add(cc.normLapIVP[i]);
						break;
				}
			}
			ivp.Sort();

			double minVal = (double)(ivp[0]);
			double maxVal = (double)(ivp[ivp.Count - 1]);

			double minEigen = 0;
			double maxEigen = 0;
			switch (eigenType)
			{
				case EigenType.Adjacency:
					minEigen = cc.adjEigens[0];
					maxEigen = cc.adjEigens[cc.NumVertices - 1];
					break;
				case EigenType.Laplacian:
					minEigen = cc.lapEigens[0];
					maxEigen = cc.lapEigens[cc.NumVertices - 1];
					break;
				case EigenType.NormalizedLaplacian:
					minEigen = cc.normLapEigens[0];
					maxEigen = cc.normLapEigens[cc.NumVertices - 1];
					break;
			}

			pad.FillRectangle(whiteBrush, 0, 0, w, h);
			pad.DrawRectangle(grayPen, 0, 0, w - 1, h - 1);

			pad.DrawLine(bigBlackPen, 30, h - 30, w - 20, h - 30);
			pad.DrawLine(bigBlackPen, 30, h - 30, 30, 30);

			pad.DrawString("Eigenvalue", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, 
				new PointF((w / 2) - 30, h - 27));

			pad.DrawString(minEigen.ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), 
				blackBrush, new PointF(20, h - 27));
			pad.DrawString(maxEigen.ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), 
				blackBrush, new PointF(w - 49, h - 27));

			pad.DrawString(minVal.ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(7, h - 50));
			pad.DrawString(maxVal.ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(7, 17));

			//
			// Now draw each eigenvalue...
			//
			for (int i = 0; i < cc.NumVertices; i++)
			{
				double x = 0.0;
				double y = 0.0;

				if (minEigen == maxEigen)
				{
					x = 30.0 + .5 * ((double)w - 60.0);
				}
				else
				{
					switch (eigenType) 
					{
						case EigenType.Adjacency:
							x = 32.0 + (1.0 - (((double)(maxEigen - cc.adjEigens[i])) /
								((double)(maxEigen - minEigen)))) * ((double)(w - 60));
							break;
						case EigenType.Laplacian:
							x = 32.0 + (1.0 - (((double)(maxEigen - cc.lapEigens[i])) /
								((double)(maxEigen - minEigen)))) * ((double)(w - 60));
							break;
						case EigenType.NormalizedLaplacian:
							x = 32.0 + (1.0 - (((double)(maxEigen - cc.normLapEigens[i])) /
								((double)(maxEigen - minEigen)))) * ((double)(w - 60));
							break;
					}
				}
					
				if (minVal == maxVal)
				{
					y = 30.0 + .5 * ((double)h - 60) - 2.0;
				}
				else
				{
					switch (eigenType) 
					{
						case EigenType.Adjacency:
							y = 28.0 + (1.0 - (((double)(maxVal - cc.adjIVP[i])) /
								((double)(maxVal - minVal)))) * ((double)(h - 60));
							break;
						case EigenType.Laplacian:
							y = 28.0 + (1.0 - (((double)(maxVal - cc.lapIVP[i])) /
								((double)(maxVal - minVal)))) * ((double)(h - 60));
							break;
						case EigenType.NormalizedLaplacian:
							y = 28.0 + (1.0 - (((double)(maxVal - cc.normLapIVP[i])) /
								((double)(maxVal - minVal)))) * ((double)(h - 60));
							break;
					}
				}

				pad.DrawEllipse(grayPen, (int)x, (int)y, 4, 4);
			}

			ib.Image = pic;
		}

		/// <summary>
		/// Draw the degree distribution of the currently active connected component
		/// (this function could use a little work)
		/// </summary>
		private Bitmap drawDegreeDistribution() 
		{
			Vertex selectedVertex = this.graph.SelectedVertex;
			int w = graphDegreeDistribution.Width;
			int h = graphDegreeDistribution.Height;
			Bitmap pic = new Bitmap(w, h);
			Graphics pad = Graphics.FromImage(pic);
			int numBins = 0;

			double minDegree = selectedVertex.ConnectedComponent.MinDegree;
			double maxDegree = selectedVertex.ConnectedComponent.MaxDegree;

			int diff = (int)(maxDegree - minDegree);
			if (diff > 200)
			{
				numBins = 30;
			}
			else if ((diff > 100) && (diff <= 200)) 
			{
				numBins = 20;
			} 
			else if ((diff > 50) && (diff <= 100)) 
			{
				numBins = 15;
			} 
			else if ((diff > 30) && (diff <= 50)) 
			{
				numBins = 10;
			} 
			else if ((diff > 0) && (diff <= 30)) 
			{
				numBins = 5;
			}

			//Trace.Write("drawDegreeDistribution", "minDegree = " + minDegree.ToString() + "; maxDegree = " + maxDegree.ToString());

			pad.FillRectangle(whiteBrush, 0, 0, w, h);
			pad.DrawRectangle(grayPen, 0, 0, w - 1, h - 1);

			pad.DrawLine(bigBlackPen, 30, h - 30, w - 20, h - 30);
			pad.DrawLine(bigBlackPen, 30, h - 30, 30, 30);

			pad.DrawString("k", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, new PointF((w / 2) - 3, h - 27));
			pad.DrawString("P(k)", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, new PointF(1, (h / 2) - 5));

			pad.DrawString("0", new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(17, h - 38));
			pad.DrawString("1", new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(17, 27));

			pad.DrawString(selectedVertex.ConnectedComponent.MinDegree.ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(27, h - 27));
			pad.DrawString(selectedVertex.ConnectedComponent.MaxDegree.ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(w - 42, h - 27));

			for (int i = 0; i < numBins; i++) 
			{
				pad.DrawLine(blackPen, (int)((i + 1)*((w-60)/numBins)) + 30, h - 33, (int)((i + 1)*((w-60)/numBins)) + 30, h - 27);

				//
				// Now draw this far from the left of the graphic:
				//	(int)((i+0.5)*((w-60)/numBins)) + 30
				// Look for values starting at:
				//	minDegree + i*((maxDegree - minDegree) / numBins)
				int numInThisBin = 0;
				double minBin = minDegree + ((double)i)*((maxDegree - minDegree) / (double)numBins);
				double maxBin = minDegree + ((double)(i + 1))*((maxDegree - minDegree) / (double)numBins);

				foreach(DictionaryEntry de in selectedVertex.ConnectedComponent.Vertices) 
				{
					Vertex v = (Vertex)(de.Value);
					
					if ((((double)v.Degree) >= minBin) &&
						(((double)v.Degree) < maxBin)) 
					{
						numInThisBin++;
					}
				}

				//Trace.Write("drawDegreeDistribution", "binMin = " + minBin.ToString() + "; binMax = " + maxBin.ToString() + "; numinBucket = " + numInThisBin.ToString() + "; numTotal = " + selectedVertex.ConnectedComponent.Vertices.Count.ToString());

				float pK = ((float)numInThisBin) / ((float)selectedVertex.ConnectedComponent.Vertices.Count);
				pad.FillEllipse(blackBrush, (int)((i+0.5)*((w-60)/numBins)) + 30 - 4, 30 + (int)((1 - pK)*(h - 60)) - 4, 8, 8);
			}

			return pic;
		}

		/// <summary>
		/// Draw the cluster coefficient of the currently active connected component
		/// </summary>
		private Bitmap drawClusterCoefficient()
		{
			Vertex selectedVertex = this.graph.SelectedVertex;
			int w = graphClusterCoefficient.Width;
			int h = graphClusterCoefficient.Height;
			Bitmap pic = new Bitmap(w, h);
			Graphics pad = Graphics.FromImage(pic);

			pad.FillRectangle(whiteBrush, 0, 0, w, h);
			pad.DrawRectangle(grayPen, 0, 0, w - 1, h - 1);

			pad.DrawLine(bigBlackPen, 30, h - 30, w - 20, h - 30);
			pad.DrawLine(bigBlackPen, 30, h - 30, 30, 30);

			pad.DrawString("k", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, new PointF((w / 2) - 3, h - 27));
			pad.DrawString("C(k)", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, new PointF(1, (h / 2) - 5));

			pad.DrawString("0", new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(17, h - 40));
			pad.DrawString("1", new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(17, 27));

			pad.DrawString(selectedVertex.ConnectedComponent.MinDegree.ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(27, h - 27));
			pad.DrawString(selectedVertex.ConnectedComponent.MaxDegree.ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(w - 42, h - 27));
			
			foreach(DictionaryEntry de in selectedVertex.ConnectedComponent.Vertices) 
			{
				Vertex v = (Vertex)(de.Value);

				if (Double.IsNaN(v.ClusterCoeff) == false) 
				{
					pad.DrawEllipse(grayPen, ((int)v.xCC), ((int)v.yCC), 4, 4);
				}
			}

			// selected vertex!
			if (Double.IsNaN(selectedVertex.ClusterCoeff) == false) 
			{
				pad.DrawEllipse(redPen, ((int)selectedVertex.xCC), ((int)selectedVertex.yCC), 4, 4);
			}

			return pic;
		}


		/// <summary>
		/// Draw the degree k of each node vs. its average path length for the currently active connected component
		/// </summary>
		private Bitmap drawAveragePathLength() 
		{
			Vertex selectedVertex = this.graph.SelectedVertex;

			int w = graphPathLength.Width;
			int h = graphPathLength.Height;
			
			Bitmap pic = new Bitmap(w, h);
			Graphics pad = Graphics.FromImage(pic);

			pad.FillRectangle(whiteBrush, 0, 0, w, h);
			pad.DrawRectangle(grayPen, 0, 0, w - 1, h - 1);

			pad.DrawLine(bigBlackPen, 30, h - 30, w - 20, h - 30);
			pad.DrawLine(bigBlackPen, 30, h - 30, 30, 30);

			pad.DrawString("k", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, new PointF((w / 2) - 3, h - 27));
			
			pad.DrawString("A", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, new PointF(10, (h / 2) - 28));
			pad.DrawString("P", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, new PointF(10, (h / 2) - 13));
			pad.DrawString("L", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, new PointF(10, (h / 2) + 2));
			pad.DrawString("(k)", new Font(FontFamily.GenericSansSerif, 9, FontStyle.Bold), blackBrush, new PointF(6, (h / 2) + 17));

			pad.DrawString(((int)selectedVertex.ConnectedComponent.MinAveragePathLength).ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(17, h - 40));
			pad.DrawString(((int)selectedVertex.ConnectedComponent.MaxAveragePathLength).ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(17, 27));

			pad.DrawString(selectedVertex.ConnectedComponent.MinDegree.ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(27, h - 27));
			pad.DrawString(selectedVertex.ConnectedComponent.MaxDegree.ToString(), new Font(FontFamily.GenericSansSerif, 8, FontStyle.Regular), blackBrush, new PointF(w - 42, h - 27));
			
			foreach(DictionaryEntry de in selectedVertex.ConnectedComponent.Vertices) 
			{
				Vertex v = (Vertex)(de.Value);

				pad.DrawEllipse(grayPen, ((int)v.xAverageDistance), ((int)v.yAverageDistance), 4, 4);
			}

			// selected vertex
			pad.DrawEllipse(redPen, ((int)selectedVertex.xAverageDistance), ((int)selectedVertex.yAverageDistance), 4, 4);

			return pic;
		}


		private void ddlZoomFactor_ValueChanged(object sender, System.EventArgs e)
		{
			if (ddlZoomFactor.Value < 2)
			{
				ddlZoomFactor.Increment = 0.25M;
				ddlZoomFactor.DecimalPlaces = 2;
			}
			else 
			{
				ddlZoomFactor.Increment = 1;
				ddlZoomFactor.DecimalPlaces = 0;
			}
		}

		private void btnCollapsePanel_Click(object sender, System.EventArgs e)
		{
			pnlMain.Visible = false;
			pnlCollapseNodes.Visible = true;
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			pnlCollapseNodes.Visible = false;
			pnlMain.Visible = true;
		}

		private void btnCollapse_Click(object sender, System.EventArgs e)
		{
			if (tbCollapseLabel.Text == "")
			{
				MessageBox.Show("Please enter a label for the parent node.", "Error");
				return;
			}

			//
			// Collapse
			//
			ArrayList nodes = new ArrayList();

			foreach(ListItem li in collapseLB.SelectedItems)
			{
				nodes.Add(this.graph.getVertex(Int32.Parse(li.Value)));
			}

			if (nodes.Count < 2)
			{
				MessageBox.Show("Please choose at least two nodes.", "Error");
				return;
			}

			verticesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);
			edgesLB.SelectedIndexChanged -= new EventHandler(Vertex_Select);

			Vertex newnode;
			try
			{
				 newnode = this.graph.collapseNodes(tbCollapseLabel.Text, nodes);
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message);
				verticesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);
				edgesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);
				return;
			}

			updateVertexListBox();

			this.graph.SelectedVertex = newnode;

			Int64 numTicks = System.DateTime.Now.Ticks % 1000000;
			Random r = new Random((int)numTicks);
			foreach(DictionaryEntry de in this.graph.Vertices)
			{
				Vertex v = (Vertex)de.Value;
				v.X = r.NextDouble();
				v.Y = r.NextDouble();
			}

			if (doFR.Checked == true)
			{
				frGraph(this.graph);
			}
			setupGraph(this.graph);
			updateVertexListBox();

			// Redraw screen focusing on new node
			changeVertexToCurrent();

			verticesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);
			edgesLB.SelectedIndexChanged += new EventHandler(Vertex_Select);

			tbCollapseLabel.Text = "";

			pnlCollapseNodes.Visible = false;
			pnlMain.Visible = true;
		}

		private void button2_Click(object sender, System.EventArgs e)
		{
			if (MessageBox.Show("Are you sure you want to return to the first screen?", "Confirm",  
				MessageBoxButtons.OKCancel) == DialogResult.OK)
			{
				resetUI();
			}
		}

		private void btnExportVRML_Click(object sender, System.EventArgs e)
		{
			StreamWriter sw = null;

			saveFileVRML.Filter = "VRML Files(*.wrl)|*.wrl"  ;
			saveFileVRML.FilterIndex = 2 ;
			saveFileVRML.RestoreDirectory = true ;
 
			if(saveFileVRML.ShowDialog() == DialogResult.OK)
			{
				Stream s;
				if((s = saveFileVRML.OpenFile()) != null)
				{
					sw = new StreamWriter(s);
				}
			}

			if (sw == null)
			{
				MessageBox.Show("Error creating VRML file.");
				return;
			}

			MainForm.ActiveForm.Enabled = false;

			//
			//
			// Calculate VRML coordinates
			//
			ConnectedComponent cc = this.graph.SelectedVertex.ConnectedComponent;

			if (this.graph.DisplayType == displayType.LaplacianLLE)
			{
				// Initialize to laplacian coordinates
				foreach (DictionaryEntry de in cc.Vertices)
				{
					Vertex v = (Vertex)de.Value;

					v.XVRML = v.getLaplacianEigenvalue(1);
					v.YVRML = v.getLaplacianEigenvalue(2);
					v.ZVRML = v.getLaplacianEigenvalue(3);
				}
			}
			else if (this.graph.DisplayType == displayType.PCA)
			{
				// Initialize to PCA coordinates
				foreach (DictionaryEntry de in cc.Vertices)
				{
					Vertex v = (Vertex)de.Value;

					v.XVRML = v.getPcaValue(0);
					v.YVRML = v.getPcaValue(1);
					v.ZVRML = v.getPcaValue(2);
				}
			}
			else
			{
				throw new Exception("Unknown display type: cannot export as VRML.");
			}

			//
			// Find max/min values
			double minX = Double.MaxValue;
			double maxX = Double.MinValue;
			double minY = Double.MaxValue;
			double maxY = Double.MinValue;
			double minZ = Double.MaxValue;
			double maxZ = Double.MinValue;
			foreach(DictionaryEntry de in cc.Vertices) 
			{
				Vertex v = (Vertex)(de.Value);

				if (v.XVRML < minX) 
				{
					minX = v.XVRML;
				}

				if (v.XVRML > maxX) 
				{
					maxX = v.XVRML;
				}

				if (v.YVRML < minY) 
				{
					minY = v.YVRML;
				}

				if (v.YVRML > maxY) 
				{
					maxY = v.YVRML;
				}

				if (v.ZVRML < minZ) 
				{
					minZ = v.ZVRML;
				}

				if (v.ZVRML > maxZ) 
				{
					maxZ = v.ZVRML;
				}
			}

			//
			// Re-center around the origin
			foreach(DictionaryEntry de in cc.Vertices) 
			{
				Vertex v = (Vertex)(de.Value);

				v.XVRML -= (maxX + minX) / 2.0;
				v.YVRML -= (maxY + minY) / 2.0;
				v.ZVRML -= (maxZ + minZ) / 2.0;
			}
				
			// Determine scaling factors
			double xScale, yScale, zScale;
			xScale = 4.0 / (maxX - ((maxX + minX) / 2.0));
			yScale = 4.0 / (maxY - ((maxY + minY) / 2.0));
			zScale = 4.0 / (maxZ - ((maxZ + minZ) / 2.0));

			//
			// Scale vertices
			foreach(DictionaryEntry de in cc.Vertices) 
			{
				Vertex v = (Vertex)(de.Value);

				v.XVRML = v.XVRML * xScale;
				v.YVRML = v.YVRML * yScale;
				v.ZVRML = v.ZVRML * zScale;
			}

			//
			//
			// Write to output VRML file 

			Int64 numTicks = System.DateTime.Now.Ticks % 1000000;
			Random r = new Random((int)numTicks);

			writeVRMLHeaderToStreamWriter(sw);

			foreach(DictionaryEntry de in cc.Vertices)
			{
				Vertex v = (Vertex) de.Value;
				if (v == this.graph.SelectedVertex)
				{
					writeVertexToVRML(sw, v, Color.Red);
				}
				else
				{
					writeVertexToVRML(sw, v, Color.DarkBlue);
				}
			}

			double minEdgeWeight = this.graph.minEdgeWeight;
			double maxEdgeWeight = this.graph.maxEdgeWeight;

			foreach(Edge ed in cc.Edges)
			{
				if (((ed.v1 == this.graph.SelectedVertex) || (ed.v2 == this.graph.SelectedVertex))
					&& (cbDrawConnectedEdges.Checked == true))
				{
					// this edge connects the current edge
					writeEdgeToVRML(sw, ed, minEdgeWeight, maxEdgeWeight);
				}

				if (((ed.v1 != this.graph.SelectedVertex) && (ed.v2 != this.graph.SelectedVertex))
					&& (cbDrawOtherEdges.Checked == true))
				{
					// this is an "other" edge
					writeEdgeToVRML(sw, ed, minEdgeWeight, maxEdgeWeight);
				}
			}

			sw.Close();

			MessageBox.Show("VRML export complete.");
			MainForm.ActiveForm.Enabled = true;
		}

		private void writeVertexToVRML(StreamWriter sw, Vertex v, Color c)
		{
			/*	
				MyPoint {
					pTranslation 4 4 4
					pString "Edge"
				}
			*/

			double r = ((double) c.R) / 255.0;
			double g = ((double) c.G) / 255.0;
			double b = ((double) c.B) / 255.0;

			sw.WriteLine("MyPoint {");
			sw.WriteLine("\tpTranslation " + v.XVRML + " " + v.YVRML + " " + v.ZVRML);
			sw.WriteLine("\tpString \"" + v.Label + "\"");
			sw.WriteLine("\tpColor " + r.ToString() + " " + g.ToString() + " " + b.ToString());
			sw.WriteLine("}");
			sw.WriteLine("");
		}

		/// <summary>
		/// Writes an edge to a VRML file
		/// </summary>
		/// <param name="sw">The VRML file as a StreamWriter</param>
		/// <param name="e">The edge to write out</param>
		/// <param name="minEdgeWeight">The minimum edge weight in the graph (for shading)</param>
		/// <param name="maxEdgeWeight">The maximum edge weight in the graph (for shading)</param>
		private void writeEdgeToVRML(StreamWriter sw, Edge e, double minEdgeWeight, double maxEdgeWeight)
		{
			/*	
				myLine {
					pSpine [1 2 3, -2 2 -2]
				}
			*/

			double rgbVal;
			
			if (minEdgeWeight == maxEdgeWeight)
			{
				rgbVal = 0.4;
			}
			else
			{
				rgbVal = 0.8 - (((e.weight - minEdgeWeight) / (maxEdgeWeight - minEdgeWeight)) * 0.604);
			}

			sw.WriteLine("myLine {");
			sw.WriteLine("\tpSpine [" + e.v1.XVRML + " " + e.v1.YVRML + " " + e.v1.ZVRML
				+ ", " + e.v2.XVRML + " " + e.v2.YVRML + " " + e.v2.ZVRML + "]");
			sw.WriteLine("\tpColor " + rgbVal + " " + rgbVal + " " + rgbVal);
			sw.WriteLine("}");
			sw.WriteLine("");
		}

		
		/// <summary>
		/// Write out the VRML header to the VRML file
		/// </summary>
		/// <param name="sw">The VRML file as a StreamWriter</param>
		private void writeVRMLHeaderToStreamWriter(StreamWriter sw)
		{
			sw.WriteLine("#VRML V2.0 utf8");
			sw.WriteLine("");
			sw.WriteLine("NavigationInfo {");
			sw.WriteLine("  type \"EXAMINE\"");
			sw.WriteLine("}");
			sw.WriteLine("");
			sw.WriteLine("Background { skyColor 1 1 1 }   #background color (white)");
			sw.WriteLine("");
			sw.WriteLine("Viewpoint {");
			sw.WriteLine("	position	2 6 16");
			sw.WriteLine("	orientation 1 -0.32 0 -0.43");
			sw.WriteLine("}");
			sw.WriteLine("");
			sw.WriteLine("PROTO bar [");
			sw.WriteLine("	field SFVec3f pTranslation 0 0 0");
			sw.WriteLine("	field SFRotation pRotation 0 0 1 0");
			sw.WriteLine("	field SFColor pColor 0 0.7 0.7");
			sw.WriteLine("	field SFFloat pRadius 0.05");
			sw.WriteLine("	field SFFloat pHeight 10");
			sw.WriteLine(" ]{");
			sw.WriteLine("	Transform {");
			sw.WriteLine("		translation IS pTranslation");
			sw.WriteLine("		rotation IS pRotation");
			sw.WriteLine("		children Shape {");
			sw.WriteLine("			appearance Appearance {");
			sw.WriteLine("				material Material {");
			sw.WriteLine("					diffuseColor IS pColor");
			sw.WriteLine("				}");
			sw.WriteLine("			}");
			sw.WriteLine("			geometry Cylinder {");
			sw.WriteLine("			  radius IS pRadius");
			sw.WriteLine("			  height IS pHeight");
			sw.WriteLine("			}");
			sw.WriteLine("		}");
			sw.WriteLine("	}");
			sw.WriteLine("}");
			sw.WriteLine("");
			sw.WriteLine("# Point");
			sw.WriteLine("PROTO MyPoint[");
			sw.WriteLine("	field SFVec3f pTranslation 0 0 0");
			sw.WriteLine("	field SFColor pColor 0 0 0.7");
			sw.WriteLine("	field SFFloat pRadius 0.05");
			sw.WriteLine("	field MFString pString []");
			sw.WriteLine("	field SFVec3f pTransText 0.05 -0.07 0");
			sw.WriteLine("	field SFFloat pFontSize 0.1");
			sw.WriteLine(" ]{");
			sw.WriteLine("	Transform {");
			sw.WriteLine("		translation IS pTranslation");
			sw.WriteLine("		children [");
			sw.WriteLine("			Shape {");
			sw.WriteLine("			appearance Appearance {");
			sw.WriteLine("				material Material {");
			sw.WriteLine("					diffuseColor	IS pColor");
			sw.WriteLine("					specularColor	1	1	1");
			sw.WriteLine("					shininess		1");
			sw.WriteLine("				}");
			sw.WriteLine("			}");
			sw.WriteLine("			geometry Sphere { radius IS pRadius }");
			sw.WriteLine("			}");
			sw.WriteLine("			Transform {");
			sw.WriteLine("				translation IS pTransText");
			sw.WriteLine("				children Shape {");
			sw.WriteLine("				  appearance Appearance {");
			sw.WriteLine("				    material Material {");
			sw.WriteLine("						diffuseColor 0 0 0");
			sw.WriteLine("				    }");
			sw.WriteLine("				  }");
			sw.WriteLine("				  geometry Text {");
			sw.WriteLine("				    string IS pString");
			sw.WriteLine("				    fontStyle FontStyle {");
			sw.WriteLine("				      size IS pFontSize");
			sw.WriteLine("				      style \"BOLD\"");
			sw.WriteLine("				      family \"SANS\"");
			sw.WriteLine("				    }");
			sw.WriteLine("				  }");
			sw.WriteLine("				}");
			sw.WriteLine("			}");
			sw.WriteLine("		]");
			sw.WriteLine("	}");
			sw.WriteLine("}");
			sw.WriteLine("");
			sw.WriteLine("PROTO myLine [");
			sw.WriteLine("	field MFVec3f pSpine []");
			sw.WriteLine("	field SFVec3f pTranslation 0 0 0");
			sw.WriteLine("	field SFColor pColor 0 0 0");
			sw.WriteLine("	field MFString pString []");
			sw.WriteLine(" ]{");
			sw.WriteLine("  Transform {");
			sw.WriteLine("  	children Shape {");
			sw.WriteLine("			appearance Appearance {");
			sw.WriteLine("				material Material {");
			sw.WriteLine("					diffuseColor IS pColor");
			sw.WriteLine("				}");
			sw.WriteLine("			}");
			sw.WriteLine("			geometry Extrusion {");
			sw.WriteLine("				crossSection [");
			sw.WriteLine("					0 -1, -0.5 -0.87, -0.87 -0.5,");
			sw.WriteLine("					-1 0, -0.87 0.5, -0.5 0.86, 0 1,");
			sw.WriteLine("					0.5 0.87, 0.86 0.5, 1 0, ");
			sw.WriteLine("					0.87 -0.5, 0.5 -0.87, 0 -1");
			sw.WriteLine("				]");
			sw.WriteLine("				spine IS pSpine");
			sw.WriteLine("				scale .007 .007");
			sw.WriteLine("				beginCap FALSE");
			sw.WriteLine("				endCap FALSE");
			sw.WriteLine("				solid FALSE");
			sw.WriteLine("			}");
			sw.WriteLine("		}# End of root Transform's children");
			sw.WriteLine("	}# End of root Transform");
			sw.WriteLine("}# End of PROTO");
			sw.WriteLine("");
			sw.WriteLine("bar{");
			sw.WriteLine("	pTranslation 5 0 5");
			sw.WriteLine("}");
			sw.WriteLine("bar{");
			sw.WriteLine("	pTranslation 5 0 -5");
			sw.WriteLine("}");
			sw.WriteLine("bar{");
			sw.WriteLine("	pTranslation -5 0 5");
			sw.WriteLine("}");
			sw.WriteLine("bar{");
			sw.WriteLine("	pTranslation -5 0 -5");
			sw.WriteLine("}");
			sw.WriteLine("bar{");
			sw.WriteLine("	pTranslation 0 5 5");
			sw.WriteLine("	pRotation  0 0 1 1.57");
			sw.WriteLine("}");
			sw.WriteLine("bar{");
			sw.WriteLine("	pTranslation 0 5 -5");
			sw.WriteLine("	pRotation  0 0 1 1.57");
			sw.WriteLine("}");
			sw.WriteLine("bar{");
			sw.WriteLine("	pTranslation 0 -5 5");
			sw.WriteLine("	pRotation  0 0 1 1.57");
			sw.WriteLine("}");
			sw.WriteLine("bar{");
			sw.WriteLine("	pTranslation 0 -5 -5");
			sw.WriteLine("	pRotation  0 0 1 1.57");
			sw.WriteLine("}");
			sw.WriteLine("bar{");
			sw.WriteLine("	pTranslation 5 5 0");
			sw.WriteLine("	pRotation  1 0 0 1.57");
			sw.WriteLine("}");
			sw.WriteLine("bar{");
			sw.WriteLine("	pTranslation -5 5 0");
			sw.WriteLine("	pRotation  1 0 0 1.57");
			sw.WriteLine("}");
			sw.WriteLine("bar{");
			sw.WriteLine("	pTranslation 5 -5 0");
			sw.WriteLine("	pRotation  1 0 0 1.57");
			sw.WriteLine("}");
			sw.WriteLine("bar{");
			sw.WriteLine("	pTranslation -5 -5 0");
			sw.WriteLine("	pRotation  1 0 0 1.57");
			sw.WriteLine("}");
		}

		private void button3_Click(object sender, System.EventArgs e)
		{
			pnlExport.Visible = false;
			pnlMain.Visible = true;
		}

		private void btnTextOutput_Click(object sender, System.EventArgs e)
		{
			pnlMain.Visible = false;
			pnlExport.Visible = true;
		}

		private void btnExportAdjacency_Click(object sender, System.EventArgs e)
		{
			StreamWriter sw = null;

			saveExportFile.Filter = "Text Files (*.txt)|*.txt"  ;
			saveExportFile.FilterIndex = 2 ;
			saveExportFile.RestoreDirectory = true ;
 
			if(saveExportFile.ShowDialog() == DialogResult.OK)
			{
				Stream s;
				if((s = saveExportFile.OpenFile()) != null)
				{
					sw = new StreamWriter(s);
				}
			}

			if (sw == null)
			{
				MessageBox.Show("Error creating text file.");
				return;
			}

			ConnectedComponent cc = this.graph.SelectedVertex.ConnectedComponent;
			int numVertices = cc.NumVertices;

			MainForm.ActiveForm.Enabled = false;

			StringBuilder line = new StringBuilder("\t");;
			for (int i = 0; i < numVertices; i++)
			{
				line.Append("'" + ((Vertex)cc.Vertices.GetByIndex(i)).Label + "'\t");
			}
			line.Remove(line.Length - 1, 1);
			sw.WriteLine(line.ToString());

			for (int i = 0; i < numVertices; i++) 
			{
				line = new StringBuilder("'" + ((Vertex)cc.Vertices.GetByIndex(i)).Label + "'\t");

				for (int j = 0; j < numVertices; j++) 
				{
					line.Append(cc.adj.getValue(i, j) + "\t");
				}
			
				line.Remove(line.Length - 1, 1);

				sw.WriteLine(line.ToString());
			}

			sw.Close();

			MessageBox.Show("File export complete.");
			MainForm.ActiveForm.Enabled = true;
		}

		private void btnExportLaplacian_Click(object sender, System.EventArgs e)
		{
			StreamWriter sw = null;

			saveExportFile.Filter = "Text Files (*.txt)|*.txt"  ;
			saveExportFile.FilterIndex = 2 ;
			saveExportFile.RestoreDirectory = true ;
 
			if(saveExportFile.ShowDialog() == DialogResult.OK)
			{
				Stream s;
				if((s = saveExportFile.OpenFile()) != null)
				{
					sw = new StreamWriter(s);
				}
			}

			if (sw == null)
			{
				MessageBox.Show("Error creating text file.");
				return;
			}

			ConnectedComponent cc = this.graph.SelectedVertex.ConnectedComponent;
			int numVertices = cc.NumVertices;

			MainForm.ActiveForm.Enabled = false;

			StringBuilder line = new StringBuilder("\t");;
			for (int i = 0; i < numVertices; i++)
			{
				line.Append("'" + ((Vertex)cc.Vertices.GetByIndex(i)).Label + "'\t");
			}
			line.Remove(line.Length - 1, 1);
			sw.WriteLine(line.ToString());

			for (int i = 0; i < numVertices; i++) 
			{
				line = new StringBuilder("'" + ((Vertex)cc.Vertices.GetByIndex(i)).Label + "'\t");

				for (int j = 0; j < numVertices; j++) 
				{
					Vertex v = (Vertex)cc.Vertices.GetByIndex(i);
					Vertex u = (Vertex)cc.Vertices.GetByIndex(j);

					double val = 0.0;
					if (i == j) 
					{
						val = v.Degree;
					} 
					else if (v.ConnectedTo.Contains(u)) 
					{
						val = -1.0 * v.getEdgeWithVertex(u).weight;
					} 
					else 
					{
						val = 0;
					}

					line.Append(val.ToString() + "\t");
				}
			
				line.Remove(line.Length - 1, 1);

				sw.WriteLine(line.ToString());
			}

			sw.Close();

			MessageBox.Show("File export complete.");
			MainForm.ActiveForm.Enabled = true;
		}

		private void btnExportNormLaplacian_Click(object sender, System.EventArgs e)
		{
			StreamWriter sw = null;

			saveExportFile.Filter = "Text Files (*.txt)|*.txt"  ;
			saveExportFile.FilterIndex = 2 ;
			saveExportFile.RestoreDirectory = true ;
 
			if(saveExportFile.ShowDialog() == DialogResult.OK)
			{
				Stream s;
				if((s = saveExportFile.OpenFile()) != null)
				{
					sw = new StreamWriter(s);
				}
			}

			if (sw == null)
			{
				MessageBox.Show("Error creating text file.");
				return;
			}

			ConnectedComponent cc = this.graph.SelectedVertex.ConnectedComponent;
			int numVertices = cc.NumVertices;

			MainForm.ActiveForm.Enabled = false;

			StringBuilder line = new StringBuilder("\t");;
			for (int i = 0; i < numVertices; i++)
			{
				line.Append("'" + ((Vertex)cc.Vertices.GetByIndex(i)).Label + "'\t");
			}
			line.Remove(line.Length - 1, 1);
			sw.WriteLine(line.ToString());

			for (int i = 0; i < numVertices; i++) 
			{
				line = new StringBuilder("'" + ((Vertex)cc.Vertices.GetByIndex(i)).Label + "'\t");

				for (int j = 0; j < numVertices; j++) 
				{
					Vertex v = (Vertex)cc.Vertices.GetByIndex(i);
					Vertex u = (Vertex)cc.Vertices.GetByIndex(j);

					double val = 0.0;
					if ((i == j) && (v.Degree != 0)) 
					{
						val = 1;
					} 
					else if (v.ConnectedTo.Contains(u)) 
					{
						val = - (1.0 / (Math.Sqrt(v.Degree * u.Degree)));
					} 
					else 
					{
						val = 0;
					}

					line.Append(val.ToString() + "\t");
				}
			
				line.Remove(line.Length - 1, 1);

				sw.WriteLine(line.ToString());
			}

			sw.Close();

			MessageBox.Show("File export complete.");
			MainForm.ActiveForm.Enabled = true;
		}

		private void btnExportAdjacencyEigenInformation_Click(object sender, System.EventArgs e)
		{
			StreamWriter sw = null;

			saveExportFile.Filter = "Text Files (*.txt)|*.txt"  ;
			saveExportFile.FilterIndex = 2 ;
			saveExportFile.RestoreDirectory = true ;
 
			if(saveExportFile.ShowDialog() == DialogResult.OK)
			{
				Stream s;
				if((s = saveExportFile.OpenFile()) != null)
				{
					sw = new StreamWriter(s);
				}
			}

			if (sw == null)
			{
				MessageBox.Show("Error creating text file.");
				return;
			}

			ConnectedComponent cc = this.graph.SelectedVertex.ConnectedComponent;
			int numVertices = cc.NumVertices;

			MainForm.ActiveForm.Enabled = false;

			//
			// Header line
			//
			StringBuilder sb = new StringBuilder("Eigenvalue\t");
			if (outAdjIVP.Checked == true) sb.Append("IVP").Append("\t");
			if (outAdjSpec.Checked == true) sb.Append("lambda/Sqrt(Np(1-p))\tpSqrt(Np(1-p))\t");
			if (outAdjEigenvector.Checked == true)
			{
				for (int i = 0; i < numVertices; i++)
				{
					sb.Append("VecComponent" + i.ToString() + "(" 
						+ ((Vertex)cc.Vertices.GetByIndex(i)).Label + ")" + "\t");
				}
			}
			sb.Remove(sb.Length - 1, 1);
			sw.WriteLine(sb.ToString());

			//
			// Data
			//
			for (int i = 0; i < numVertices; i++)
			{
				double myEigen = cc.adjEigens[i];
				StringBuilder line = new StringBuilder(myEigen.ToString() + "\t");
				if (outAdjIVP.Checked == true) line.Append(cc.adjIVP[i] + "\t");
				if (outAdjSpec.Checked == true)
				{
					double x, y;

					bool dummy;
					cc.getSpectralDensityValues(EigenType.Adjacency, i, out x, out y, out dummy);

					line.Append(x + "\t" + y + "\t");
				}
				if (outAdjEigenvector.Checked == true)
				{
					for (int j = 0; j < numVertices; j++)
					{
						double val = ((Vertex)cc.Vertices.GetByIndex(j)).getAdjacencyEigenvalue(i);
						if (Math.Abs(val) < 0.0000000001) val = 0;
						line.Append(val.ToString() + "\t");
					}
				}
				line.Remove(line.Length - 1, 1);
				sw.WriteLine(line.ToString());
			}

			sw.Close();

			MessageBox.Show("File export complete.");
			MainForm.ActiveForm.Enabled = true;
		}

		private void btnExportLaplacianEigenInformation_Click(object sender, System.EventArgs e)
		{
			StreamWriter sw = null;

			saveExportFile.Filter = "Text Files (*.txt)|*.txt"  ;
			saveExportFile.FilterIndex = 2 ;
			saveExportFile.RestoreDirectory = true ;
 
			if(saveExportFile.ShowDialog() == DialogResult.OK)
			{
				Stream s;
				if((s = saveExportFile.OpenFile()) != null)
				{
					sw = new StreamWriter(s);
				}
			}

			if (sw == null)
			{
				MessageBox.Show("Error creating text file.");
				return;
			}

			ConnectedComponent cc = this.graph.SelectedVertex.ConnectedComponent;
			int numVertices = cc.NumVertices;

			MainForm.ActiveForm.Enabled = false;

			//
			// Header line
			//
			StringBuilder sb = new StringBuilder("Eigenvalue\t");
			if (outLapIVP.Checked == true) sb.Append("IVP").Append("\t");
			if (outLapSpec.Checked == true) sb.Append("lambda/Sqrt(Np(1-p))\tpSqrt(Np(1-p))\t");
			if (outLapEigenvector.Checked == true)
			{
				for (int i = 0; i < numVertices; i++)
				{
					sb.Append("VecComponent" + i.ToString() + "(" 
						+ ((Vertex)cc.Vertices.GetByIndex(i)).Label + ")" + "\t");
				}
			}
			sb.Remove(sb.Length - 1, 1);
			sw.WriteLine(sb.ToString());

			//
			// Data
			//
			for (int i = 0; i < numVertices; i++)
			{
				double myEigen = cc.lapEigens[i];
				StringBuilder line = new StringBuilder(myEigen.ToString() + "\t");
				if (outLapIVP.Checked == true) line.Append(cc.lapIVP[i] + "\t");
				if (outLapSpec.Checked == true)
				{
					double x, y;

					bool dummy;
					cc.getSpectralDensityValues(EigenType.Laplacian, i, out x, out y, out dummy);

					line.Append(x + "\t" + y + "\t");
				}
				if (outLapEigenvector.Checked == true)
				{
					for (int j = 0; j < numVertices; j++)
					{
						double val = ((Vertex)cc.Vertices.GetByIndex(j)).getLaplacianEigenvalue(i);
						if (Math.Abs(val) < 0.0000000001) val = 0;
						line.Append(val.ToString() + "\t");
					}
				}
				line.Remove(line.Length - 1, 1);
				sw.WriteLine(line.ToString());
			}

			sw.Close();

			MessageBox.Show("File export complete.");
			MainForm.ActiveForm.Enabled = true;
		}

		private void btnExportNormalizedLaplacianEigenInformation_Click(object sender, System.EventArgs e)
		{
			StreamWriter sw = null;

			saveExportFile.Filter = "Text Files (*.txt)|*.txt"  ;
			saveExportFile.FilterIndex = 2 ;
			saveExportFile.RestoreDirectory = true ;
 
			if(saveExportFile.ShowDialog() == DialogResult.OK)
			{
				Stream s;
				if((s = saveExportFile.OpenFile()) != null)
				{
					sw = new StreamWriter(s);
				}
			}

			if (sw == null)
			{
				MessageBox.Show("Error creating text file.");
				return;
			}

			ConnectedComponent cc = this.graph.SelectedVertex.ConnectedComponent;
			int numVertices = cc.NumVertices;

			MainForm.ActiveForm.Enabled = false;

			//
			// Header line
			//
			StringBuilder sb = new StringBuilder("Eigenvalue\t");
			if (outNormLapIVP.Checked == true) sb.Append("IVP").Append("\t");
			if (outNormLapSpec.Checked == true) sb.Append("lambda/Sqrt(Np(1-p))\tpSqrt(Np(1-p))\t");
			if (outNormLapEigenvector.Checked == true)
			{
				for (int i = 0; i < numVertices; i++)
				{
					sb.Append("VecComponent" + i.ToString() + "(" 
						+ ((Vertex)cc.Vertices.GetByIndex(i)).Label + ")" + "\t");
				}
			}
			sb.Remove(sb.Length - 1, 1);
			sw.WriteLine(sb.ToString());

			//
			// Data
			//
			for (int i = 0; i < numVertices; i++)
			{
				double myEigen = cc.normLapEigens[i];
				StringBuilder line = new StringBuilder(myEigen.ToString() + "\t");
				if (outNormLapIVP.Checked == true) line.Append(cc.normLapIVP[i] + "\t");
				if (outNormLapSpec.Checked == true)
				{
					double x, y;

					bool dummy;
					cc.getSpectralDensityValues(EigenType.NormalizedLaplacian, i, out x, out y, out dummy);

					line.Append(x + "\t" + y + "\t");
				}
				if (outNormLapEigenvector.Checked == true)
				{
					for (int j = 0; j < cc.NumVertices; j++)
					{
						double val = ((Vertex)cc.Vertices.GetByIndex(j)).getNormalizedLaplacianEigenvalue(i);
						if (Math.Abs(val) < 0.0000000001) val = 0;
						line.Append(val.ToString() + "\t");
					}
				}
				line.Remove(line.Length - 1, 1);
				sw.WriteLine(line.ToString());
			}

			sw.Close();

			MessageBox.Show("File export complete.");
			MainForm.ActiveForm.Enabled = true;
		}

		private void btnExportNodeInformation_Click(object sender, System.EventArgs e)
		{
			StreamWriter sw = null;

			saveExportFile.Filter = "Text Files (*.txt)|*.txt"  ;
			saveExportFile.FilterIndex = 2 ;
			saveExportFile.RestoreDirectory = true ;
 
			if(saveExportFile.ShowDialog() == DialogResult.OK)
			{
				Stream s;
				if((s = saveExportFile.OpenFile()) != null)
				{
					sw = new StreamWriter(s);
				}
			}

			if (sw == null)
			{
				MessageBox.Show("Error creating text file.");
				return;
			}

			ConnectedComponent cc = this.graph.SelectedVertex.ConnectedComponent;
			int numVertices = cc.NumVertices;

			MainForm.ActiveForm.Enabled = false;

			StringBuilder sb = new StringBuilder("Label\t");
			if (outNodeID.Checked == true) sb.Append("ID\t");
			if (outNodeDegree.Checked == true) sb.Append("Degree\t");
			if (outNodeCK.Checked == true) sb.Append("ClusterCoeff\t");
			if (outNodeAvgDist.Checked == true) sb.Append("AvgDist\t");
			if (outNodeMaxDist.Checked == true) sb.Append("MaxDist\t");

			if (outNodeAdjEig.Checked == true) sb.Append("AdjEigVec0\t");
			if (outNodeAdjEig.Checked == true) sb.Append("AdjEigVec1\t");
			if (outNodeAdjEig.Checked == true) sb.Append("AdjEigVec2\t");
			if (outNodeAdjEig.Checked == true) sb.Append("AdjEigVec3\t");

			if (outNodeLapEig.Checked == true) sb.Append("LapEigVec0\t");
			if (outNodeLapEig.Checked == true) sb.Append("LapEigVec1\t");
			if (outNodeLapEig.Checked == true) sb.Append("LapEigVec2\t");
			if (outNodeLapEig.Checked == true) sb.Append("LapEigVec3\t");

			if (outNodeNormLapEig.Checked == true) sb.Append("NormLapEigVec0\t");
			if (outNodeNormLapEig.Checked == true) sb.Append("NormLapEigVec1\t");
			if (outNodeNormLapEig.Checked == true) sb.Append("NormLapEigVec2\t");
			if (outNodeNormLapEig.Checked == true) sb.Append("NormLapEigVec3\t");

			sb.Remove(sb.Length - 1, 1);

			sw.WriteLine(sb.ToString());

			foreach (DictionaryEntry de in cc.Vertices)
			{
				Vertex v = (Vertex)de.Value;
				StringBuilder line = new StringBuilder("'" + v.Label + "'" + "\t");
				if (outNodeID.Checked == true) line.Append(v.ID).Append("\t");
				if (outNodeDegree.Checked == true) line.Append(v.Degree).Append("\t");
				if (outNodeCK.Checked == true) line.Append(v.ClusterCoeff).Append("\t");
				if (outNodeAvgDist.Checked == true) line.Append(v.AvgDist).Append("\t");
				if (outNodeMaxDist.Checked == true) line.Append(v.MaxDist).Append("\t");

				if (outNodeAdjEig.Checked == true) line.Append(v.getAdjacencyEigenvalue(0)).Append("\t");
				if (outNodeAdjEig.Checked == true) line.Append(v.getAdjacencyEigenvalue(1)).Append("\t");
				if (outNodeAdjEig.Checked == true) line.Append(v.getAdjacencyEigenvalue(2)).Append("\t");
				if (outNodeAdjEig.Checked == true) line.Append(v.getAdjacencyEigenvalue(3)).Append("\t");

				if (outNodeLapEig.Checked == true) line.Append(v.getLaplacianEigenvalue(0)).Append("\t");
				if (outNodeLapEig.Checked == true) line.Append(v.getLaplacianEigenvalue(1)).Append("\t");
				if (outNodeLapEig.Checked == true) line.Append(v.getLaplacianEigenvalue(2)).Append("\t");
				if (outNodeLapEig.Checked == true) line.Append(v.getLaplacianEigenvalue(3)).Append("\t");

				if (outNodeNormLapEig.Checked == true) line.Append(v.getNormalizedLaplacianEigenvalue(0)).Append("\t");
				if (outNodeNormLapEig.Checked == true) line.Append(v.getNormalizedLaplacianEigenvalue(1)).Append("\t");
				if (outNodeNormLapEig.Checked == true) line.Append(v.getNormalizedLaplacianEigenvalue(2)).Append("\t");
				if (outNodeNormLapEig.Checked == true) line.Append(v.getNormalizedLaplacianEigenvalue(3)).Append("\t");

				line.Remove(line.Length - 1, 1);

				sw.WriteLine(line.ToString());
			}

			sw.Close();

			MessageBox.Show("File export complete.");
			MainForm.ActiveForm.Enabled = true;
		}

		private void btnExportNodeNodeWeight_Click(object sender, System.EventArgs e)
		{
			StreamWriter sw = null;

			saveExportFile.Filter = "Text Files (*.txt)|*.txt"  ;
			saveExportFile.FilterIndex = 2 ;
			saveExportFile.RestoreDirectory = true ;
 
			if(saveExportFile.ShowDialog() == DialogResult.OK)
			{
				Stream s;
				if((s = saveExportFile.OpenFile()) != null)
				{
					sw = new StreamWriter(s);
				}
			}

			if (sw == null)
			{
				MessageBox.Show("Error creating text file.");
				return;
			}

			ConnectedComponent cc = this.graph.SelectedVertex.ConnectedComponent;

			MainForm.ActiveForm.Enabled = false;

			bool isUnweighted = this.graph.isUnweighted;

			foreach (Edge ed in cc.Edges)
			{
				if (isUnweighted)
				{
					sw.WriteLine(ed.v1.Label + "\t" + ed.v2.Label);
				}
				else
				{
					sw.WriteLine(ed.v1.Label + "\t" + ed.v2.Label + "\t" + ed.weight);
				}
			}

			sw.Close();

			MessageBox.Show("File export complete.");
			MainForm.ActiveForm.Enabled = true;
		}

		private void btnResetDisplay_Click(object sender, System.EventArgs e)
		{
			// reset whichever display is currently showing

			Vertex selected = this.graph.SelectedVertex;

			//
			// Zoom
			if (this.graph.DisplayType	== displayType.Normal)
			{
				foreach(DictionaryEntry de in this.graph.Vertices)
				{
					Vertex v = (Vertex) de.Value;

					v.X = v.XOrig;
					v.Y = v.YOrig;
				}

				graphDisplay.Image = this.graph.drawGraph();
			}
			else if (this.graph.DisplayType == displayType.LaplacianLLE)
			{
				foreach(DictionaryEntry de in selected.ConnectedComponent.Vertices)
				{
					Vertex v = (Vertex) de.Value;

					v.XLap = v.XLapOrig;
					v.YLap = v.YLapOrig;
				}

				laplacianDisplay.Image = selected.ConnectedComponent.drawLaplacianGraph(selected);
			}
			else // this.graph.DisplayType == displayType.PCA
			{
				foreach(DictionaryEntry de in selected.ConnectedComponent.Vertices)
				{
					Vertex v = (Vertex) de.Value;

					v.XPca = v.XPcaOrig;
					v.YPca = v.YPcaOrig;
				}

				pcaDisplay.Image = this.graph.drawPcaGraph();
			}
		}

	}

	/// <summary>
	/// Sorting class for drawing graphs sorted by different means.  This class sorts 
	/// descending by the sortValue field within a NodeDoubleVector object.
	/// </summary>
	public class sortDescendingNodeDoubleVectorSortValue : IComparer  
	{
		int IComparer.Compare(Object x, Object y)
		{
			double val1 = ((NodeDoubleVector) x).sortValue;
			double val2 = ((NodeDoubleVector) y).sortValue;

			if ((double) val1 > (double) val2)
			{ 
				return -1;
			} 
			else if ((double) val1 == (double) val2)
			{
				return 0;
			}
			else
			{
				return 1;
			}
		}
	}

	/// <summary>
	/// Sorting class for drawing graphs sorted by different means.  This class sorts 
	/// ascending by the sortValue field within a NodeDoubleVector object.
	/// </summary>
	public class sortAscendingNodeDoubleVectorSortValue : IComparer  
	{
		int IComparer.Compare(Object x, Object y)
		{
			double val1 = ((NodeDoubleVector) x).sortValue;
			double val2 = ((NodeDoubleVector) y).sortValue;

			if ((double) val1 < (double) val2)
			{ 
				return -1;
			} 
			else if ((double) val1 == (double) val2)
			{
				return 0;
			}
			else
			{
				return 1;
			}
		}
	}

	public class ListItem
	{
		private string _item;
		private string _value;

		public ListItem(string item, string value)
		{
			_item = item;
			_value = value;
		}

		public string Item
		{
			get { return _item; }
		}

		public string Value
		{
			get { return _value; }
		}
	}

	/// <summary>
	/// Sorting class for drawing graphs sorted by different means.  This class sorts by eigenvector value.
	/// </summary>
	public class sortByEigenvector : IComparer  
	{
		int _which;
		EigenType _type;

		public sortByEigenvector(EigenType type, int which)
		{
			_which = which;
			_type = type;
		}

		int IComparer.Compare(Object x, Object y)
		{
			double xval = 0.0;
			double yval = 0.0;

			switch (_type)
			{
				case EigenType.Adjacency:
					xval = ((Vertex)x).getAdjacencyEigenvalue(_which);
					yval = ((Vertex)y).getAdjacencyEigenvalue(_which);
					break;
				case EigenType.Laplacian:
					xval = ((Vertex)x).getLaplacianEigenvalue(_which);
					yval = ((Vertex)y).getLaplacianEigenvalue(_which);
					break;
				case EigenType.NormalizedLaplacian:
					xval = ((Vertex)x).getNormalizedLaplacianEigenvalue(_which);
					yval = ((Vertex)y).getNormalizedLaplacianEigenvalue(_which);
					break;
			}

			if (xval < yval)
			{ 
				return -1;
			} 
			else if (xval == yval)
			{
				return 0;
			}
			else
			{
				return 1;
			}
		}
	}


	/// <summary>
	/// Sorting class for drawing graphs sorted by different means.  This class sorts by node degree.
	/// </summary>
	public class sortByDegree : IComparer  
	{
		int IComparer.Compare(Object x, Object y)
		{
			double xval = ((Vertex)x).Degree;
			double yval = ((Vertex)y).Degree;

			if (xval < yval)
			{ 
				return -1;
			} 
			else if (xval == yval)
			{
				return 0;
			}
			else
			{
				return 1;
			}
		}
	}

}
